# Generated by Makefile. Do not edit.

commit ed380ce684d89be5aac0121f7ba88af00062dc42
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Mon Dec 14 20:08:08 2009 +0100

    Updated NEWS file again

 NEWS |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit d6ddb6b741671b7f78fee64f1b6ccc106040cce9
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Mon Dec 14 20:07:17 2009 +0100

    Revert "Fix #598924 -  Brasero wouldn't let me rename files by pasting the new name"
    
    This reverts commit d1476ff98296197218f308794eba9367044d76d9.

 src/brasero-audio-disc.c |    2 +-
 src/brasero-data-disc.c  |    2 +-
 src/brasero-video-disc.c |    2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

commit dd4082ea69c289e1324e9e0403b735c003e32bbd
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Mon Dec 14 20:00:07 2009 +0100

    Add two files that are needed by gtk-doc (the new version)

 0 files changed, 0 insertions(+), 0 deletions(-)

commit f07f2a0f57c0145393768578e8c0371b84eada3b
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Mon Dec 14 19:55:36 2009 +0100

    Bump the version number for release

 configure.in |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 60b1b9ba471a201523eb403b469cb1d827f6fb3d
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Mon Dec 14 19:54:07 2009 +0100

    Updated NEWS

 NEWS |   51 +++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 51 insertions(+), 0 deletions(-)

commit 0e6c5dfeae11bf1598afb6eefc48ee350124b937
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Wed Dec 2 15:48:50 2009 +0100

    Make sure we do always use packagekit when a video is added to a video project and codec are missing
    This should be backported in 2.28

 libbrasero-utils/brasero-io.c       |   27 +-
 libbrasero-utils/brasero-metadata.c |  692 ++++++++++++++++++-----------------
 2 files changed, 379 insertions(+), 340 deletions(-)

commit 97addb7e937a562c1eaa666fca189ddf11f14042
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Wed Nov 25 14:38:54 2009 +0100

    Revert and fix patch about cdrdao and missing cue file which was wrong
    Make sure that we check for some errors

 plugins/cdrdao/burn-cdrdao.c |    5 ++---
 1 files changed, 2 insertions(+), 3 deletions(-)

commit 44bac4cfd65a5b2e7aaad5c5ca9caea856869d3f
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Mon Dec 7 19:56:10 2009 +0100

    Fix #603871 -  [Audio project] Song order inverted when moving songs up in the tracklist
    This should be backported to 2.28

 src/brasero-video-tree-model.c |    8 +++++++-
 1 files changed, 7 insertions(+), 1 deletions(-)

commit e714cd0edcca49419256ed4b3610a995d664058f
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sun Dec 6 21:17:47 2009 +0100

    Fix #602888 -  The files on new directory on Brasero project isn't saved correctly.
    This should be backported to 2.28

 libbrasero-burn/brasero-data-project.c |   22 +++++++++++-----------
 1 files changed, 11 insertions(+), 11 deletions(-)

commit 18b135f6157787d3be66bf46ea54a086979b3ffe
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sun Dec 6 13:59:13 2009 +0100

    A potential fix for #590648 -  Text in cover editor does not show up automatically
    Show the internal window on realize event not on the map one (which is not emitted with recent versions)
    This fix should be backported into 2.28

 libbrasero-utils/brasero-jacket-view.c |   26 +-------------------------
 1 files changed, 1 insertions(+), 25 deletions(-)

commit d1476ff98296197218f308794eba9367044d76d9
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sat Dec 5 16:58:17 2009 +0100

    Fix #598924 -  Brasero wouldn't let me rename files by pasting the new name
    It should be backported to 2.28

 src/brasero-audio-disc.c |    2 +-
 src/brasero-data-disc.c  |    2 +-
 src/brasero-video-disc.c |    2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

commit 3f98947991db22dac240ddf175079e888c0d771f
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Fri Dec 4 17:57:11 2009 +0100

    Fix for #603605 -  .checksum.md5 ("file integrity check" plugin) broken when using "Increase compatibility with Windows"
    This should be backported to 2.28 branch

 libbrasero-burn/brasero-track-data.c |  140 ++++++++++++++++++++++++++++++++-
 libbrasero-burn/burn-mkisofs-base.c  |  147 +---------------------------------
 src/brasero-project.c                |    2 +-
 3 files changed, 143 insertions(+), 146 deletions(-)

commit c6fad202d2607dc5bf39fa80901e5364b7f8b82e
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Wed Dec 2 22:15:14 2009 +0100

    Removed unneeded line that prevented play button to return to a proper state at the end of the stream
    It should be backported in 2.28

 src/brasero-player.c |    7 +++----
 1 files changed, 3 insertions(+), 4 deletions(-)

commit 691abf532fe1505bbd670fd6467bfedcfdb2943d
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Wed Dec 2 14:09:25 2009 +0100

    Fix a minor wrong count of invalid files
    It should be backported to 2.28

 libbrasero-utils/brasero-io.c |    9 +++++----
 1 files changed, 5 insertions(+), 4 deletions(-)

commit 3931a85825a5ef4e24ae767edcfd11f760e83900
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Wed Dec 2 14:08:47 2009 +0100

    Fix a warning
    It should be backported to 2.28

 src/brasero-project-manager.c |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

commit 976d5f63e738da836dc8803a9a946e916d62b98a
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Wed Dec 2 13:07:18 2009 +0100

    Fix #602872 -  User is unable to fast-forward neither rewing sound preview
    (This should be in 2.28 stable as well)

 libbrasero-utils/brasero-io.c       |    1 -
 libbrasero-utils/brasero-metadata.c |   10 ++++++++--
 src/brasero-player.c                |    4 +---
 3 files changed, 9 insertions(+), 6 deletions(-)

commit 64a75129e7698e49c595c67d6e5c359960040e97
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Mon Nov 30 21:57:37 2009 +0100

    Fix #601872 -  Audio project : Modifying added silence length fails
    (This should be also fixed in 2.28)

 src/brasero-audio-disc.c      |   10 +++++-----
 src/brasero-song-properties.c |    3 ++-
 2 files changed, 7 insertions(+), 6 deletions(-)

commit 95347b896fa385ed23049b8d51f89604c0660869
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Wed Nov 25 20:44:35 2009 +0100

    Fix string uses (backportable)

 libbrasero-utils/brasero-disc-message.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 9e14da97a65018f3f2895daf2cffbb31f58c10d7
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Wed Nov 25 14:30:05 2009 +0100

    Fix a long standing mistake that could lead cdrdao to error out (backportable)

 plugins/cdrdao/burn-cdrdao.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 8a4af059d4fa6c9b034b3889aba8d12937a9cd62
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sun Nov 22 22:14:34 2009 +0100

    Send uri selected signal after we set the new source for uris

 src/brasero-layout.c |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit f55673ee47151e3cde3a4061096aa21f3290d5a4
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sun Nov 22 20:43:12 2009 +0100

    Fix #538060 -  Brasero fails to read cue file when PATH contains a non fully qualified path
    When burning a cue sheet with a relative path for the bin, start cdrecord and wodim in the directory containing the cue sheet to work around their inability to resolve properly relative paths

 plugins/cdrkit/burn-wodim.c      |    5 +++++
 plugins/cdrtools/burn-cdrecord.c |    5 +++++
 2 files changed, 10 insertions(+), 0 deletions(-)

commit 5e5b4ef206277c6adffcc786c63b4c6bbb069c2f
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sat Nov 21 21:31:27 2009 +0100

    Make sure CD-TEXT from .cue files gets properly written

 plugins/cdrkit/burn-wodim.c      |    3 +++
 plugins/cdrtools/burn-cdrecord.c |    4 ++++
 2 files changed, 7 insertions(+), 0 deletions(-)

commit 0f2ee3d3e772ab106e5cefd9e26acedc551e00f4
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sat Nov 21 15:29:53 2009 +0100

    Fix a problem with ARTIST tag being overwritten by ISRC tag

 plugins/transcode/burn-transcode.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 9da947ba9bd254d3b3741960f65bba7cc629e234
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sat Nov 21 15:14:42 2009 +0100

    Really copy the tags in brasero_track_tag_copy_missing ()
    The order of arguments in g_value_copy () was wrong

 libbrasero-burn/brasero-track.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 084b008aada686d2c86563f0c49595348820d619
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sat Nov 14 13:03:37 2009 +0100

    Fix #601871 -  Wrong remaining space when audio CD of size greater than 70 min
    We used the bytes instead of the blocks which explains the discrepancy

 libbrasero-burn/brasero-dest-selection.c |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit 4c6fa7739fc325b3ebad3deaf2f645cd56d28d80
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Wed Nov 11 14:22:36 2009 +0100

    Fix #601496 -  Select disc image selector allows to selecd pictures

 libbrasero-burn/brasero-src-image.c |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit af90327bee7f024082d504086916da6f4161c9d6
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Tue Nov 10 10:29:01 2009 +0100

    Fix #601109 -  burning disks with burn:// doesn't set the disk label

 nautilus/nautilus-burn-extension.c |   14 ++++++++++++++
 1 files changed, 14 insertions(+), 0 deletions(-)

commit e41039f89d59e51bc979b417cd1d1cd5b32066de
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Tue Nov 3 15:00:33 2009 +0100

    Fix #600007 -  Memory leaks in brasero
    Patch by Eric Sesterhenn <eric.sesterhenn@lsexperts.de>
    This fixes unlikely memory leaks on error

 plugins/dvdcss/burn-dvdcss.c      |    4 ++--
 plugins/libburnia/burn-libisofs.c |   18 +++++++++---------
 2 files changed, 11 insertions(+), 11 deletions(-)

commit 058bc2813796275829e68889cffda57186271928
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Tue Nov 3 14:47:42 2009 +0100

    Fix #600293 -  Fails to build error: cannot convert to a pointer type
    Patch by Carlos Garcia Campos <carlosgc@gnome.org>

 src/brasero-player-bacon.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit c5acebebc8a139e146c400195d8fd3d398a75752
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Mon Nov 2 10:19:08 2009 +0100

    Add Dbus-glib flags to fix build

 libbrasero-utils/Makefile.am |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit 38420b7016defdefb63e3a7f703bf7f59a16f59b
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sun Nov 1 17:01:08 2009 +0100

    Fix file name appearance

 src/brasero-audio-disc.c |    8 ++++++--
 src/brasero-video-disc.c |    6 +++++-
 2 files changed, 11 insertions(+), 3 deletions(-)

commit 4004ce19a3f5415ab0133117e3050213dd827ba8
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Mon Oct 26 08:53:17 2009 +0100

    Fix #599620 -  stray underline in button label
    Patch by Matthias Clasen

 src/brasero-project-type-chooser.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit b8fd96b0219d368b72906ed94d84095676c78794
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Mon Nov 23 10:38:34 2009 +0100

    Fix #602566 -  libbrasero-burn has broken headers
    Some G_END_DECLS were missing

 libbrasero-burn/brasero-burn-dialog.h |    2 ++
 libbrasero-burn/brasero-burn.h        |    2 ++
 libbrasero-burn/brasero-caps-burn.h   |    2 ++
 libbrasero-burn/brasero-progress.h    |    2 ++
 libbrasero-burn/brasero-tray.h        |    2 ++
 libbrasero-burn/burn-caps.h           |    2 ++
 libbrasero-burn/burn-process.h        |    2 ++
 src/brasero-audio-disc.h              |    2 ++
 src/brasero-disc.h                    |    2 ++
 src/brasero-file-chooser.h            |    2 ++
 src/brasero-layout.h                  |    2 ++
 src/brasero-mime-filter.h             |    2 ++
 src/brasero-player-bacon.h            |    2 ++
 src/brasero-player.h                  |    2 ++
 src/brasero-playlist.h                |    2 ++
 src/brasero-project-type-chooser.h    |    2 ++
 src/brasero-project.h                 |    2 ++
 src/brasero-search-beagle.h           |    2 ++
 src/brasero-search-entry.h            |    2 ++
 src/brasero-song-properties.h         |    2 ++
 src/brasero-uri-container.h           |    2 ++
 21 files changed, 42 insertions(+), 0 deletions(-)

commit d8b36aa1415d3cce6fb8e16650fa110ffcaee7ce
Author: Nils-Christoph Fiedler <fiedler@medienkompanie.de>
Date:   Sun Nov 15 12:27:55 2009 +0100

    Added Low German translation

 po/LINGUAS |    1 +
 po/nds.po  | 4847 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 4848 insertions(+), 0 deletions(-)

commit 6d836b875c5456fe7646cc9c194f75bb66d8cca1
Author: Joan Duran <jodufi@gmail.com>
Date:   Sun Nov 8 18:44:54 2009 +0100

    Updated Catalan translation

 po/ca.po |  747 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 375 insertions(+), 372 deletions(-)

commit 029a2a2a8c8c302afed1b1920ca68f4543f10f5b
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:   Sat Nov 7 13:47:34 2009 +0100

    Revert "Updated Galician Translation"
    
    This reverts commit e64e528f60d4a113266d55cc9ed6985333bac8ba.

 po/gl.po | 1627 ++++++++++++++++++++++++--------------------------------------
 1 files changed, 629 insertions(+), 998 deletions(-)

commit e64e528f60d4a113266d55cc9ed6985333bac8ba
Author: Antón Méixome <meixome@mancomun.org>
Date:   Fri Nov 6 13:38:46 2009 +0100

    Updated Galician Translation

 po/gl.po | 1627 ++++++++++++++++++++++++++++++++++++++------------------------
 1 files changed, 998 insertions(+), 629 deletions(-)

commit 6a59312586666dc82a0e32a45c0475d6978ba494
Author: Petr Kovar <pknbe@volny.cz>
Date:   Wed Nov 4 19:55:18 2009 +0100

    Updated Czech translation by Adrian Gunis

 po/cs.po |  747 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 375 insertions(+), 372 deletions(-)

commit 1b7adc3cdf760b2766b1d02badd56e354f6c98f8
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Wed Nov 4 15:25:59 2009 +0100

    Fix a potential crash when aborting the download of a Gstreamer plugin throught PackageKit

 libbrasero-utils/brasero-metadata.c |   20 ++++++++++++++------
 1 files changed, 14 insertions(+), 6 deletions(-)

commit 6a6f3424fafb12fc582252d075b4fe13feb98568
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Wed Nov 4 15:00:24 2009 +0100

    Fix #599655 -  brasero crashed with SIGSEGV in g_main_context_dispatch()
    Prevent brasero from returning concurent errors for video and audio projects.

 libbrasero-burn/brasero-data-session.c     |    2 +-
 libbrasero-burn/brasero-data-vfs.c         |    4 +-
 libbrasero-burn/brasero-track-stream-cfg.c |   21 ++++--
 libbrasero-utils/brasero-io.c              |  125 +++++++++++++++++++---------
 libbrasero-utils/brasero-io.h              |   29 ++++++-
 src/brasero-audio-disc.c                   |    4 +-
 src/brasero-player.c                       |    2 +-
 src/brasero-playlist.c                     |    2 +-
 src/brasero-project-manager.c              |    2 +-
 src/brasero-video-disc.c                   |    3 +-
 10 files changed, 137 insertions(+), 57 deletions(-)

commit 1353d6760c8a4368f2b8fc38a680fd83fee3555c
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Tue Nov 3 21:30:26 2009 +0100

    Fix #588323 -  crash in Disc Copier: Dragging a track from Ba...
    Last comment.
    Banshee packs uris in a strange way that is not properly understood by some stock gtk+ functions like gtk_selection_data_get_uris () which returns NULL whereas g_uri_list_extract_uris () is fine.
    So if the first fails try the other one.

 libbrasero-burn/brasero-track-data-cfg.c |    7 +++++++
 src/brasero-audio-disc.c                 |    2 +-
 src/brasero-multi-dnd.c                  |    7 +++++++
 src/brasero-video-tree-model.c           |   19 ++++++++++++++++---
 4 files changed, 31 insertions(+), 4 deletions(-)

commit 09059b2a0dfd46f19da1cfb083ca304c3e02ebb8
Author: Aleksander Łukasiewicz <aleksander@lukasiewicz.org>
Date:   Tue Nov 3 17:09:45 2009 +0100

    Updated Polish translation

 help/pl/pl.po |   23 ++++++++++++-----------
 1 files changed, 12 insertions(+), 11 deletions(-)

commit f4af5a42f382363a4773f70f4883d361bf120c90
Author: Aleksander Łukasiewicz <aleksander@lukasiewicz.org>
Date:   Tue Nov 3 16:50:44 2009 +0100

    Updated Polish translation

 help/pl/pl.po |  654 ++++++++++++++++++++++++++++-----------------------------
 1 files changed, 325 insertions(+), 329 deletions(-)

commit 4ff3d081fba27080f49f54cbd528a214252214de
Author: Aleksander Łukasiewicz <aleksander@lukasiewicz.org>
Date:   Tue Nov 3 16:49:05 2009 +0100

    Updated Polish translation

 help/pl/figures/brasero_main.png |  Bin 105971 -> 97376 bytes
 help/pl/pl.po                    |  980 ++++++++++++++++++++++----------------
 2 files changed, 580 insertions(+), 400 deletions(-)

commit da1bbaa03a0aec2c03c6f05bd6a33affb62b6a94
Author: Claude Paroz <claude@2xlibre.net>
Date:   Mon Nov 2 09:31:32 2009 +0100

    Updated French translation

 po/fr.po |  947 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 475 insertions(+), 472 deletions(-)

commit 39c70692d6a0e820f5e915cfaf38feee93432225
Author: Milo Casagrande <milo@ubuntu.com>
Date:   Sun Nov 1 11:53:46 2009 +0100

    Updated Italian translation

 po/it.po |  883 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 443 insertions(+), 440 deletions(-)

commit d4e5d8c9fde0922913df5f98db5357affbcfbb2c
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Thu Oct 29 18:44:50 2009 +0100

    Updated Spanish translation

 po/es.po | 3204 ++++++++++++++++++++++++++------------------------------------
 1 files changed, 1334 insertions(+), 1870 deletions(-)

commit f3c35b39f88d505587b3d47321833ecf4599082c
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Thu Oct 29 18:39:14 2009 +0100

    Updated Spanish translation

 po/es.po | 3204 ++++++++++++++++++++++++++++++++++++--------------------------
 1 files changed, 1870 insertions(+), 1334 deletions(-)

commit 83a86f92707f2a7825586a9f3d7164a2cb12ec06
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Fri Oct 23 11:41:31 2009 +0200

    Make preview display images again

 src/brasero-player.c |   26 +++++++++++++++++---------
 1 files changed, 17 insertions(+), 9 deletions(-)

commit f99d1b3e0d18a99684b70463a6c5ea005bf72627
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Fri Oct 23 12:06:16 2009 +0200

    Don't display the sidebar combo box if there is only one item for data projects

 src/brasero-layout.c |   19 ++++++++++++++++++-
 1 files changed, 18 insertions(+), 1 deletions(-)

commit c546e440458a614a489f4a4fcbc4bec6d2897f1f
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Fri Oct 23 11:36:57 2009 +0200

    Properly hide the preview widget

 src/brasero-player.c |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 2bfcba1f647746b6b94f40dfac4fb8b21641e537
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Fri Oct 23 11:35:36 2009 +0200

    Fix a crash on closing brasero that happened because some signals were emitted whereas we were destroying widgets

 src/brasero-search-beagle.c |   13 +++++++++----
 1 files changed, 9 insertions(+), 4 deletions(-)

commit 9ece661b951f18a0ba6f5d819c41b3d657840197
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Thu Oct 22 17:46:05 2009 +0200

    Updated Hungarian translation

 po/hu.po | 1079 ++++++++++++++++++++++++++++----------------------------------
 1 files changed, 494 insertions(+), 585 deletions(-)

commit 6d5a7957c555c66c1776dd99683a9c51919105a9
Author: Mads Lundby <lundbymads@gmail.com>
Date:   Wed Oct 21 22:37:09 2009 +0200

    Updated Danish translation

 po/da.po |  762 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 384 insertions(+), 378 deletions(-)

commit 5f78c6c2955f5e4f6db88d3e606e5de5c40864cf
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Wed Oct 21 13:36:55 2009 +0200

    Updated Slovenian translation

 po/sl.po |  808 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 405 insertions(+), 403 deletions(-)

commit 84c50d3f43eba359ccb694b56ddf39714b3c80a5
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Tue Oct 20 15:58:35 2009 +0200

    Don't leave add button greyed if GtkFileChooser dialog was cancelled

 src/brasero-project.c |   12 ++++++------
 1 files changed, 6 insertions(+), 6 deletions(-)

commit 539aee361a0d91ec4dcd83d2225a7c577a06cf8a
Author: Mario Blättermann <mariobl@gnome.org>
Date:   Tue Oct 20 19:30:55 2009 +0200

    Updated German translation

 po/de.po |  937 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 471 insertions(+), 466 deletions(-)

commit e229c8d572ccb471ee4379b6e91128216acc08fb
Author: Leonid Kanter <leon@asplinux.ru>
Date:   Tue Oct 20 12:49:03 2009 +0300

    Updated Russian translation

 po/ru.po |  492 ++++++++++++++++++++++----------------------------------------
 1 files changed, 177 insertions(+), 315 deletions(-)

commit b9f2cc0a28bcc5cd39b2c0852afb44e1f5ff6a61
Author: Rodrigo L. M. Flores <rlmflores@src.gnome.org>
Date:   Mon Oct 19 18:05:18 2009 -0200

    Updated Brazilian Portuguese Translation

 po/pt_BR.po |  938 ++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 471 insertions(+), 467 deletions(-)

commit 0b17eb2933786dd9dcf78e8a3ed88d9b996be8a9
Author: Daniel Nylander <po@danielnylander.se>
Date:   Mon Oct 19 21:45:30 2009 +0200

    Updated Swedish translation

 po/sv.po |  970 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 488 insertions(+), 482 deletions(-)

commit 795f252c2284b9bacf88d84e41555ed4277c25b8
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Mon Oct 19 21:35:04 2009 +0200

    Updated Spanish translation

 po/es.po |  940 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 472 insertions(+), 468 deletions(-)

commit 0a128cf03c577c4ffe54483f6977f6c1d5bed98a
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Mon Oct 19 21:09:48 2009 +0200

    Fixed #598055 -  Brasero says "Audio CD successfully burnt" after creating a video DVD

 libbrasero-burn/brasero-burn-dialog.c |    7 +++++++
 1 files changed, 7 insertions(+), 0 deletions(-)

commit e690a7adc7179d14fe78e1e6b82cafe10fcf0dd7
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Mon Oct 19 18:04:21 2009 +0200

    Bumped version to 2.28.2

 configure.in |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit d9f8ca4b9998eedaf841901d6c212152225a7596
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Mon Oct 19 18:04:03 2009 +0200

    Updated NEWS

 NEWS |   32 ++++++++++++++++++++++++++++++++
 1 files changed, 32 insertions(+), 0 deletions(-)

commit 09df6bfd503fb944ecfefe75f8ca0e00ec47331a
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Fri Oct 16 20:09:10 2009 +0200

    Don't use gtk_widget_show () on the dialog until it has been filled with contents.
    Otherwise it gives an ugly effect

 src/brasero-project.c |    7 +++----
 1 files changed, 3 insertions(+), 4 deletions(-)

commit 729a4c5164662bf989a568f289e540b20223c177
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Mon Oct 19 17:26:42 2009 +0200

    Wait for the drive to complete probing before ejecting or returning from brasero_burn_reprobe

 libbrasero-burn/brasero-burn.c |    8 ++++++++
 1 files changed, 8 insertions(+), 0 deletions(-)

commit 1c3f0b6f22a3f74b5d63e0d63d714bd94163d62e
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Mon Oct 19 17:21:26 2009 +0200

    Remove useless code

 libbrasero-media/brasero-drive.c |   14 --------------
 1 files changed, 0 insertions(+), 14 deletions(-)

commit 20997d15b8609dcf63164163df98a1cfdd36956d
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Wed Oct 14 20:36:47 2009 +0200

    Add a new function brasero_drive_is_locked ()
    Instead of actually cancelling a probe thread before ejecting we now wait for it to end and delay any other further probe until we're done with ejecting.

 libbrasero-burn/brasero-enums.h  |    1 +
 libbrasero-media/brasero-drive.c |   79 +++++++++++++++++++++++++++++++++-----
 2 files changed, 70 insertions(+), 10 deletions(-)

commit 6fda0818d4c1409e8a7b00d3e25ccce7f9bca32b
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Mon Oct 19 17:17:27 2009 +0200

    Remove useless line

 libbrasero-media/brasero-drive.c |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 47aaa86d4b9eaba57e54f7e2798bf4303094b8ce
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sat Oct 17 21:08:33 2009 +0200

    When eject operation is cancelled with GDrive don't try to eject with a GVolume

 libbrasero-media/brasero-drive.c         |    3 +++
 libbrasero-media/brasero-gio-operation.c |    2 --
 2 files changed, 3 insertions(+), 2 deletions(-)

commit 12cc4088ce0f773280d0618e1f0680191e292361
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sat Oct 17 20:31:23 2009 +0200

    Add an additional reference to GDrive or GVolume when doing an operation on them in case the GDrive or the GVolume object gets updated while waiting in the main loop

 libbrasero-media/brasero-gio-operation.c |   24 ++++++++++++++++++++++--
 1 files changed, 22 insertions(+), 2 deletions(-)

commit 27813cd1a73a7340080bf34fe0067b7c3ecc710f
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sat Oct 17 20:30:29 2009 +0200

    When updating the GDrive object associated with the BraseroDrive make sure that priv->gdrive is properly set if gdrive is NULL and cancel any ongoing GIO operation

 libbrasero-media/brasero-drive.c |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit 27fc2fc854521602eb8776d006b7d731ab50b62b
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sat Oct 17 15:54:29 2009 +0200

    Avoid in rare cases (using valgrind mostly) to set error twice for GIO operations

 libbrasero-media/brasero-gio-operation.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 860879ed5db46282a92920728ea8773f46fc147b
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sat Oct 17 14:05:58 2009 +0200

    While we ask for a reprobe of the drive contents, wait for it to be finished before going on

 libbrasero-burn/brasero-burn.c |    6 +-----
 1 files changed, 1 insertions(+), 5 deletions(-)

commit dd50a95d03a3353e15a655bfdd904ae830d8306a
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Thu Oct 15 13:23:26 2009 +0200

    Don't let anything (except a final unref) interrupt the initial thread that initializes the drive capabilities
    Suppress a warning
    Make sure that whenever we restart a probe thread we have the cancelled variable properly initialize

 libbrasero-media/brasero-drive.c |   35 ++++++++++++++++++++++++++++-------
 1 files changed, 28 insertions(+), 7 deletions(-)

commit d8b4dc0ec1d13af20e39e51571f68a5c76a5fa0c
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Thu Oct 15 12:48:45 2009 +0200

    Instead of waiting for the end of the probing thread cancel it if a new probe is required

 libbrasero-media/brasero-drive.c |   33 ++++++++++++++-------------------
 1 files changed, 14 insertions(+), 19 deletions(-)

commit 210530daf449567682964b28c55d404de51a146c
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Thu Oct 15 12:42:33 2009 +0200

    Fix leaking of GDrive object

 libbrasero-media/brasero-medium-monitor.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit 96613b41556945a1a4f8caf74239f47b9975a20d
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Mon Oct 19 17:00:58 2009 +0200

    Small fix for a wrong variable used

 libbrasero-burn/brasero-burn.c |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

commit 93e518d3a1ed9fc3f97bb1f9466f3792c57da15c
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Wed Oct 14 22:26:57 2009 +0200

    Add a new error code

 libbrasero-media/scsi-sense-data.c |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit cc74210004e233271cc73cc7b3c723264d56bdde
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Tue Oct 13 21:13:33 2009 +0200

    when BraseroBurn objects go to sleep (waiting something), check the return value in case we were cancelled in the mean time

 libbrasero-burn/brasero-burn.c |   60 +++++++++++++++++++++++++++++----------
 1 files changed, 44 insertions(+), 16 deletions(-)

commit e895195676941fbdbe2f2f5d7328966d32558be1
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Tue Oct 13 21:04:03 2009 +0200

    Also check whether the drive is probing when checking whether there is something inside

 libbrasero-burn/brasero-burn.c |   25 ++++++++++++++++++++-----
 1 files changed, 20 insertions(+), 5 deletions(-)

commit e5fb5a709a9cf24c64410914b9ea04bb3a70a844
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Mon Oct 12 09:48:01 2009 +0200

    Check flags _before_ trying to create a task
    The other way round would do nothing helpful as flags are sometimes a reason why creating a task fails

 libbrasero-burn/brasero-burn.c |   23 +++++++++++++----------
 1 files changed, 13 insertions(+), 10 deletions(-)

commit 07dd9d5e6bf3659eb85ae5e8f806c6c3d69bf31e
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Mon Oct 12 09:46:03 2009 +0200

    Remove useless operation

 libbrasero-burn/brasero-burn.c |    8 +++-----
 1 files changed, 3 insertions(+), 5 deletions(-)

commit 8f59eabe2d0500af8600355896bf60ab4ca5c442
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sun Oct 11 20:54:00 2009 +0200

    Fix forgotten unref that left BraseroBurnSession with one ref and therefore all temp files after a burning

 src/brasero-project.c |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit c47e4595dbbbaaf2c537ce2828195449a5697f1c
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Mon Oct 19 14:45:08 2009 +0200

    Fix #598908 -  data project: multiple file rename do not work
    Now the rename dialog works. This was due to a late option added that suppressed the <default value> entry and shifted the values in a function with switch()/case

 src/brasero-rename.c |   14 ++++++++------
 1 files changed, 8 insertions(+), 6 deletions(-)

commit 9167aad1120d8dd2646df40aa075708f079ed35e
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sun Oct 18 21:48:15 2009 +0200

    Fix #598149 -  Remember volume title
    Make sure the name of the session is set whenever we save it

 src/brasero-project.c |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

commit 3b91ec43809e26d52be08d64b22d42c8ddf87345
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sun Oct 18 20:29:54 2009 +0200

    Fix #597808 -  Crash when launching with -e option
    Actually launch brasero when it's started with -e option

 src/main.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 4608d14a88225a74ca6109e6a375b52dcf74a502
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sun Oct 18 20:17:05 2009 +0200

    Fix #598306 -  brasero crashed with SIGSEGV in brasero_burn_session_set_image_output_full()
    This happened because we used strcmp () on a variable that could sometimes be NULL.

 libbrasero-burn/brasero-session-cfg.c |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit 06ad7e59a12b4c8aac5a6d916bf02c4654fc52c8
Author: Aron Xu <aronxu@gnome.org>
Date:   Wed Oct 14 02:36:19 2009 +0800

    Fixed a small typo.

 po/zh_CN.po |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit b764fa532d851485e884de13eea21d36e355994e
Author: Milo Casagrande <milo@ubuntu.com>
Date:   Sun Oct 11 20:47:23 2009 +0200

    Updated Italian translation

 po/it.po |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 6c44ff7b02aa50e2b7a80a066e12328ba57317f0
Author: Lucian Adrian Grijincu <lucian.grijincu@gmail.com>
Date:   Sun Oct 11 14:34:08 2009 +0300

    Updated Romanian translation

 po/ro.po |  570 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 283 insertions(+), 287 deletions(-)

commit d364f295be754b8ade753063e03dae29a8cd8dae
Author: Leonid Kanter <leon@asplinux.ru>
Date:   Thu Oct 8 11:00:32 2009 +0300

    Updated Russian translation by Dmitry Koroban <dmitry.koroban@gmail.com>

 po/ru.po | 3510 +++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 1899 insertions(+), 1611 deletions(-)

commit d1b4199383713264dd74233f1ec1786ecbe03db9
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Wed Oct 7 22:22:23 2009 +0200

    Fix #597584 -  make burning audio cds with brasero work
    Patch by Bastien Nocera <hadess@hadess.net>
    Brasero could not parse paths in its project anymore only URIs which broke apps like rhythmbox

 src/brasero-project-parse.c |   16 +++++++++++++---
 src/main.c                  |   10 +++++-----
 2 files changed, 18 insertions(+), 8 deletions(-)

commit efba32469fc75598cbb3e5590be247b1fc1f158d
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Wed Oct 7 22:17:28 2009 +0200

    Wrong branch
    Revert "Make two internal functions public"
    
    This reverts commit 83c535ca31fd6ede3bb62842b50eae9de64d9f82.

 libbrasero-burn/brasero-caps-session.c |    6 ++++++
 libbrasero-media/brasero-medium.c      |    4 ----
 libbrasero-media/brasero-medium.h      |    6 ------
 3 files changed, 6 insertions(+), 10 deletions(-)

commit f45d56d29f56d869c4e91e2db540a24ada4f1f44
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Wed Oct 7 22:17:10 2009 +0200

    Wrong branch
    Revert "Make some private functions public"
    
    This reverts commit c0e317c1ff6940c1942bf2b490dc8bd54272619e.

 libbrasero-burn/brasero-caps-session.c   |    7 +++++++
 libbrasero-burn/brasero-session-helper.h |   14 ++++++++++++--
 libbrasero-burn/brasero-session.c        |    4 ----
 libbrasero-burn/brasero-session.h        |    8 --------
 libbrasero-media/brasero-drive.c         |    2 --
 libbrasero-media/brasero-drive.h         |    4 ----
 libbrasero-media/brasero-medium.c        |   12 ++++++++++--
 7 files changed, 29 insertions(+), 22 deletions(-)

commit d60cbb4a7675328121cc9f77dbe408378bc30bb7
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Wed Oct 7 22:16:53 2009 +0200

    Revert "Let BraseroProcess derived plugins add a track of their own and if so don't automatically add one"
    
    This reverts commit 981290362cced79dc0681a92ff76ef1bf53b5847.

 libbrasero-burn/brasero-caps-session.c |    2 +-
 libbrasero-burn/burn-process.c         |   10 +---------
 libbrasero-burn/burn-task-ctx.c        |    9 +--------
 3 files changed, 3 insertions(+), 18 deletions(-)

commit 981290362cced79dc0681a92ff76ef1bf53b5847
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Wed Oct 7 20:25:36 2009 +0200

    Let BraseroProcess derived plugins add a track of their own and if so don't automatically add one

 libbrasero-burn/brasero-caps-session.c |    2 +-
 libbrasero-burn/burn-process.c         |   10 +++++++++-
 libbrasero-burn/burn-task-ctx.c        |    9 ++++++++-
 3 files changed, 18 insertions(+), 3 deletions(-)

commit 7ece89a267b5847b20fe96748526203c42c65989
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Wed Oct 7 20:22:29 2009 +0200

    API clarification

 libbrasero-burn/brasero-track-disc.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit daf0b87dcf58568b5b06b1a7b1eeeb15b6045657
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Wed Oct 7 20:18:49 2009 +0200

    Remove unneeded code

 libbrasero-burn/brasero-burn.c |    7 -------
 libbrasero-burn/burn-basics.c  |    2 ++
 2 files changed, 2 insertions(+), 7 deletions(-)

commit c0e317c1ff6940c1942bf2b490dc8bd54272619e
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Wed Oct 7 20:17:40 2009 +0200

    Make some private functions public

 libbrasero-burn/brasero-caps-session.c   |    7 -------
 libbrasero-burn/brasero-session-helper.h |   14 ++------------
 libbrasero-burn/brasero-session.c        |    4 ++++
 libbrasero-burn/brasero-session.h        |    8 ++++++++
 libbrasero-media/brasero-drive.c         |    2 ++
 libbrasero-media/brasero-drive.h         |    4 ++++
 libbrasero-media/brasero-medium.c        |   12 ++----------
 7 files changed, 22 insertions(+), 29 deletions(-)

commit 83c535ca31fd6ede3bb62842b50eae9de64d9f82
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Wed Oct 7 19:41:14 2009 +0200

    Make two internal functions public

 libbrasero-burn/brasero-caps-session.c |    6 ------
 libbrasero-media/brasero-medium.c      |    4 ++++
 libbrasero-media/brasero-medium.h      |    6 ++++++
 3 files changed, 10 insertions(+), 6 deletions(-)

commit 34d1b735b595e3f5fa022528bfeae48ab7df3967
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Mon Oct 5 20:58:14 2009 +0200

    Allow all characters to be part of Volume and Volset identifiers in the Primary Volume Descriptor
    Patch by Maxim Levitsky <maximlevitsky@gmail.com>

 plugins/libburnia/burn-libisofs.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 3fc927e963c04563a942eba70874295b4698598d
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Mon Oct 5 15:33:14 2009 +0200

    Bump version for upcoming release

 configure.in |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 7b1379e5d772552867888404ffc9677debba4950
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Mon Oct 5 15:32:38 2009 +0200

    Updated NEWS

 NEWS |  327 +++---------------------------------------------------------------
 1 files changed, 12 insertions(+), 315 deletions(-)

commit 9df71dc10b30be58820bfb84aa539a88abc09724
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sun Oct 4 12:58:10 2009 +0200

    Forgotten file + cosmetic code change for readability

 libbrasero-media/brasero-drive-priv.h     |   43 ++++++++++++++
 libbrasero-media/brasero-medium-monitor.c |   88 +++++++++++-----------------
 2 files changed, 78 insertions(+), 53 deletions(-)

commit c2d7849eb504329e5d64946679397efb01070a3e
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sat Oct 3 20:18:10 2009 +0200

    Silenced a warning with GtkUIManager

 src/brasero-audio-disc.c |    2 +-
 src/brasero-data-disc.c  |    2 +-
 src/brasero-video-disc.c |    2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

commit ab05734c43fae8dfeab94ee4feddafa501232b42
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sat Oct 3 18:49:21 2009 +0200

    Remove dummy support from libburn plugin for CDs as it isn't well supported and tends to fail.

 plugins/libburnia/burn-libburn.c |   23 ++++++++++++++++++++---
 1 files changed, 20 insertions(+), 3 deletions(-)

commit 174557c6b3b5cc023a79463112ef2b19aaf5afad
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sat Oct 3 18:48:44 2009 +0200

    Fix macro by adding parentheses around one of the argument wherever it was used.

 libbrasero-burn/brasero-plugin-registration.h |   44 ++++++++++++------------
 1 files changed, 22 insertions(+), 22 deletions(-)

commit fb58e73c154ba10bd5f2569f8848406f8f381bae
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sat Oct 3 14:25:04 2009 +0200

    Make sure to set the label for the volume _after_ the former session has been imported or it get replaced

 plugins/libburnia/burn-libisofs.c |   34 +++++++++++++++++++---------------
 1 files changed, 19 insertions(+), 15 deletions(-)

commit c609bd59d7699dd438b37924f82aa3a7008da072
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sat Oct 3 13:19:57 2009 +0200

    Fix a variable that could in rare situations be left uninitialized

 libbrasero-burn/brasero-caps-session.c |   16 +++++++++++-----
 1 files changed, 11 insertions(+), 5 deletions(-)

commit 58f765f1d509cf3782092ccaad8cceb3e96841a3
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sat Oct 3 11:07:20 2009 +0200

    Don't forget to signal the medium removal when cancelling probing

 libbrasero-media/brasero-drive.c |   11 ++++++++++-
 1 files changed, 10 insertions(+), 1 deletions(-)

commit 7b718b42d225852800b5e3cbf1edc063c55fce4e
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Fri Oct 2 22:22:38 2009 +0200

    Don't tell the user we are blanking formatting (which we actually are) his disc when we start recording a DVD+RW with libburn to avoid scaring him

 plugins/libburnia/burn-libburn-common.c |   14 ++++++++++++--
 plugins/libburnia/burn-libburn-common.h |    6 ++++--
 plugins/libburnia/burn-libburn.c        |   10 ++++++++--
 plugins/libburnia/burn-libisofs.c       |    2 +-
 4 files changed, 25 insertions(+), 7 deletions(-)

commit 4fbdc7c1cc4bee68c62beb247ecdc993e40915f6
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Fri Oct 2 20:34:22 2009 +0200

    Some minor code enhancements

 libbrasero-burn/burn-task-ctx.c         |    7 ++++---
 libbrasero-media/brasero-drive.c        |   13 ++++++++-----
 plugins/libburnia/burn-libburn-common.c |    6 +-----
 3 files changed, 13 insertions(+), 13 deletions(-)

commit 06d0bcf8fec82974b2309727d93b24d322a9de4e
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Fri Oct 2 19:39:39 2009 +0200

    Another fix for progress report (introduced by latest patch)

 libbrasero-burn/burn-task-ctx.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit a223dfeee931e76da6719b8a64133e2a7985fd7a
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Fri Oct 2 16:42:48 2009 +0200

    Properly set the file node member is_2GiB when its size > 2GiB

 libbrasero-burn/brasero-file-node.c |    8 ++++++--
 1 files changed, 6 insertions(+), 2 deletions(-)

commit eacb724e488cdf855676684d01128b4b19474825
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Fri Oct 2 15:48:34 2009 +0200

    Update progress reporting
    Whenever an action changed if the plugin was reporting progress before one way or another we send a last signal progress-changed with value of 1.0 (completed) then "action-changed"
    Whatever the action we then reset the progress to 0.

 libbrasero-burn/brasero-caps-session.c |    2 +-
 libbrasero-burn/burn-task-ctx.c        |   56 +++++++++++++++++++++++++++++---
 2 files changed, 52 insertions(+), 6 deletions(-)

commit d775157af78a862d9f0bc8b68c6a09331f5c303a
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Fri Oct 2 14:06:38 2009 +0200

    Remove unneeded lines

 libbrasero-burn/brasero-burn.c |    3 ---
 1 files changed, 0 insertions(+), 3 deletions(-)

commit c14c92d2a67244e3b84c7f5029b896e5f0872a88
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Fri Oct 2 14:05:21 2009 +0200

    Fix for progress reporting in libburn plugin

 plugins/libburnia/burn-libburn-common.c |   18 +++++++-----------
 1 files changed, 7 insertions(+), 11 deletions(-)

commit 29c9e29f63bd6b7c9d8a97ac805e390c3d0befe6
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Fri Oct 2 11:40:25 2009 +0200

    Allow a job to delay its start (when a drive is busy for example)
    This allows libburn to wait for the drive to be ready sometimes

 libbrasero-burn/burn-job.h       |   14 ++++---
 libbrasero-burn/burn-task.c      |   74 +++++++++++++++++++++++++++++++++++++-
 plugins/libburnia/burn-libburn.c |   28 ++++++++++++--
 3 files changed, 105 insertions(+), 11 deletions(-)

commit fbb2c35817bbcccb2b95c511b16a2888b898c480
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Fri Oct 2 10:38:35 2009 +0200

    When BraseroBurn has to reprobe for a medium don't wait for it to show up use brasero_drive_probing () instead which is more reliable

 libbrasero-burn/brasero-burn.c            |    5 +++--
 libbrasero-media/Makefile.am              |    3 ++-
 libbrasero-media/brasero-medium-monitor.c |   10 ++--------
 3 files changed, 7 insertions(+), 11 deletions(-)

commit 04d579c028adf9a04802789bf27f13ce62c359b2
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Fri Oct 2 10:36:56 2009 +0200

    Postpone any probing while the drive is locked

 libbrasero-media/brasero-drive.c |   83 ++++++++++++++++++++++++++++++--------
 1 files changed, 66 insertions(+), 17 deletions(-)

commit 1c0f0aac9d449c6e049572b829a262bf329f8f2a
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Fri Oct 2 10:31:38 2009 +0200

    Add some more debug

 plugins/libburnia/burn-libburn.c |   11 +++++++++--
 1 files changed, 9 insertions(+), 2 deletions(-)

commit 11a1b352ce9848b6c30be6757d7a25611701e783
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Thu Oct 1 20:38:40 2009 +0200

    Unnecessary lines

 libbrasero-media/brasero-drive.c |    3 ---
 1 files changed, 0 insertions(+), 3 deletions(-)

commit 40c764ec5509a66445857cf55705e1006aeb1d2f
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Thu Oct 1 20:32:30 2009 +0200

    Destroy the BraseroMedium object before ejecting (to stop any probing)

 libbrasero-media/brasero-drive.c |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit 7aa3e5202b5eb31bf173aa0baa23812d19c45f39
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Thu Oct 1 20:26:24 2009 +0200

    Try harder to unmount volumes by retrying several times

 libbrasero-burn/brasero-burn.c |   97 ++++++++++++++++++++++------------------
 1 files changed, 54 insertions(+), 43 deletions(-)

commit 196ad579d86bd1c9cde3d0fc41838a8d618cf9e1
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Tue Sep 29 22:13:31 2009 +0200

    Use g_cond_timed_wait instead of sleep in thread to allow a more immediate thread cancellation

 libbrasero-media/brasero-drive.c  |   37 +++++++++++++++++++++++++++++++++++--
 libbrasero-media/brasero-medium.c |   26 +++++++++++++++++++++++++-
 2 files changed, 60 insertions(+), 3 deletions(-)

commit f5c7a64e2a28da6a4fc5f2d64e810eda97160fc6
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Tue Sep 29 22:03:30 2009 +0200

    Add a debug statement

 libbrasero-media/brasero-medium-monitor.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit b75ad561e0e2c3472345c1b201dfd09823957aa9
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Tue Sep 29 22:02:58 2009 +0200

    Fix memory leak when loading saved data project

 libbrasero-burn/brasero-track-data-cfg.c |    8 ++++++++
 1 files changed, 8 insertions(+), 0 deletions(-)

commit 8e132c3a0b9a93f59c77cadd432a51094654f9e8
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Tue Sep 29 22:02:14 2009 +0200

    Initialize two variables even if that should not be necessary

 libbrasero-burn/brasero-drive-properties.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 4a557a682d8dbd373e1a16e7a842a79c5a200de0
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Tue Sep 29 22:01:33 2009 +0200

    Don't leak the error if the creation of a checksum task fails

 libbrasero-burn/brasero-burn.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit dfda4377fb5ca5f61f5de0bc7ee8b8e5cd1151f7
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Tue Sep 29 20:22:05 2009 +0200

    When we probed the inside of a drive and found a medium while we were already having one make sure we mark it as probed

 libbrasero-media/brasero-drive.c |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)

commit 6594cba08f7081789a2b078f5c17eabf4dfafa92
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Tue Sep 29 20:12:45 2009 +0200

    Make sure that if the inside of a drive are being probed then if an eject request comes up we cancel the probe before trying to eject

 libbrasero-media/brasero-drive.c |   43 +++++++++++++++++++++++++++----------
 1 files changed, 31 insertions(+), 12 deletions(-)

commit 7fff78f5e0dd6a6f7b9979083d2785fc7787adda
Author: 苏运强 <wzssyqa@gmail.com>
Date:   Thu Oct 1 14:45:01 2009 +0800

    Add Simplified Chinese translation of brasero help for gnome-2-28 branch.

 help/Makefile.am    |    2 +-
 help/zh_CN/zh_CN.po | 1647 +++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 1648 insertions(+), 1 deletions(-)

commit 4dc4523ee6e17eceaf2044c521c96bbf7588fdd1
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Mon Sep 28 20:28:07 2009 +0200

    Small memory leak
    This is a harmless one as it only happen when we unref a global object before closing the program

 libbrasero-burn/burn-caps.c |   20 ++++++++++++++++++++
 libbrasero-burn/burn-caps.h |    8 ++++----
 2 files changed, 24 insertions(+), 4 deletions(-)

commit 92695b0dbc1f9168252f6c9b15a18bdacb05fdf6
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Mon Sep 28 20:26:18 2009 +0200

    Fix #596625 -  brasero crashed with SIGSEGV in brasero_track_data_cfg_add()
    A returned value was not properly checked.

 libbrasero-burn/brasero-data-project.c |   49 +++++++++++++++++++------------
 1 files changed, 30 insertions(+), 19 deletions(-)

commit 7742fa509abede72e6eb2a28175833e4243299c0
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Mon Sep 28 14:50:26 2009 +0200

    One more safety test not to get a negative value for the position in the stream
    That will avoid an infinite loop in some rare cases.

 libbrasero-utils/brasero-metadata.c |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)

commit 4e662169fc6bb0ad8cb01d948427a72bb24a49d7
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Mon Sep 28 14:47:58 2009 +0200

    Return an error when a stream has a len of 0

 libbrasero-burn/brasero-track-stream-cfg.c |   19 +++++++++++++++++--
 1 files changed, 17 insertions(+), 2 deletions(-)

commit 4c1d778a08a3ba352dbf986c66af51588262dbc1
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Mon Sep 28 14:47:38 2009 +0200

    Don't display a file with a 0 length

 src/brasero-player.c |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit e4fc6b8f730bba8c0f339a3a3c2ff1b59419cc60
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Mon Sep 28 14:46:24 2009 +0200

    Don't try to make a snapshot of a video with a 0 len

 libbrasero-utils/brasero-metadata.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit cc79080ca7c80a90b2609eab79e518ce373607d3
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Mon Sep 28 14:45:44 2009 +0200

    Don't show the dialog to add the contents of a directory when there is an error
    Fix wrong test

 src/brasero-video-disc.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit efa03bd0361b55b7a1eb23b7de87e0ec4a57fc41
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Mon Sep 28 13:45:55 2009 +0200

    Reprobe the drive contents after every blank operation

 libbrasero-burn/brasero-burn.c |   27 ++++++++++++++-------------
 1 files changed, 14 insertions(+), 13 deletions(-)

commit 6bfb66b39336ddab247ba44e131069eee6b85ba6
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Mon Sep 28 13:35:34 2009 +0200

    Fix brasero_medium_monitor_get_media () that did not return some rewritable media as expected
    An old leftover statement prevented DVD+RW to be seen as rewritable.

 libbrasero-media/brasero-medium-monitor.c |    1 -
 libbrasero-media/brasero-medium.c         |    2 +-
 2 files changed, 1 insertions(+), 2 deletions(-)

commit 06ff12fcaa4bba7f5c65976b7f9814c0c853fc55
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sun Sep 27 20:59:02 2009 +0200

    Make brasero choose the best medium available when a new one appears and the user has not set any specific medium

 libbrasero-burn/brasero-dest-selection.c    |   76 ++++++++++++++++++++++++++-
 libbrasero-media/brasero-medium-selection.c |   16 +++---
 2 files changed, 82 insertions(+), 10 deletions(-)

commit 7d0c74e0b922b14df40a0973a6e82a68413d3f1e
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sun Sep 27 15:32:49 2009 +0200

    Fix libburn report progress when there are more than one track (like an audio disc)

 plugins/libburnia/burn-libburn-common.c |    7 ++++---
 1 files changed, 4 insertions(+), 3 deletions(-)

commit 2225e887e512908d7e1127c8683d6a96f9e9cb2f
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sun Sep 27 15:07:01 2009 +0200

    Fix settings that were not remembered for multisession

 libbrasero-burn/brasero-session-cfg.c |   53 ++++++++++++---------------------
 1 files changed, 19 insertions(+), 34 deletions(-)

commit 78b67d7a21e2a6552ee2e82c4977ae024211e4e2
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sat Sep 26 21:10:33 2009 +0200

    Do not tell the user we're still simulating while burning for real
    The strings in the burn dialog were not updated after a successfully burnt dummy session

 libbrasero-burn/brasero-burn-dialog.c |   60 +++++++++++++++++++++-----------
 1 files changed, 39 insertions(+), 21 deletions(-)

commit a5a1d6cf8fd9ba31a599f2e1ab68768a3bab0f75
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sat Sep 26 20:32:10 2009 +0200

    Fix a data corruption when libisofs was used with for a dummy session
    After a successful dummy session libisofs would not re-generate the image and though burning may not fail it was not the data meant to be burnt

 plugins/libburnia/burn-libisofs.c |   36 ++++++++++++++++++++----------------
 1 files changed, 20 insertions(+), 16 deletions(-)

commit b9d661f51df5a96880d9e80795e562270d6de76d
Author: Milo Casagrande <milo@ubuntu.com>
Date:   Sat Sep 26 16:43:36 2009 +0200

    Updated Italian translation

 po/it.po |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 3af0a55b9c9888d68054c851e14861acfdb51453
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sat Sep 26 14:49:40 2009 +0200

    Don't leak file descriptors
    This could be the reason why media did not get ejected

 libbrasero-media/brasero-drive.c  |   20 +++++++----
 libbrasero-media/brasero-medium.c |   64 ++++++++++++++++++++-----------------
 2 files changed, 48 insertions(+), 36 deletions(-)

commit 4dc6ba278606ecee9e61b85d37356474e266775f
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sat Sep 26 14:17:05 2009 +0200

    Small speed up
    Remove some unnecessary tests when getting flags and whether it's supported for CLONE, CDRDAO and CUE image types.

 libbrasero-burn/brasero-caps-session.c |   24 +++++++++++++++++++++++-
 1 files changed, 23 insertions(+), 1 deletions(-)

commit 3cb1381a11be6cd606778fd4140275e2a2daec65
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sat Sep 26 13:59:52 2009 +0200

    Don't fail if a drive cannot be checksumed after a burn because a plugin cannot be found

 libbrasero-burn/brasero-burn.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 226b61f4969c3f573c2cb57d48d88c6369bd095d
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sat Sep 26 13:53:54 2009 +0200

    Make sure all flags are not updated when merging session and a drive is reprobed after a burn

 libbrasero-burn/brasero-session-cfg.c |   24 ++++++++++++++++++------
 1 files changed, 18 insertions(+), 6 deletions(-)

commit 086efc7f489a8717d126606facf78afb66d734ac
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Fri Sep 25 22:36:06 2009 +0200

    Don't blank before when the user asked to merge

 libbrasero-burn/brasero-caps-session.c |   52 ++++++++++++++++++++-----------
 libbrasero-burn/brasero-session-cfg.c  |    2 +-
 plugins/cdrtools/burn-cdrecord.c       |    2 +-
 3 files changed, 35 insertions(+), 21 deletions(-)

commit 62e6df28965dba3d8c7fccc3071952e12ff0583a
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Fri Sep 25 20:37:29 2009 +0200

    Don't set DAO by default whenever it's supported to allow the user to leave the disc open

 libbrasero-burn/brasero-session-cfg.c |   49 ++++++++++++++++++++++++++++++++-
 1 files changed, 48 insertions(+), 1 deletions(-)

commit 09a7d7c6d86f9f9e0822a23cc8a715a19787eb6b
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Fri Sep 18 15:05:53 2009 +0200

    Fix a crash when we try to download a missing gstreamer plugin through PK
    The same structure was added twice to the list which caused it to be freed multiple times

 libbrasero-utils/brasero-metadata.c |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 901bbae512c1bdffd767603f653005ac6551b74a
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Thu Sep 24 14:32:11 2009 +0200

    Instead of crashing when brasero_burn_library_start () has not been called, abort with an error message

 libbrasero-burn/burn-basics.c |   21 +++++++++++++++++++--
 libbrasero-burn/burn-caps.c   |   14 --------------
 2 files changed, 19 insertions(+), 16 deletions(-)

commit 71be013bc7adb15930823cda6af51a151bb1c4fc
Author: Joan Duran <jodufi@gmail.com>
Date:   Fri Sep 25 10:00:59 2009 +0200

    Updated Catalan translation

 po/ca.po | 3403 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 1839 insertions(+), 1564 deletions(-)

commit e774ba8f60b1e2ed84a6bdc469b4dc445904e0c7
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Thu Sep 24 12:16:43 2009 +0200

    Updated Slovenian translation

 po/sl.po | 5559 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 2918 insertions(+), 2641 deletions(-)

commit 41e464b1de29e3221d8030945237007803bf8d21
Author: Aron Xu <aronxu@gnome.org>
Date:   Thu Sep 24 14:35:04 2009 +0800

    Fixed LP:379456 in gnome-2-28

 po/zh_CN.po |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 921a807b8cabfb04371b82e7c92e7031c559bdb9
Author: Petr Kovar <pknbe@volny.cz>
Date:   Tue Sep 22 00:08:38 2009 +0200

    Updated Czech help figures by Adrian Gunis

 help/cs/figures/brasero_main.png |  Bin 0 -> 99605 bytes
 1 files changed, 0 insertions(+), 0 deletions(-)

commit dcc5a008c68787a459de41f75782c8d362e112e0
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Mon Sep 21 14:23:25 2009 +0200

    Bumped the version number

 configure.in |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit 87452bad6474fefa3ca8485e3c4e5a156afedd54
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Mon Sep 21 14:22:37 2009 +0200

    Updated news for upcoming release

 NEWS |   34 +++++++++++++++++++++++++++++++++-
 1 files changed, 33 insertions(+), 1 deletions(-)

commit 6d8bcd066560768f73daaca3a3371d67ccffad0d
Author: Amitakhya Phukan <aphukan@fedoraproject.org>
Date:   Sun Sep 20 15:19:13 2009 +0530

    Updating Assamese translations.

 po/as.po | 1248 +++++++++++++++++++++++++++++--------------------------------
 1 files changed, 593 insertions(+), 655 deletions(-)

commit b2d921c79fc87ad227eeb848aaecaed62c14f282
Author: A S Alam <aalam@users.sf.net>
Date:   Sun Sep 20 00:21:44 2009 +0530

    Updating Translation for Punjabi by A S Alam

 po/pa.po | 5626 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 3000 insertions(+), 2626 deletions(-)

commit f95acea95f68c716e24df935f4e39b8b942c41bb
Author: Adi Roiban <adi@roiban.ro>
Date:   Sat Sep 19 20:50:35 2009 +0300

    Updated Romanian translation

 po/ro.po | 5378 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 2750 insertions(+), 2628 deletions(-)

commit b86681c9d9a9b3a3c1dedb6ca3763c666bcf446a
Author: Takayuki KUSANO <AE5T-KSN@asahi-net.or.jp>
Date:   Thu Sep 17 23:50:13 2009 +0900

    Updated Japanese translation

 po/ja.po | 5377 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 2865 insertions(+), 2512 deletions(-)

commit 0bffb33fae4415785e809353285de0e67d98a59c
Author: Rajesh Ranjan <rranjan@rranjan.csb>
Date:   Thu Sep 17 16:00:45 2009 +0530

    hindi update by Rajesh Ranjan

 po/hi.po | 1416 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 709 insertions(+), 707 deletions(-)

commit 83c8cbacaf83f0833f73ea3f2b86ffc5874707ae
Author: Rajesh Ranjan <rranjan@rranjan.csb>
Date:   Thu Sep 17 02:09:05 2009 +0530

    hindi update by Rajesh Ranjan

 po/hi.po |  553 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 277 insertions(+), 276 deletions(-)

commit 9106b649f8bff9409de179c76c39aa443c4088f6
Author: Tomasz Dominikowski <dominikowski@gmail.com>
Date:   Wed Sep 16 19:45:37 2009 +0200

    Updated Polish translation

 po/pl.po | 1449 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 801 insertions(+), 648 deletions(-)

commit 1878e16923efc3f481e60b604da66f32c7ecbb5f
Author: Maxim V. Dziumanenko <dziumanenko@gmail.com>
Date:   Wed Sep 16 16:47:19 2009 +0300

    Added Ukrainian translation

 po/uk.po | 2086 ++++++++++++++++++++++++++++++--------------------------------
 1 files changed, 1015 insertions(+), 1071 deletions(-)

commit 9c653aef90176c102cd52e974a58c60994766897
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Wed Sep 16 15:36:16 2009 +0200

    Remove executable flag on translation file

 0 files changed, 0 insertions(+), 0 deletions(-)

commit d6f78f7d5bc5001275a8fe70ab6679f457183672
Author: Fran Diéguez <fran.dieguez@glug.es>
Date:   Wed Sep 16 15:40:01 2009 +0200

    Updated Galician Translation

 po/gl.po |  873 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 441 insertions(+), 432 deletions(-)

commit 5ec3aee1b4ffb4b3fd33f594bbbef331c7fd96fc
Author: Mads Lundby <lundbymads@gmail.com>
Date:   Tue Sep 15 21:24:01 2009 +0200

    Updated Danish translation

 po/da.po | 1034 ++++++++++++++++++++++++++++++--------------------------------
 1 files changed, 504 insertions(+), 530 deletions(-)

commit e1229c83df899e99ec73031a89eeb5aa3c05c02b
Author: Astur <malditoastur@gmail.com>
Date:   Mon Sep 14 16:34:25 2009 +0200

    Added Asturian translation

 po/LINGUAS |    1 +
 po/ast.po  | 5023 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 5024 insertions(+), 0 deletions(-)

commit dd8bbf9752f9bd0394a47de434e418e01c673f48
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sun Sep 13 20:52:42 2009 +0200

    Re-add enable-gtk-doc to autogen.sh

 autogen.sh |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 479de06b8697b7da22bb691ca05c5715f610a514
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sun Sep 13 13:30:11 2009 +0200

    Specifically link against gthread-2.0 the two libraries and brasero as they call g_thread_init ()

 configure.in                 |    8 ++++++++
 libbrasero-burn/Makefile.am  |    1 +
 libbrasero-media/Makefile.am |    1 +
 src/Makefile.am              |    1 +
 4 files changed, 11 insertions(+), 0 deletions(-)

commit eee6e07f4a3a91fded7ae0d375cac2efc8129178
Author: Bruce Cowan <bcowan@fastmail.co.uk>
Date:   Sat Sep 12 19:56:54 2009 +0100

    Updated British English translation

 po/en_GB.po | 5400 +++++++++++++++++++++++++++++++----------------------------
 1 files changed, 2869 insertions(+), 2531 deletions(-)

commit daf64ebf2ca6ff8dba70bd9bf03f3ece5f7d7ab9
Author: Kostas Papadimas <pkst@gnome.org>
Date:   Sat Sep 12 19:21:22 2009 +0300

    Updated Greek help translation.

 help/el/el.po |   13 ++++++-------
 1 files changed, 6 insertions(+), 7 deletions(-)

commit 6754d1514947e97852a9d66a1b5182ef5fdcb62b
Author: Tommi Vainikainen <thv@iki.fi>
Date:   Sat Sep 12 19:13:47 2009 +0300

    Updated Finnish translation

 po/fi.po |  699 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 357 insertions(+), 342 deletions(-)

commit 0583816180a54b69d44552b7fe09748a1638d56b
Author: Ani <peter.ani@gmail.com>
Date:   Fri Sep 11 12:46:17 2009 +0530

    Updated Malayalam Translations

 po/ml.po | 5389 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 2835 insertions(+), 2554 deletions(-)

commit 8cae19a802b9291540ae815a13d23e38fed3753e
Author: Shankar Prasad <svenkate@redhat.com>
Date:   Fri Sep 11 10:54:16 2009 +0530

    Updated Kannada(kn) translation

 po/kn.po |  570 ++++++++++++++++++++++++++-----------------------------------
 1 files changed, 243 insertions(+), 327 deletions(-)

commit ead7ab5395f43273a58770493b5bf47659cce4fc
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Thu Sep 10 20:26:51 2009 +0200

    Also initialize thread when starting libbrasero-media

 libbrasero-burn/burn-basics.c    |    2 +-
 libbrasero-media/brasero-media.c |   19 +++++++++++++++++++
 2 files changed, 20 insertions(+), 1 deletions(-)

commit 4efeadb78404a9e291c9c4f5daddf06e88361509
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Thu Sep 10 20:11:50 2009 +0200

    Modified autogen.sh so it uses the proper variable for building docs

 autogen.sh   |    2 +-
 configure.in |    1 +
 2 files changed, 2 insertions(+), 1 deletions(-)

commit 12ada48e177640310960ed63e6b74307686acfc7
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Thu Sep 10 20:09:38 2009 +0200

    Fix potential data corruption when using libisofs and libdvdcss plugins

 plugins/dvdcss/burn-dvdcss.c      |    2 +-
 plugins/libburnia/burn-libisofs.c |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 3e984fc0cd919cf1ab19c1619845cfd970c2fa5a
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Thu Sep 10 20:04:35 2009 +0200

    Fix one more warning

 libbrasero-utils/brasero-jacket-edit.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 2f21d3e57e20b98e1b19efb6466bc7402667a09d
Author: Gintautas Miliauskas <gintautas@miliauskas.lt>
Date:   Thu Sep 10 14:05:12 2009 +0300

    Updated Lithuanian translation.

 po/lt.po | 6184 ++++++++++++++++++++++++++++----------------------------------
 1 files changed, 2744 insertions(+), 3440 deletions(-)

commit dca859858b747b5b65b612509c62f9cdea0479b3
Author: Rajesh Ranjan <rranjan@rranjan.csb>
Date:   Thu Sep 10 13:20:22 2009 +0530

    hindi update by Rajesh Ranjan

 po/hi.po | 5165 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 2740 insertions(+), 2425 deletions(-)

commit ab2c96ff95183e80d6902354114fe106f8c05332
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Wed Sep 9 22:38:03 2009 +0200

    API doc

 libbrasero-burn/burn-basics.c |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit 4f9e151972142723e27319a5b9f92ae1e2a3f2e8
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Wed Sep 9 22:37:56 2009 +0200

    Improved displaying of free space in the medium selector (sometimes we had "Not enough free space" as long as it wasn't selected)

 libbrasero-burn/brasero-dest-selection.c |   24 +++++-------------------
 1 files changed, 5 insertions(+), 19 deletions(-)

commit 93ec84b9c9a0b7b1a84321194d16f412aacb7da3
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Wed Sep 9 22:24:02 2009 +0200

    Another warning

 plugins/dvdcss/burn-dvdcss.c |    2 --
 1 files changed, 0 insertions(+), 2 deletions(-)

commit ab9a3b11094d87b82ba9d87766afac6d66e27d80
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Wed Sep 9 22:15:56 2009 +0200

    Add WARN_CFLAGS

 libbrasero-burn/Makefile.am     |    1 +
 libbrasero-media/Makefile.am    |    1 +
 libbrasero-utils/Makefile.am    |    1 +
 nautilus/Makefile.am            |    1 +
 plugins/cdrdao/Makefile.am      |    1 +
 plugins/cdrkit/Makefile.am      |    1 +
 plugins/cdrtools/Makefile.am    |    1 +
 plugins/checksum/Makefile.am    |    1 +
 plugins/dvdauthor/Makefile.am   |    1 +
 plugins/dvdcss/Makefile.am      |    1 +
 plugins/growisofs/Makefile.am   |    1 +
 plugins/libburnia/Makefile.am   |    1 +
 plugins/local-track/Makefile.am |    1 +
 plugins/transcode/Makefile.am   |    1 +
 plugins/vcdimager/Makefile.am   |    1 +
 src/Makefile.am                 |    1 +
 16 files changed, 16 insertions(+), 0 deletions(-)

commit 3d6591dd9c051d02697457134a5d7c1cf4fc090f
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Wed Sep 9 21:41:59 2009 +0200

    Fix some more warnings that appeared on 64 archs

 libbrasero-burn/brasero-session.c |    4 ++--
 plugins/cdrdao/burn-toc2cue.c     |    2 +-
 plugins/cdrkit/burn-wodim.c       |    2 +-
 plugins/cdrtools/burn-cdrecord.c  |    2 +-
 src/brasero-rename.c              |    4 ++--
 5 files changed, 7 insertions(+), 7 deletions(-)

commit 2649b0af8a49d2c2c5fe877fff3928dad2a18b40
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Wed Sep 9 16:29:12 2009 +0200

    Fix a couple of warnings

 libbrasero-burn/brasero-burn.c         |    2 +-
 libbrasero-burn/brasero-session.c      |    3 ++-
 libbrasero-burn/brasero-xfer.c         |    2 +-
 libbrasero-burn/burn-image-format.c    |    8 +++++---
 plugins/checksum/burn-checksum-files.c |    2 +-
 src/baobab-cell-renderer-progress.c    |    2 +-
 src/brasero-app.c                      |    2 ++
 7 files changed, 13 insertions(+), 8 deletions(-)

commit cfd359783f45426a6bd9e9f6af8d431db1d42795
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Wed Sep 9 16:11:58 2009 +0200

    Fix wrong patch that set libisofs non blocking

 plugins/libburnia/burn-libisofs.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 94371d8a2a4a33ed099041311dbadf2b958409e2
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Wed Sep 9 16:10:48 2009 +0200

    Fix #594637 -  Fix incomplete function declaration
    Patch by Vincent Untz

 src/brasero-data-disc.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit ad3f8527ec926706f0d03247579895aec119bf18
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Wed Sep 9 16:08:26 2009 +0200

    Reworked and hopefully enhanced drive and medium probing code.
    Use a mutex when probing drive
    Don't rely any more on GIO when checking whether a medium is inside

 libbrasero-media/brasero-drive.c          |  464 +++++++++++++++++++----------
 libbrasero-media/brasero-medium.c         |   16 +-
 libbrasero-media/scsi-error.c             |    4 +
 libbrasero-media/scsi-error.h             |    1 +
 libbrasero-media/scsi-get-configuration.h |    1 +
 libbrasero-media/scsi-sense-data.c        |    6 +
 6 files changed, 339 insertions(+), 153 deletions(-)

commit 88c0761ac41a198ee508d3f5ce7b498d8ff3e705
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Wed Sep 9 16:04:58 2009 +0200

    When writing to a pipe, set the pipe as non blocking

 plugins/libburnia/burn-libisofs.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit bebcba81af892f4bf165051504303368571fd061
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Wed Sep 9 13:33:01 2009 +0200

    Don't drive to eject medium if we don't have a GDrive

 libbrasero-media/brasero-drive.c |   19 ++++++++++++-------
 1 files changed, 12 insertions(+), 7 deletions(-)

commit 11c1ebe6c5b4c5937babc99925408ae4126c3036
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Wed Sep 9 12:46:41 2009 +0200

    Don't make the thread joinable if we won't use that.

 libbrasero-media/brasero-medium.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit fecc6c5f7e133967863d99d96385cb83a235dab2
Author: krishnababu k <kkrothap@redhat.ocm>
Date:   Wed Sep 9 18:30:44 2009 +0530

    Updated Telugu Translation

 po/te.po | 5264 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 2805 insertions(+), 2459 deletions(-)

commit 3229fdd72bd12fd50a3b5906a9c3ed46c66b4297
Author: Runa Bhattacharjee <runab@redhat.com>
Date:   Wed Sep 9 18:11:10 2009 +0530

    Updated Bengali India Translations

 po/bn_IN.po | 1776 ++++++++++++++++++++++++++---------------------------------
 1 files changed, 789 insertions(+), 987 deletions(-)

commit 5b546134c16c6c02d55cc43075e8360b709f9d54
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Tue Sep 8 20:13:13 2009 +0200

    Fix #594530 -  BRASERO_MEDIA_TYPE_ALL_BUT_FILE doesn't math ALL_BUT_FILE anymore
    Stupid mistake fixed.

 libbrasero-media/brasero-medium-monitor.h |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 5aeee96a116bf27f3bfc2f86af5b0a9c585a0973
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Tue Sep 8 18:08:12 2009 +0200

    Fix #594336 -  Brasero audio CD creator fails to load FLAC/WAV files without file type name extensions

 libbrasero-utils/brasero-io.c       |    8 ++++++--
 libbrasero-utils/brasero-metadata.c |    5 +++++
 2 files changed, 11 insertions(+), 2 deletions(-)

commit 44c87b7ccc36d293530492a914ce69db99005542
Author: Kostas Papadimas <pkst@gnome.org>
Date:   Tue Sep 8 18:17:26 2009 +0300

    Updated Greek translation.

 po/el.po | 4797 +++++++++++++++++++++++++-------------------------------------
 1 files changed, 1930 insertions(+), 2867 deletions(-)

commit 81462010a71cd4fc5cea382c32bb9499546a224c
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Tue Sep 8 16:02:19 2009 +0200

    Fix for #594417 -  crashed with SIGSEGV in g_type_instance_get_private()
    Fix for race condition

 libbrasero-media/brasero-medium.c |   61 +++++++++++++++++++++++--------------
 1 files changed, 38 insertions(+), 23 deletions(-)

commit 3198925d8d191d4cd071e208807094646fd8284b
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Mon Sep 7 22:24:02 2009 +0200

    Improve probing thread termination

 libbrasero-media/brasero-medium.c |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit d99fb92280a710834224f7d2263165b0c5370307
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Mon Sep 7 22:23:46 2009 +0200

    Fix debug message

 libbrasero-burn/brasero-burn.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit dd14dfdda5e7a244738150e2e9d39d69de221611
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Mon Sep 7 21:54:40 2009 +0200

    Before blanking/formatting, check the size of the data to be written to avoid unnecessary blanking

 libbrasero-burn/brasero-burn.c |   31 +++++++++++++++++++++++++++++++
 1 files changed, 31 insertions(+), 0 deletions(-)

commit 5413e945ab7022c9a023471c318ace824f07a0b1
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Mon Sep 7 21:40:32 2009 +0200

    Memleak

 libbrasero-burn/brasero-burn.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit a85ab7fedf5bebf031cac3ad768442090227554f
Author: Aron Xu <aronxu@gnome.org>
Date:   Tue Sep 8 21:16:18 2009 +0800

    Updated Simplified Chinese translation.

 po/zh_CN.po | 6103 ++++++++++++++++++++++++++++------------------------------
 1 files changed, 2946 insertions(+), 3157 deletions(-)

commit a66ff693156691a4bcbf5790941e03d22388c7b1
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Mon Sep 7 21:17:29 2009 +0200

    Forgotten version information

 configure.in |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit da97f74a71d439cc7b3c5c6b8fb1a7c55836d58f
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Mon Sep 7 21:08:58 2009 +0200

    Updated NEWS files

 NEWS |  103 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 103 insertions(+), 0 deletions(-)

commit d0cea00113156f0ecf9c85a8b8a51d971df99c81
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Mon Sep 7 20:56:19 2009 +0200

    Bump version for release

 configure.in |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit d608dd48afd1cebd8b02eb4bc33d8049bf1eaf84
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Mon Sep 7 19:58:44 2009 +0200

    API documentation typo

 libbrasero-burn/brasero-session-cfg.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 43d8476c08b8944876830723ba7d4a05a6b402e7
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Mon Sep 7 18:35:15 2009 +0200

    Fix brasero_session_cfg_add_flags () that have been broken by latest changes for DVD-RW

 libbrasero-burn/brasero-session-cfg.c |   14 +-------------
 1 files changed, 1 insertions(+), 13 deletions(-)

commit 533e69dfe28992f388f995f0bc707bd337189775
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Mon Sep 7 17:48:45 2009 +0200

    Fix typo

 libbrasero-media/brasero-medium.c |    3 ---
 1 files changed, 0 insertions(+), 3 deletions(-)

commit e03974bdbf84543e5da41254feb8709ca1c8d65f
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Mon Sep 7 16:15:25 2009 +0200

    Fix another window stacking problem (burn dialog was not always appearing in task bar)

 libbrasero-burn/brasero-burn-dialog.c |    3 +++
 src/brasero-app.c                     |    2 --
 2 files changed, 3 insertions(+), 2 deletions(-)

commit c6186c72ed1421d2308bf2e1c1bea38fab274d7a
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Mon Sep 7 15:54:41 2009 +0200

    Don't reset checksums for images and media as they won't change

 libbrasero-burn/brasero-burn.c |   12 ++++++++----
 1 files changed, 8 insertions(+), 4 deletions(-)

commit 0c5ce8374eb334bfe801463eaacff34b1c0317d8
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Mon Sep 7 15:52:15 2009 +0200

    Make sure that when removing a flag all default flags (blank, fast blank, dao, ...) are updated accordingly

 libbrasero-burn/brasero-session-cfg.c |  132 ++++++++++++++++++---------------
 1 files changed, 73 insertions(+), 59 deletions(-)

commit 1875788061687f5bfbe7b6a581e68d4e94c38e8d
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Mon Sep 7 15:51:13 2009 +0200

    Add safeguards for DVD-RW sequential that were not fully formatted
    Handle the case where the user really wants multisession => full blanking

 libbrasero-burn/brasero-caps-session.c |   43 ++++++++++++++++++++++++++++++++
 1 files changed, 43 insertions(+), 0 deletions(-)

commit 283c0dcfe67a00615beacac266c2b22a68537232
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Mon Sep 7 15:47:55 2009 +0200

    Rework and clean some code. Probe dao/tao/... earlier

 libbrasero-media/brasero-medium.c |  157 ++++++++++++++++++-------------------
 1 files changed, 78 insertions(+), 79 deletions(-)

commit 74983da23e3f18de57903fd71ecaabc2456df327
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sun Sep 6 16:18:09 2009 +0200

    Try to kill a warning

 libbrasero-media/brasero-medium.c |   14 ++++++++++----
 1 files changed, 10 insertions(+), 4 deletions(-)

commit c910f3641751ffb7c8e01c06355bff9697bbe781
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sun Sep 6 15:31:04 2009 +0200

    Reset oversized value if a user emptied the project after he got the message (your project is oversized ...)

 src/brasero-project.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 3767567f6a2d80265617a5eb2d4dc35ca91775cf
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sun Sep 6 15:13:16 2009 +0200

    Add another filter to get CDs only to prevent DVD from showing up in audio projects

 libbrasero-media/brasero-medium-monitor.c   |   79 +++++++++++++++++++++++----
 libbrasero-media/brasero-medium-monitor.h   |    8 +++-
 libbrasero-media/brasero-medium-selection.c |   54 +++++++++++++++----
 src/brasero-project.c                       |    3 +-
 4 files changed, 121 insertions(+), 23 deletions(-)

commit 84a823b7bbef119f208b8c9a1bcf029f92a869bb
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sun Sep 6 13:58:38 2009 +0200

    Recheck the flags after a blanking/formatting was done to update them as they may have changed

 libbrasero-burn/brasero-burn.c |  327 +++++++++++++++++++++------------------
 1 files changed, 176 insertions(+), 151 deletions(-)

commit bcdb779d79b093de097b498b41f2bcc5569198f2
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sun Sep 6 13:38:43 2009 +0200

    Be lenient about some flags when we have to blank the disc before
    This allows to show "leave disc open" with closed CDRW for exampe

 libbrasero-burn/brasero-caps-session.c |   10 ++++++++--
 1 files changed, 8 insertions(+), 2 deletions(-)

commit d6c44f289e8273c699e118ce6c6509b1f5cb85cb
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sun Sep 6 13:25:43 2009 +0200

    Add GDK_THREADS_ENTER/LEAVE around the main loop

 libbrasero-burn/burn-task.c |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

commit c94b8f25c0e37370b920080d3338a172983eac78
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sat Sep 5 20:11:40 2009 +0200

    Fixed a stacking problem.

 src/brasero-app.c |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 951c40c72ab2dc41d4688cd0194e8c4c895bc5dc
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sat Sep 5 15:49:39 2009 +0200

    When copying a disc make sure very early that the newly inserted disc is big enough

 libbrasero-burn/brasero-burn.c |   23 +++++++++++++++++++++++
 1 files changed, 23 insertions(+), 0 deletions(-)

commit 982df4c043e87a131ac92f4b70b0d82c6227bb5d
Author: Ivaylo Valkov <ivaylo@e-valkov.org>
Date:   Sun Sep 6 22:39:59 2009 +0300

    Updated Bulgarian translation

 po/bg.po | 1207 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 610 insertions(+), 597 deletions(-)

commit 5bbf2ed1b103755d5236e2dfd88abd856b1d55af
Author: Petr Kovar <pknbe@volny.cz>
Date:   Sat Sep 5 21:12:08 2009 +0200

    Updated Czech translation by Adrian Gunis

 po/cs.po |  717 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 366 insertions(+), 351 deletions(-)

commit 1a40ccebd86858f198320f866da9d4f5f2018331
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sat Sep 5 14:44:21 2009 +0200

    Fix #593829 -  Brasero gets stuck in a loop at "Getting size" while burning another session on a multi-session disk
    we tested whether the medium could be used exclusively _before_ unmounting which usually caused a failure when the medium had data and was automatically mounted with nautilus

 libbrasero-burn/brasero-burn.c |   20 ++++++++++----------
 1 files changed, 10 insertions(+), 10 deletions(-)

commit a4dde7820687004800bb3a4f18a167f5899ac07b
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sat Sep 5 13:56:25 2009 +0200

    Fix typo that prevented the proper unlocking of the drive.

 libbrasero-media/brasero-drive.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 59a4854c3a421eaea122a3462e69e966e00b2a32
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sat Sep 5 13:37:03 2009 +0200

    Fix a type that prevented readcd to copy discs

 plugins/cdrtools/burn-readcd.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 051bba3e40e3999684a0fc8f96c2d2dd4da7388c
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Fri Sep 4 21:14:02 2009 +0200

    Make "leave open" option appear for overwritable media

 libbrasero-burn/brasero-caps-session.c |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

commit e56f00c57d51a5e562e372fede5c2987096e27e9
Author: Ivar Smolin <okul@linux.ee>
Date:   Sat Sep 5 09:09:47 2009 +0300

    Updating Estonian translation

 po/et.po |    7 ++++---
 1 files changed, 4 insertions(+), 3 deletions(-)

commit 84dfda8740dd981589387b3a0b69ef8cb4a52605
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Fri Sep 4 20:12:04 2009 +0200

    Add blank before flag as much as possible since even it's a blank disc it can be useful in case of multiple copies done after with a rewritable disc

 libbrasero-burn/brasero-caps-session.c |    3 +--
 1 files changed, 1 insertions(+), 2 deletions(-)

commit 6d5f2bfd36955c773eff3d2b7dab3514716fc741
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Fri Sep 4 14:48:48 2009 +0200

    Don't let the user click on the Add action until the GtkFileChooser spawned was closed.

 src/brasero-project.c |   23 ++++++++++++++++++++++-
 1 files changed, 22 insertions(+), 1 deletions(-)

commit 2bcf8bc905081a37a5fb94c4a1e9779364daad22
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Fri Sep 4 14:33:29 2009 +0200

    Fix a possible crash

 libbrasero-utils/brasero-metadata.c |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)

commit 447493daa906f0bf99272fb48386b3806fd81a20
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Fri Sep 4 14:31:34 2009 +0200

    Make sure sibling is initialiazed

 src/brasero-audio-disc.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit e7b349efc1c4b556973dd8fa6bdf848b63ffe39f
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Fri Sep 4 13:34:09 2009 +0200

    Don't show two dialogs when, in an audio project, the file has no audio but only video

 src/brasero-audio-disc.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit d272c0fd9a69f0c27b740c8b0af2e02ccffcca6b
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Fri Sep 4 13:12:15 2009 +0200

    When loading an audio/video project keep the already existing values for artist, title

 libbrasero-burn/brasero-track-stream-cfg.c |   12 ++++++++----
 1 files changed, 8 insertions(+), 4 deletions(-)

commit 4a9f6a4d1583a649f9c778959adb55d3e8942a11
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Fri Sep 4 12:52:24 2009 +0200

    Ensure harder that some signals get disconnected when switching sessions

 src/brasero-audio-disc.c |   20 ++++++++++++--------
 src/brasero-video-disc.c |   19 +++++++++++--------
 2 files changed, 23 insertions(+), 16 deletions(-)

commit 14514c5aed47b234ac33a7b9258e5402827fe14e
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Fri Sep 4 12:39:22 2009 +0200

    Fix a problem in brasero_video_tree_model_path_to_track () which returned the wrong BraseroTrack

 src/brasero-video-tree-model.c |    9 +++++----
 1 files changed, 5 insertions(+), 4 deletions(-)

commit 5fbec4aeb41c816e22d7dffc4fce95065e42ea61
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Fri Sep 4 12:25:43 2009 +0200

    Silenced a warning

 libbrasero-burn/brasero-session.c |    3 +++
 libbrasero-burn/burn-job.c        |    6 ++++++
 2 files changed, 9 insertions(+), 0 deletions(-)

commit 9ea6a2dad0f7b154a3bcb09f97c53c6776980506
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Fri Sep 4 10:04:27 2009 +0200

    Fix debug message

 plugins/checksum/burn-checksum-image.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 0ccee137d712d934285ed425dd7dcb5e2b5f2098
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Fri Sep 4 01:30:02 2009 +0200

    Hungarian translation updated

 po/hu.po | 5277 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 2806 insertions(+), 2471 deletions(-)

commit 85655d8a39e0d7d3f17e8ef0b8cb6bb9c10ad779
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Thu Sep 3 21:38:06 2009 +0200

    Make sure we don't try overburn with DVDs
    It should fix #578466 -  Unable to overburn

 libbrasero-burn/brasero-plugin-registration.h |   18 ------------------
 plugins/cdrkit/burn-wodim.c                   |    4 ----
 plugins/cdrtools/burn-cdrecord.c              |    4 ----
 plugins/libburnia/burn-libburn.c              |   10 +++++-----
 4 files changed, 5 insertions(+), 31 deletions(-)

commit 1292b947ee13c228b525c0a1918fd8eb76a3dfae
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Wed Sep 2 21:37:57 2009 +0200

    Fix #580813 -  Brasero CD copy does not preserve CD-TEXT
    Do not allow (or at least when nothing else is available) readcd (-clone) to be used to copy audio CD as it does not keep CD-TEXT

 libbrasero-burn/brasero-session-cfg.c |  130 ++++++++++++++++++++++-----------
 1 files changed, 87 insertions(+), 43 deletions(-)

commit 790002cbf17ec9b42953f3f176b4b316094e5d07
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Wed Sep 2 16:23:32 2009 +0200

    Fix a bug in readcd backend that prevented proper report of the size of the output

 plugins/cdrkit/burn-readom.c   |    3 +--
 plugins/cdrtools/burn-readcd.c |    5 ++---
 2 files changed, 3 insertions(+), 5 deletions(-)

commit 25ddea39f41faca60890a4286c3a7328838f7bc7
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Tue Sep 1 20:52:14 2009 +0200

    Add GtkMountOperation dialog when mounting

 libbrasero-utils/brasero-io.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit 161f89e6afe8c0a3ec1e5b1c1cb372a0141579b8
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Wed Sep 2 16:05:41 2009 +0200

    Updated Arabic translation

 po/ar.po |  540 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 277 insertions(+), 263 deletions(-)

commit b093468a94584b2fa72612b6f826d6bfc9632855
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Mon Aug 31 21:05:44 2009 +0200

    Avoid a warning as we always tried to get a filename from a URI

 src/brasero-video-tree-model.c |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit 5c0601edb53a128e84427adfee1b5298a0d46ce1
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Mon Aug 31 21:05:08 2009 +0200

    Reverse the returned values from the dialog as they were wrong

 src/brasero-audio-disc.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 1313405fef169026a7f43be16ba55d65b061ccf8
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Mon Aug 31 18:22:31 2009 +0200

    Allow non local files in GtkFileChooserDialog when adding files

 src/brasero-project.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 331a1003eb87e379b5d6e590afb0b85340832d53
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Mon Aug 31 16:39:56 2009 +0200

    Fix #593314 -  Brasero is failing to burn from sftp

 plugins/local-track/burn-local-image.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit da2af4104027c6795cf7e298fbae37de24e671f3
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Mon Aug 31 15:26:27 2009 +0200

    Fix glitches that appeared when files specified on the command line were not joliet compliant.

 libbrasero-burn/brasero-data-project.c |   15 +++++++--------
 src/brasero-app.c                      |    4 +++-
 2 files changed, 10 insertions(+), 9 deletions(-)

commit fbff4873c306d4062361a4c41ba06f3aab0f1928
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Mon Aug 31 15:10:47 2009 +0200

    Don't add the same file twice
    It can happen that a GtkFileChooserDialog triggers both activated and response callbacks adding the file twice.
    That happens when the first callback (because of an error, ...) calls gtk_dialog_run ().

 src/brasero-project.c |   18 ++++++++++++------
 1 files changed, 12 insertions(+), 6 deletions(-)

commit b33e24ca14c53e4daa640b01295ada65bd8cbdd7
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Mon Aug 31 14:52:32 2009 +0200

    Make sure brasero won't get stuck when the user tries to close the app but a project cannot be saved automatically

 src/brasero-project.c |   30 ++++++++++++++++++++++++++----
 1 files changed, 26 insertions(+), 4 deletions(-)

commit f8f34441b720358f63b0572ff32ef28084499db3
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Mon Aug 31 14:13:15 2009 +0200

    Avoid crashing when retrieving and adding the audio/video contents of a directory and the user chooses another project type

 src/brasero-audio-disc.c |    6 ++++++
 src/brasero-video-disc.c |    3 +++
 2 files changed, 9 insertions(+), 0 deletions(-)

commit 42a61984f8aaad108f201a6ce71f82e6fab97d34
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Mon Aug 31 14:10:36 2009 +0200

    Use the correct type for ISRC when retrieving tags with GStreamer

 libbrasero-utils/brasero-metadata.c |    6 +++++-
 plugins/transcode/burn-transcode.c  |    6 +++---
 2 files changed, 8 insertions(+), 4 deletions(-)

commit 7546734eebe08bcec3e18033408dabba0c46410a
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Mon Aug 31 14:09:51 2009 +0200

    Silence a warning

 libbrasero-media/brasero-medium-selection.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 748557fae2d49027c839e7ca3f39b210661cce95
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Mon Aug 31 11:26:57 2009 +0200

    Remember the sort column and the order in data project tree
    This fixes #593492 -  Compilation must be ordered by file name

 src/brasero-data-disc.c |   55 +++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 55 insertions(+), 0 deletions(-)

commit 5f6d7fde377115dd69ecc0d4fdf035dc6b2d2579
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sun Aug 30 10:41:00 2009 +0200

    Make sure joliet signal always gets emitted when a node is detected

 libbrasero-burn/brasero-data-project.c |   12 ++++++------
 1 files changed, 6 insertions(+), 6 deletions(-)

commit aabc00e176a2a2ef843cef8a7a7f53c0a39b3e8e
Author: Amitakhya Phukan <aphukan@fedoraproject.org>
Date:   Mon Aug 31 17:14:08 2009 +0530

    Adding as to LINGUAS and adding Assamese translations.

 po/LINGUAS |    1 +
 po/as.po   | 5041 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 5042 insertions(+), 0 deletions(-)

commit 78817d3d5d6abf319c18202bdc32aef46a80af8e
Author: António Lima <amrlima@gmail.com>
Date:   Sun Aug 30 18:12:18 2009 +0100

    Updated Portuguese translation

 po/pt.po |  547 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 280 insertions(+), 267 deletions(-)

commit 470fea82e18cc67587827983846f58578f94a0d6
Author: Mario Blättermann <mariobl@gnome.org>
Date:   Sun Aug 30 14:17:41 2009 +0200

    Updated German translation

 po/de.po |  545 ++++++++++++++++++++++++++++++--------------------------------
 1 files changed, 265 insertions(+), 280 deletions(-)

commit cf8687aca5ce7880332fec4d1c4a1a8f75b68f2d
Author: Milo Casagrande <milo@ubuntu.com>
Date:   Sun Aug 30 11:02:12 2009 +0200

    Updated Italian translation

 po/it.po | 5443 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 2913 insertions(+), 2530 deletions(-)

commit 7f87037287ce567029e4685a2f804e1471a7ac93
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Sat Aug 29 21:09:41 2009 +0800

    Added zh_HK zh_TW to DOC_LINGUAS

 help/Makefile.am |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 40251e3006be796e41e61a83e9afbd72fc4188dd
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Sat Aug 29 21:06:59 2009 +0800

    Updated Traditonal Chinese translation (Hong Kong and Taiwan)

 help/zh_HK/zh_HK.po                 | 1110 +++++++++++++++++++++++++++++++++++
 help/zh_TW/figures/brasero_main.png |  Bin 0 -> 80359 bytes
 help/zh_TW/zh_TW.po                 | 1110 +++++++++++++++++++++++++++++++++++
 po/zh_HK.po                         |  657 +++++++++++----------
 po/zh_TW.po                         |  658 +++++++++++----------
 5 files changed, 2887 insertions(+), 648 deletions(-)

commit 0b9545440244e8e1ae47116cd326ac1a3d629f4e
Author: Alexander Nyakhaychyk <nyakhaychyk@gmail.com>
Date:   Sat Aug 29 04:08:50 2009 +0300

    Updated Belarusian translation

 po/be.po |  114 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 57 insertions(+), 57 deletions(-)

commit 5720ed07d778103c660f9feb76228f0d28bfc8a1
Author: Alexander Nyakhaychyk <nyakhaychyk@gmail.com>
Date:   Sat Aug 29 03:52:42 2009 +0300

    Updated Belarusian translation

 po/be.po |  477 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 246 insertions(+), 231 deletions(-)

commit 979ed62b44e9db1823083ac882794ced4cb93309
Author: Baris Cicek <baris@teamforce.name.tr>
Date:   Fri Aug 28 23:50:47 2009 +0300

    Updated Turkish translation from Gurkan Gur.

 po/tr.po |  878 +++++++++++++++++++++++++++++---------------------------------
 1 files changed, 414 insertions(+), 464 deletions(-)

commit d466c60f1bbb63a87e42cbbcdc7c6f221f7cdde8
Author: Changwoo Ryu <cwryu@debian.org>
Date:   Sat Aug 29 02:57:38 2009 +0900

    Update Korean translation

 po/ko.po | 5201 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 2702 insertions(+), 2499 deletions(-)

commit 7ebdc97d203d48133a1fb05e5b999e26363de20f
Author: Sandeep Shedmake <sshedmak@redhat.com>
Date:   Fri Aug 28 18:14:40 2009 +0530

    Updated Marathi Translations

 po/mr.po | 5343 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 2847 insertions(+), 2496 deletions(-)

commit 53067d669c82290102b4e1ac5b1655f635a46b80
Author: Miloš Popović <mpopovic@src.gnome.org>
Date:   Fri Aug 28 00:44:39 2009 +0200

    Updated Serbian translation

 po/sr.po       | 3457 +++++++++++++++++++++++++++++++-------------------------
 po/sr@latin.po | 3457 +++++++++++++++++++++++++++++++-------------------------
 2 files changed, 3798 insertions(+), 3116 deletions(-)

commit 36d2d5eabf7fe97d6e1a2f49bf7a1715d843d707
Author: mpopovic@git.gnome.org <mpopovic@src.gnome.org>
Date:   Thu Aug 27 23:23:45 2009 +0200

    Updated Serbian translation

 po/sr.po       |  462 ++++++++++++++++++++++++++++----------------------------
 po/sr@latin.po |  462 ++++++++++++++++++++++++++++----------------------------
 2 files changed, 462 insertions(+), 462 deletions(-)

commit 5c5905333469fc17332d4b529848c4426d265085
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Thu Aug 27 21:38:27 2009 +0200

    Possible fix for #587122 -  Copying DVD - "Error while reading video DVD (no error)" - Very funny
    This should at least fix the problem reported which is bad error reporting
    It may also fix the failure while reading

 plugins/dvdcss/burn-dvdcss.c |   32 +++++++++++++++++++++-----------
 1 files changed, 21 insertions(+), 11 deletions(-)

commit 01b09d96fe9e8d6ce727b17e810476bc15e3bde4
Author: Frederic Peters <fpeters@0d.be>
Date:   Thu Aug 27 21:33:00 2009 +0200

    Fix #Rename X-FullName to X-GNOME-FullName

 data/brasero-copy-medium.desktop.in.in |    2 +-
 data/brasero.desktop.in.in             |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit c957f917739e8fed66968916bbe9316a58afd1bf
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Thu Aug 27 17:06:50 2009 +0200

    Make distcheck work by adding --with-nautilusdir for the installation path of the nautilus extension

 Makefile.am  |    5 +++--
 configure.in |   15 +++++++++++++--
 2 files changed, 16 insertions(+), 4 deletions(-)

commit cf7e14d01cb3cff96066386f639fadd8057b1869
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:   Thu Aug 27 16:23:28 2009 +0200

    Updated Basque language

 po/eu.po |   48 ++++++++++++++++++++++++++++++++++++++++--------
 1 files changed, 40 insertions(+), 8 deletions(-)

commit 6a651661465c35454b08b3f7d807a4669b9b1ab5
Author: Denis Arnaud <darnaud@src.gnome.org>
Date:   Thu Aug 27 12:40:17 2009 +0200

    Updated breton translation

 po/br.po | 2271 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 1242 insertions(+), 1029 deletions(-)

commit f242d007ca9a69b491b2012bee16c784f31ea6f2
Author: Mattias Põldaru <mahfiaz gmail com>
Date:   Thu Aug 27 12:09:36 2009 +0300

    Updating Estonian translation

 po/et.po |   18 +++++++++---------
 1 files changed, 9 insertions(+), 9 deletions(-)

commit c57c9cc7eb9e374f45d5d8b07303dad2c9397b61
Author: Alexander Nyakhaychyk <nyakhaychyk@gmail.com>
Date:   Thu Aug 27 10:34:36 2009 +0300

    Updated Belarusian translation

 po/be.po |  226 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 120 insertions(+), 106 deletions(-)

commit fd257b1d29e52b13731a1b4bac9d09dd4c82dca4
Author: Alexander Nyakhaychyk <nyakhaychyk@gmail.com>
Date:   Thu Aug 27 03:02:49 2009 +0300

    Added Belarusian translation

 po/LINGUAS |    1 +
 po/be.po   | 4904 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 4905 insertions(+), 0 deletions(-)

commit 34a2d7a4a24543ee0969dcd26d0dcb0fda11e3ae
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Wed Aug 26 21:15:02 2009 +0200

    Fix #592026 -  brasero crashes when eject a medium
    Patch by Lin Ma <lin.ma@sun.com>

 libbrasero-media/brasero-drive.c |   12 +++++++-----
 1 files changed, 7 insertions(+), 5 deletions(-)

commit ca67d0f2fbc831a85c6f0ec8d44569b2a03a7374
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Wed Aug 26 20:44:28 2009 +0200

    Fix #592025 -  brasero crashes on detecting src images on a NFS path when preparing burning an image
    Patch by Lin Ma <lin.ma@sun.com>

 libbrasero-burn/brasero-src-image.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 796f53aeb4e988b6c088dfc353bb5f25103c21d4
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Wed Aug 26 20:41:22 2009 +0200

    Fix a typo
    Patch by Lin Ma <lin.ma@sun.com>

 libbrasero-burn/burn-process.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 8e8c00212d19d0227a957856896d70b10e8c01e0
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Wed Aug 26 20:36:31 2009 +0200

    Improve the previous patch handling xml files slightly better when they are passed on the command line

 src/brasero-app.c             |   17 ++++++++++-------
 src/brasero-app.h             |    3 ++-
 src/brasero-project-manager.c |    4 ++--
 src/main.c                    |    2 +-
 4 files changed, 15 insertions(+), 11 deletions(-)

commit e265e5abbe6323905a90a8c0f48dfd8e56261268
Author: Claude Paroz <claude@2xlibre.net>
Date:   Wed Aug 26 21:29:38 2009 +0200

    Updated French translation

 po/fr.po |  650 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 331 insertions(+), 319 deletions(-)

commit cc4c9f5ee1b46221aa2f093e15bb8165d059e0b2
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Wed Aug 26 16:35:00 2009 +0200

    Fix #591880 -  Image checksumming causes internal error
    and probably #591881 -  Internal error with both checksum plugins enabled
    Some time along 2.27 cycle a new checksum type (DETECT) was added but as value 1 replacing MD5 and shifting all checksum type values. The problem is that some users had a GConf value corresponding to MD5 and which after the change became DETECT which could not been handled.
    So now we make sure brasero properly handles incorrect GConf value for checksum types.

 libbrasero-burn/brasero-burn.c         |    5 ++---
 plugins/checksum/burn-checksum-files.c |    8 ++++----
 plugins/checksum/burn-checksum-image.c |   12 +++++-------
 3 files changed, 11 insertions(+), 14 deletions(-)

commit 04dc916b37277ea8bf288efe4b75dc9179b5bd86
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Wed Aug 26 15:25:11 2009 +0200

    Detect when a project, playlist is passed on the command line and behave as if -p option had been passed.

 src/brasero-app.c             |   42 ++++++++++++++++++++++++++++-
 src/brasero-app.h             |    7 +++++
 src/brasero-project-manager.c |   45 ++++++++++++-------------------
 src/brasero-project-manager.h |   14 +++------
 src/brasero-project.c         |   58 +++++++++-------------------------------
 src/brasero-project.h         |    9 +++---
 src/main.c                    |   30 ++-------------------
 7 files changed, 90 insertions(+), 115 deletions(-)

commit ac73cf9965b6e1949148747c3d88551ff1a6be36
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Wed Aug 26 15:20:52 2009 +0200

    Fix the wrong fix for memleak

 libbrasero-burn/brasero-src-image.c |    6 ++----
 1 files changed, 2 insertions(+), 4 deletions(-)

commit 3f27e84b9966cb8fe89f672fe42df1aea59fe802
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Wed Aug 26 15:17:20 2009 +0200

    Fix memleak

 src/brasero-project-parse.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit dea3680c0ed1530dddb15f9b3078f2a715d9fd8b
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Wed Aug 26 15:17:01 2009 +0200

    Fix memleak

 libbrasero-burn/brasero-track-image-cfg.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit f5a07ca47731fd2880e57c99168884bfe11fbe90
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Wed Aug 26 15:16:39 2009 +0200

    Fix memleak

 libbrasero-burn/brasero-src-image.c |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit aceb1aabf9ff25cee3b152697d4aab093c0a2421
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Wed Aug 26 14:03:50 2009 +0200

    Fix #591397 -  Brasero Main window pops up after exiting from Image Burning window.

 src/brasero-app.c |   10 ++++++++--
 src/main.c        |   14 +++++---------
 2 files changed, 13 insertions(+), 11 deletions(-)

commit f0f36d4a99064d0b67b8875720c7933367bf34b3
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Wed Aug 26 13:23:48 2009 +0200

    Code refactoring for next fix

 src/brasero-app.c             |  147 ++++++++++++++++++++++++++++++++++++++++-
 src/brasero-app.h             |    4 +
 src/brasero-project-manager.c |  141 +--------------------------------------
 src/brasero-project-manager.h |    9 ---
 src/main.c                    |    6 +--
 5 files changed, 151 insertions(+), 156 deletions(-)

commit 87f89f28ccd559a5bc8f78dbb43e16599ee86979
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:   Wed Aug 26 10:19:08 2009 +0200

    Updated Basque language

 po/eu.po |  485 ++++++++++++++++++++++++++++++--------------------------------
 1 files changed, 232 insertions(+), 253 deletions(-)

commit 4de7593ffb12e256fc7b606791de82609a5d8390
Author: Mattias Põldaru <mahfiaz gmail com>
Date:   Wed Aug 26 09:21:47 2009 +0300

    Updating Estonian translation

 po/et.po |  168 ++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 88 insertions(+), 80 deletions(-)

commit 8a985df69e7961e06f0b4d3d5b48bb4f80482aa4
Author: Sweta Kothari <swkothar@redhat.com>
Date:   Wed Aug 26 11:43:57 2009 +0530

    Updated Gujarati Translations and Added LINGUAS

 po/gu.po | 5272 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 2807 insertions(+), 2465 deletions(-)

commit 07f4e9762faf65bcbe90dea76e32f9273cda7544
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Wed Aug 26 07:57:44 2009 +0200

    Updated Spanish translation

 po/es.po |  660 +++++++++++++++++++++++++++++++------------------------------
 1 files changed, 335 insertions(+), 325 deletions(-)

commit 6cffb22ac6ee2232471d31bc05e55b0c471be451
Author: Daniel Nylander <po@danielnylander.se>
Date:   Wed Aug 26 05:56:15 2009 +0200

    Updated Swedish translation

 po/sv.po |  308 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 160 insertions(+), 148 deletions(-)

commit 2c6824d6684ec19cdef5f1e9c1ea88e3b3396bc6
Author: Luis Medinas <lmedinas@gnome.org>
Date:   Tue Aug 25 18:28:19 2009 +0100

    Release 2.27.91

 NEWS         |   35 +++++++++++++++++++++++++++++++++++
 configure.in |    4 ++--
 2 files changed, 37 insertions(+), 2 deletions(-)

commit a6ce4ace76f9b31550c57bc6b9aa53b8815ccf9c
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Tue Aug 25 14:23:49 2009 +0200

    Use public API instead of libbrasero-burn private one
    Also ref the plugins in the list

 libbrasero-burn/burn-plugin-manager.c |    1 +
 src/brasero-plugin-manager-ui.c       |    7 +++----
 2 files changed, 4 insertions(+), 4 deletions(-)

commit 671da4565b1915ece90680226e0b99caa5b5efbd
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Tue Aug 25 14:23:21 2009 +0200

    API documentation

 libbrasero-burn/burn-basics.c |    9 +++++++++
 1 files changed, 9 insertions(+), 0 deletions(-)

commit 45a652c7928ffed237aeb9206236c144fb4c9523
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Tue Aug 25 14:15:39 2009 +0200

    Try to fix #591880 -  Image checksumming causes internal error
    Also add a debug comment in case it doesn't

 libbrasero-burn/brasero-burn.c |   48 +++++++++++++++------------------------
 1 files changed, 19 insertions(+), 29 deletions(-)

commit c34a4e272742b14cedc3514a13b26c332724a81b
Author: Og B. Maciel <ogmaciel@gnome.org>
Date:   Tue Aug 25 08:59:33 2009 -0400

    Updated Brazilian Portuguese translation.

 po/pt_BR.po |  298 +++++++++++++++++++++++++++++++----------------------------
 1 files changed, 156 insertions(+), 142 deletions(-)

commit 5aae9d011e6bcc45ead9e6281259f6c2fcb23d22
Author: Tomasz Dominikowski <dominikowski@gmail.com>
Date:   Tue Aug 25 14:43:25 2009 +0200

    Updated Polish translation

 po/pl.po |  629 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 322 insertions(+), 307 deletions(-)

commit cf109acb0085ad088e1128357c4eb9acc4754c19
Author: Manoj Kumar Giri <mgiri@mgiri.csb>
Date:   Tue Aug 25 16:04:42 2009 +0530

    Updated Oriya Translation

 po/or.po |  741 ++++++++++++++++++++++++++++++--------------------------------
 1 files changed, 353 insertions(+), 388 deletions(-)

commit 251cf58158b3a9afa4cd898e4b736c4d58e296d0
Author: ifelix <ifelix@redhat.com>
Date:   Tue Aug 25 16:02:20 2009 +0530

    Updated Tamil Translations

 po/ta.po | 1348 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 668 insertions(+), 680 deletions(-)

commit b1c4b61dd93bfbac1566bed61eeb756de04ff883
Author: Shankar Prasad <svenkate@redhat.com>
Date:   Tue Aug 25 11:38:28 2009 +0530

    Updated Kannada(kn) translation

 po/kn.po |  778 ++++++++++++++++++++++++++++----------------------------------
 1 files changed, 354 insertions(+), 424 deletions(-)

commit 71df0a5ebc8c29164b019ac2488a9e3759e78265
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Mon Aug 24 20:47:06 2009 +0200

    Fix #592723 -  Awkward translatable string

 src/brasero-data-disc.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 25c7a13cf7b79bbb8884de584f92000c1ca58ac0
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Mon Aug 24 20:45:16 2009 +0200

    Second fix for #590181 -  Use Brasero as desktop file Name Comment #5

 data/brasero.desktop.in.in |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 8463a12f0e1880e76f07b8c963420873a2f048d9
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Mon Aug 24 20:28:07 2009 +0200

    Fix #592574 -  DVDROM should be DVD-ROM
    Title says it all

 libbrasero-media/brasero-medium.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 4b2ffe69dee15cdaad194f6390af577291eca185
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Mon Aug 24 18:28:40 2009 +0200

    Fix #590181 -  Use Brasero as desktop file Name Comment #5

 data/brasero-copy-medium.desktop.in.in |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit aab8be0cb43626bec0919a5ac21eada683be22dd
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Mon Aug 24 15:41:22 2009 +0200

    Allow jobs to reset the progress to a pulsing bar so that if a new operation does not provide progress the progress bar does not stop

 libbrasero-burn/burn-job.c              |   12 +++++++++++
 libbrasero-burn/burn-job.h              |    2 +
 libbrasero-burn/burn-task-ctx.c         |   34 +++++++++++++++++++++++++++++++
 libbrasero-burn/burn-task-ctx.h         |    3 +-
 plugins/libburnia/burn-libburn-common.c |    6 +++-
 5 files changed, 54 insertions(+), 3 deletions(-)

commit 6c039923beed59148e9bdec1301a0699eaf6d324
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sun Aug 23 16:05:10 2009 +0200

    Improved progress reporting

 plugins/libburnia/burn-libburn-common.c |   54 ++++++++++++++++++++++++-------
 1 files changed, 42 insertions(+), 12 deletions(-)

commit a2e8c1b9629a1291a02e7f77c3538ba416ef9fae
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sun Aug 23 16:04:54 2009 +0200

    Fix 7ec4f9e0ff7428623672b0a82e6662564b551797 which was wrong

 libbrasero-burn/burn-task-ctx.c |   11 ++++++++---
 1 files changed, 8 insertions(+), 3 deletions(-)

commit 804b35a0604b12378c912cd22ef5159d8cff27c8
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sun Aug 23 14:37:50 2009 +0200

    Make the code checking the readiness of a drive stronger
    Once opened, only accept NOT READY errors from the drive otherwise abort

 libbrasero-media/brasero-medium.c |   11 +++++++++--
 1 files changed, 9 insertions(+), 2 deletions(-)

commit ec7bb2c9a55d21a59432cb55b6823dc2508bf781
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sun Aug 23 14:26:04 2009 +0200

    Fix wrong value used to process reported error

 libbrasero-media/scsi-sense-data.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 201a2fd31a1e668dd7c7ac81f6a246c60396110e
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sat Aug 22 16:07:08 2009 +0200

    Ensure the drive/medium combo supports TAO/Incremental write mode
    This is to avoid showing things that can't be done (like leaving the disc open) with DVD-RW (incremental) when they are quick blanked.

 libbrasero-burn/brasero-caps-session.c |   54 ++++++++++++------
 libbrasero-media/brasero-medium.c      |   99 ++++++++++++++++++++++++++------
 2 files changed, 117 insertions(+), 36 deletions(-)

commit a66e43646941f6814cee99aff24d0720c497be80
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sat Aug 22 16:05:26 2009 +0200

    Set a maximum attempts at reprobing

 libbrasero-burn/brasero-burn.c |    7 ++++++-
 1 files changed, 6 insertions(+), 1 deletions(-)

commit cdda1025198b0ecc0cf1039408d1bda9ab9a87f3
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Fri Aug 21 15:07:47 2009 +0200

    Improve logging for libburn plugin

 plugins/libburnia/burn-libburn-common.c |   10 ++++++++--
 plugins/libburnia/burn-libburn.c        |    4 ++++
 2 files changed, 12 insertions(+), 2 deletions(-)

commit 83bdae06da9431e9655e2f1478a2e7954b562a4a
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Fri Aug 21 15:02:15 2009 +0200

    Fix a problem with checksum always wrong after burning a sequential DVD
    DVD are always aligned along a 16 sector boundary which means that the size of the track returned is different from the size of the actual data

 libbrasero-burn/brasero-burn.c         |   99 ++++++++++++++------------------
 plugins/checksum/burn-checksum-image.c |   33 ++++++++++-
 2 files changed, 74 insertions(+), 58 deletions(-)

commit 7c61788c8a01cc53669a63dd0da37057022e3ff1
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Fri Aug 21 14:40:34 2009 +0200

    Don't flag DVD-RW as unformatted as they should be considered as in sequential recording mode

 libbrasero-media/brasero-media.c  |    7 +++++--
 libbrasero-media/brasero-medium.c |    6 ++++--
 2 files changed, 9 insertions(+), 4 deletions(-)

commit 9cd652d75142cc4dce505fd5b90f13da51bbf998
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Fri Aug 21 14:16:55 2009 +0200

    Detect unneeded operations which end up to an infinite wait

 plugins/libburnia/burn-libburn-common.c |   37 ++++++++++++++++++++++++++++--
 plugins/libburnia/burn-libburn-common.h |    2 +
 2 files changed, 36 insertions(+), 3 deletions(-)

commit 7276df7905a9fae8bf6a646b7e0cd87d7f092d19
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Wed Aug 19 15:37:02 2009 +0200

    Make "tag-changed" signal appear in BraseroBurnSessionClass definition and use it in derived object

 libbrasero-burn/brasero-session-cfg.c |   14 ++------------
 libbrasero-burn/brasero-session.h     |    3 +++
 2 files changed, 5 insertions(+), 12 deletions(-)

commit cb668290bb95ddb00bd18a09bbe1e34ff67714b3
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Wed Aug 19 15:31:37 2009 +0200

    API documentation

 libbrasero-burn/brasero-session-cfg.c |   10 ++++++++++
 libbrasero-burn/brasero-session.c     |    8 ++++----
 2 files changed, 14 insertions(+), 4 deletions(-)

commit 09072bb72e00377aa728eaf15540c96b58820da8
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Wed Aug 19 15:31:13 2009 +0200

    Fix build after previous patch

 libbrasero-burn/brasero-video-options.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 7b3531383523950d132708c0e8d6328b6a831b36
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Wed Aug 19 15:08:27 2009 +0200

    Add some more checks for the output type

 libbrasero-burn/brasero-video-options.c |   24 ++++++++++++++++++++----
 1 files changed, 20 insertions(+), 4 deletions(-)

commit 351f1212efa09fb94b1ebeecbf0cbbc98d09dc36
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Wed Aug 19 15:02:52 2009 +0200

    Use new private helper function brasero_burn_session_tag_lookup_int () in some other places

 libbrasero-burn/brasero-dest-selection.c   |    8 +-------
 libbrasero-burn/brasero-image-properties.c |    8 +-------
 libbrasero-burn/brasero-video-options.c    |   15 ++++++---------
 3 files changed, 8 insertions(+), 23 deletions(-)

commit a386405f088ff76d1ca845b6c1310c5fcf899d34
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Wed Aug 19 14:51:33 2009 +0200

    Have BraseroBurnSessionCfg configure tags

 libbrasero-burn/brasero-dest-selection.c   |   40 +--------------
 libbrasero-burn/brasero-image-properties.c |   18 -------
 libbrasero-burn/brasero-session-cfg.c      |   77 +++++++++++++++++++++++++++-
 libbrasero-burn/brasero-session.c          |    5 ++-
 libbrasero-burn/brasero-video-options.c    |   10 ----
 src/brasero-project.c                      |   12 ----
 6 files changed, 82 insertions(+), 80 deletions(-)

commit 73fc2f8f86b33dd560fcf9ea21a75c3d77419462
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Wed Aug 19 14:13:26 2009 +0200

    Create private convenience functions brasero_burn_session_tag_add_int () and brasero_burn_session_tag_lookup () and use them whenever it is possible

 libbrasero-burn/brasero-dest-selection.c   |   37 ++++--------
 libbrasero-burn/brasero-image-properties.c |   80 ++++++++----------------
 libbrasero-burn/brasero-session-helper.h   |    7 ++
 libbrasero-burn/brasero-session.c          |   61 ++++++++++++++++++
 libbrasero-burn/brasero-video-options.c    |   93 +++++++++++++---------------
 src/brasero-project.c                      |   15 +---
 6 files changed, 152 insertions(+), 141 deletions(-)

commit 2600cf0473f7e62b3d1705c79fc7677b104082b2
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Tue Aug 18 21:59:10 2009 +0200

    Fix API documentation

 libbrasero-burn/brasero-session.c |   17 +++++++++++++++--
 1 files changed, 15 insertions(+), 2 deletions(-)

commit 1108937fc464fa536f14f750734f20905d2810a1
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Tue Aug 18 14:53:18 2009 +0200

    Disconnect signal which prevents the callback to be called after the object was finalized

 libbrasero-burn/brasero-burn-options.c |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit aef4894a54ba6cd6b76613930daa28105e03cc63
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Tue Aug 18 13:52:52 2009 +0200

    Fix progress reporting when video transcoder plugin cannot report either duration or position

 plugins/transcode/burn-vob.c |   11 ++++++-----
 1 files changed, 6 insertions(+), 5 deletions(-)

commit 19d8084927b60d9be4f0a14daf461ea63dc3d5a6
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Tue Aug 18 13:40:45 2009 +0200

    Ensure help message is properly displayed for video projects

 src/brasero-video-disc.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 1144df580ae4adf5f35810abdb360dc63d7d0633
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Tue Aug 18 13:36:00 2009 +0200

    In the destination chooser widget show "Video DVD Image", ... strings (instead of "Image File") when that's a video context

 libbrasero-burn/brasero-dest-selection.c |   29 +++++++++++++++++++++++++++++
 1 files changed, 29 insertions(+), 0 deletions(-)

commit f883e614097e3b2c9c06d681df629bd0e38583bb
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Tue Aug 18 11:30:04 2009 +0200

    Silence a warning

 src/brasero-video-disc.c |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 62ec2c8f903d6283c1e41e8d2c862053790c9cd6
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Tue Aug 18 11:26:11 2009 +0200

    Add debug for BraseroBurnSession video tags

 libbrasero-burn/brasero-session.c |   41 +++++++++++++++++++++++++++++++++++-
 1 files changed, 39 insertions(+), 2 deletions(-)

commit 83eeebf8c554ac4066e1f8272be8c02dd0634e9d
Author: Daniel Nylander <po@danielnylander.se>
Date:   Sun Aug 23 11:21:13 2009 +0200

    Updated Swedish translation

 po/sv.po |  583 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 292 insertions(+), 291 deletions(-)

commit 69b5b99c31116c3add977588f2dc879afe789255
Author: Mario Blättermann <mariobl@gnome.org>
Date:   Sat Aug 22 17:55:55 2009 +0200

    Fixed bug #591916

 help/de/de.po |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 6461677a391c8c47b1683f829396475f97714867
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Fri Aug 21 20:00:19 2009 +0300

    Updated Arabic translation

 po/ar.po |  626 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 316 insertions(+), 310 deletions(-)

commit f41e679587de25c267935ca1562b687fe2cf912b
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Fri Aug 21 14:07:10 2009 +0200

    Updated Norwegian bokmål translation.

 po/nb.po | 1433 +++++++++++++++++++++++++++++---------------------------------
 1 files changed, 664 insertions(+), 769 deletions(-)

commit 0c1585c2a4d11b37dad3ed130c2f9f537e768ac4
Author: Og B. Maciel <ogmaciel@gnome.org>
Date:   Wed Aug 19 00:04:40 2009 -0400

    Updated Brazilian Portuguese translation.

 po/pt_BR.po | 1554 +++++++++++++++++++++++++++--------------------------------
 1 files changed, 717 insertions(+), 837 deletions(-)

commit d0b9874586d21cd8b4fe61572c7f034cf2adb969
Author: António Lima <amrlima@gmail.com>
Date:   Sun Aug 16 23:08:31 2009 +0100

    Updated Portuguese translation

 po/pt.po | 5762 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 3116 insertions(+), 2646 deletions(-)

commit 310f238a5627b5d442927b0747b0de97690736cd
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sun Aug 16 16:51:23 2009 +0200

    Fix glitches with video options
    some options were not properly updated (the 4:3 option with vcd in particular)

 libbrasero-burn/brasero-image-properties.c |   75 ++++++++++++---
 libbrasero-burn/brasero-video-options.c    |  143 ++++++++++++++++++++--------
 2 files changed, 165 insertions(+), 53 deletions(-)

commit 97cca2fc0919b7891c5f000e1f715ca112bf5f1b
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sun Aug 16 16:49:38 2009 +0200

    Emit signal when type changes between svcd and vcd

 libbrasero-burn/brasero-image-type-chooser.c |    8 +++++++-
 1 files changed, 7 insertions(+), 1 deletions(-)

commit f4d6078510b1a0372dd849e1f826f1ff81b15102
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sun Aug 16 16:48:42 2009 +0200

    New signal for tags when they changed (not exposed)

 libbrasero-burn/brasero-session-helper.h |    8 +++
 libbrasero-burn/brasero-session.c        |   75 +++++++++++++++++++++++++++++-
 2 files changed, 82 insertions(+), 1 deletions(-)

commit c59ef405acb281e912992e451e1b913384eb0995
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sun Aug 16 16:47:31 2009 +0200

    Fix typos

 plugins/transcode/burn-vob.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit 76e75e72e5b52c3c892073d9c434596364777f82
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sun Aug 16 16:47:18 2009 +0200

    Set SVCD by default

 src/brasero-project.c |   21 ++++++++++++++++++++-
 1 files changed, 20 insertions(+), 1 deletions(-)

commit 2a2063c40bc65206d7f7c9c96fb4866f5bf5293b
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sun Aug 16 16:46:10 2009 +0200

    Set proper audio tags for video projects

 libbrasero-burn/brasero-dest-selection.c |   70 ++++++++++++++++++++++++++----
 1 files changed, 61 insertions(+), 9 deletions(-)

commit 797f226be3b5dfafb5ca00a8bbceaf59779db29f
Author: Seán de Búrca <leftmostcat@gmail.com>
Date:   Sat Aug 15 20:40:21 2009 -0600

    Updated Irish translation

 po/ga.po |  632 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 318 insertions(+), 314 deletions(-)

commit caaa6641401fe7a534a35638a3641d52aa2b92ed
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sat Aug 15 15:35:18 2009 +0200

    Added video options to video project when output is an image

 libbrasero-burn/brasero-image-properties.c |   11 ++++++++---
 src/brasero-project.c                      |   21 ++++++++++++++++++++-
 2 files changed, 28 insertions(+), 4 deletions(-)

commit 9302a2f9205a69b232fbece9252b54934add5c0f
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sat Aug 15 14:46:50 2009 +0200

    Still make sure that (S)VCD type option appears when it's a CD and not an image

 libbrasero-burn/brasero-video-options.c |   19 +++++++++++++++++++
 1 files changed, 19 insertions(+), 0 deletions(-)

commit ee4c47c2ad2a419be01efeecc5b0aa4d3b051688
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sat Aug 15 14:41:25 2009 +0200

    Fix problem where brasero does not respect the user's choice regarding SVCD/VCD type choice in some cases

 libbrasero-burn/brasero-image-properties.c |    9 ++++++---
 1 files changed, 6 insertions(+), 3 deletions(-)

commit 85db63fbcfbbfbc3b98f41352a702412727a04a8
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sat Aug 15 14:36:59 2009 +0200

    In case of an image make sure the audio stream type is well set.

 libbrasero-burn/brasero-image-properties.c |   53 +++++++++++++++++++--------
 1 files changed, 37 insertions(+), 16 deletions(-)

commit 895c4567034110439df094997391fbf9c57095f6
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sat Aug 15 14:28:23 2009 +0200

    Don't show the (S)VCD type if output is an image as we handle that somewhere else

 libbrasero-burn/brasero-video-options.c |   37 +++++--------------------------
 1 files changed, 6 insertions(+), 31 deletions(-)

commit e5c4f314b4313d646813e79747a95d581ad067bc
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sat Aug 15 14:15:33 2009 +0200

    Fix appearance of video options in some cases in the burn options dialog
    Also restore a proper presentation

 libbrasero-burn/brasero-burn-options.c |   23 ++++++++++++++++++++++-
 1 files changed, 22 insertions(+), 1 deletions(-)

commit 0da7dfc6f02b460e8ca64744f78c45d13d6473a9
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sat Aug 15 13:45:49 2009 +0200

    When adding file to a video project only select video file filter in GtkFileChooserDialog

 src/brasero-project.c |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 8fe0bca444877a2bf3d2e38d5b65fb07178866e7
Author: Tommi Vainikainen <thv@iki.fi>
Date:   Sat Aug 15 16:01:21 2009 +0300

    Updated Finnish translation

 po/fi.po | 1249 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 625 insertions(+), 624 deletions(-)

commit 4a6f2d8fee8dc0ffc4aaa454f1ac379824b6bdd3
Author: Mario Blättermann <mariobl@gnome.org>
Date:   Sat Aug 15 13:52:27 2009 +0200

    Updated German translation

 po/de.po | 1432 ++++++++++++++++++++++++++++++--------------------------------
 1 files changed, 698 insertions(+), 734 deletions(-)

commit c255543c0717aadfa54cde2b50e4a756621f025a
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Fri Aug 14 20:54:41 2009 +0200

    Should fix #591826 – nautilus crashed with SIGSEGV in strcmp()
    g_volume_get_identifier () can return NULL device.

 libbrasero-media/brasero-medium-monitor.c |    9 +++++++++
 1 files changed, 9 insertions(+), 0 deletions(-)

commit ef414a1a6273d578d0228da9096c0b3895019885
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Fri Aug 14 16:40:54 2009 +0200

    API clarification

 libbrasero-burn/brasero-track-image-cfg.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 51416693bb7e6b72cf274b5ff784159e927a3c91
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Fri Aug 14 16:33:29 2009 +0200

    Allow brasero_track_image_cfg_set_source () to use path (absolute/relative) or uri to be used.

 libbrasero-burn/brasero-track-image-cfg.c |   19 +++++++++++++++----
 1 files changed, 15 insertions(+), 4 deletions(-)

commit 1639b105085b1ee2f39ddc472a78b37e2401dbad
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Fri Aug 14 15:36:08 2009 +0200

    Make use of the new API added by previous to limit the use of spanning
    Now to allow spanning, the disc available space must be enough to accomodate the size of the biggest batch of data

 libbrasero-burn/brasero-burn-options.c   |   13 ++++++++-
 libbrasero-burn/brasero-session-cfg.c    |   10 +------
 libbrasero-burn/brasero-session-helper.h |    4 +++
 libbrasero-burn/brasero-session-span.c   |   39 +++------------------------
 libbrasero-burn/brasero-session.c        |   41 ++++++++++++++++++++++++++++++
 src/brasero-project.c                    |   13 ++++++++-
 6 files changed, 76 insertions(+), 44 deletions(-)

commit 505b1fc22d830a88bd9834bab35f499c9f84a467
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Fri Aug 14 15:34:41 2009 +0200

    Fix an infinite loop added by previous patch

 libbrasero-burn/brasero-data-project.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 7a647b69ee1a0335cabdd313418cd658c9f49082
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Thu Aug 13 16:36:14 2009 +0200

    Added new methods to BraseroSessionSpan and BraseroTrackDataCfg to determine what the maximum size of batches is (when spanning)

 libbrasero-burn/brasero-data-project.c   |   33 +++++++++++++++++
 libbrasero-burn/brasero-data-project.h   |    3 ++
 libbrasero-burn/brasero-session-span.c   |   58 ++++++++++++++++++++++++++++++
 libbrasero-burn/brasero-session-span.h   |    3 ++
 libbrasero-burn/brasero-track-data-cfg.c |   23 ++++++++++++
 libbrasero-burn/brasero-track-data-cfg.h |    3 ++
 6 files changed, 123 insertions(+), 0 deletions(-)

commit f4d62757e26a3eda1429bf0a05f0e4b8054d6ec6
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Thu Aug 13 15:21:10 2009 +0200

    Lots of fixes for image output path settings (including fixing extensions)

 libbrasero-burn/brasero-image-properties.c  |   21 +++---
 libbrasero-burn/brasero-medium-properties.c |    8 ++-
 libbrasero-burn/brasero-session-cfg.c       |   99 +++++++++++++++++++++++----
 libbrasero-burn/libbrasero-marshal.list     |    1 +
 4 files changed, 104 insertions(+), 25 deletions(-)

commit b0d969eb4ef0445fd7ca675541441ec39c61b7a2
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Thu Aug 13 13:36:12 2009 +0200

    Fix OpenSolaris support after recent move to GIO instead of HAL
    Patch by Lin Ma <Lin.Ma@Sun.COM>

 libbrasero-burn/brasero-data-session.c |    2 +-
 libbrasero-burn/burn-basics.c          |   10 ++++++++++
 libbrasero-media/brasero-drive.c       |   31 ++++++++++++++++++++++---------
 libbrasero-media/brasero-medium.c      |    2 +-
 libbrasero-media/brasero-volume.c      |    7 +++----
 libbrasero-media/scsi-uscsi.c          |   11 +++++++++--
 plugins/checksum/burn-checksum-files.c |    4 ++--
 7 files changed, 48 insertions(+), 19 deletions(-)

commit 85bba2896530ea84ad2f50fc6e029bdc87914bb2
Author: Baris Cicek <baris@teamforce.name.tr>
Date:   Thu Aug 13 19:14:41 2009 +0300

    Added Turkish language.

 po/ChangeLog |    6 ++++++
 po/LINGUAS   |    1 +
 2 files changed, 7 insertions(+), 0 deletions(-)

commit d9bcdcad4720e5a4f256b3627a750c542a915a36
Author: Baris Cicek <baris@teamforce.name.tr>
Date:   Thu Aug 13 19:12:41 2009 +0300

    Added Turkish translation

 po/tr.po | 6643 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 6643 insertions(+), 0 deletions(-)

commit f54a902a8f59ae99ffddb152493df8bdd7ece4ef
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Thu Aug 13 11:21:36 2009 +0200

    Fix #590815 – build failure: error: possibly undefined macro: _m4_text_wrap_word
    Patch by Patryk Zawadzki

 configure.in |   20 ++++++++++----------
 1 files changed, 10 insertions(+), 10 deletions(-)

commit c1465c35135de798b1c124dfb7cbcfae197abbd9
Author: Shankar Prasad <svenkate@redhat.com>
Date:   Thu Aug 13 12:03:02 2009 +0530

    Updated Kannada(kn) translation

 po/kn.po | 5366 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 2916 insertions(+), 2450 deletions(-)

commit 90424009d4000237834ccf1b653cf14aab49a7c3
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Wed Aug 12 20:26:45 2009 +0200

    Fix #591471 – crashes when handling basic command line options
    Add forgotten NULL entry at the end of GOptionEntry array

 libbrasero-burn/burn-debug.c     |    3 ++-
 libbrasero-media/brasero-media.c |    3 ++-
 2 files changed, 4 insertions(+), 2 deletions(-)

commit 8cb56b8f44a6bff0b1046ee2a335d52dfd801d42
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Wed Aug 12 20:03:16 2009 +0200

    API clarification

 libbrasero-burn/brasero-track-data.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 575bc5edbfe92d295314cdf621c7169f1b879208
Author: Manoj Kumar Giri <mgiri@mgiri.csb>
Date:   Wed Aug 12 14:19:25 2009 +0530

    Updated Oriya Translation

 po/or.po | 2823 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 1562 insertions(+), 1261 deletions(-)

commit 0bf1eb1baff6939a6eaaf75f639f36331469a31c
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:   Tue Aug 11 12:16:44 2009 +0200

    Updated Basque language

 po/eu.po |   62 +++++++++++++++++++++++++++++++++++++++++++++-----------------
 1 files changed, 45 insertions(+), 17 deletions(-)

commit 93264922d8954913259bc3f9349c33ef0f455021
Author: Petr Kovar <pknbe@volny.cz>
Date:   Mon Aug 10 22:48:14 2009 +0200

    Updated Czech translation by Adrian Gunis
    
    Reviewed by: Petr Kovar.

 po/cs.po | 2719 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 1348 insertions(+), 1371 deletions(-)

commit 60406ad8a8d83fb609d702c7d2f38feea92685a1
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:   Mon Aug 10 22:11:03 2009 +0200

    Updated Basque language

 po/eu.po | 5148 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 2677 insertions(+), 2471 deletions(-)

commit 3639676888fdd15038b21c34a12babdda284a2ae
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Mon Aug 10 15:59:06 2009 +0200

    Updated NEWS

 NEWS |   26 ++++++++++++++++++++++++++
 1 files changed, 26 insertions(+), 0 deletions(-)

commit 196382a0ebf3eef7d6259a385851e0f5a1a0a274
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Mon Aug 10 15:54:10 2009 +0200

    Bump version to 2.27.90

 configure.in |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit caa77fa8d6aacccfbcd18b1aedd46ff75ac54ece
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sun Aug 9 21:04:07 2009 +0200

    More API documentation
    Fix header declarations

 libbrasero-burn/brasero-status.c       |   90 ++++++++++++++
 libbrasero-burn/brasero-track-data.c   |    3 +
 libbrasero-burn/brasero-track-disc.c   |    3 +
 libbrasero-burn/brasero-track-image.c  |    4 +-
 libbrasero-burn/brasero-track-stream.c |    3 +
 libbrasero-burn/brasero-track-type.c   |  203 +++++++++++++++++++++++++++++++-
 libbrasero-burn/brasero-track-type.h   |    3 +-
 7 files changed, 306 insertions(+), 3 deletions(-)

commit 559827544bf072f2f22116f4e3673a9ff41a1f4b
Author: Mattias Põldaru <mahfiaz gmail com>
Date:   Mon Aug 10 13:02:09 2009 +0300

    Updating Estonian translation

 po/et.po |   16 ++++++++--------
 1 files changed, 8 insertions(+), 8 deletions(-)

commit 035f294e5c638d7aa400b274948cabf415627ebe
Author: Mads Lundby <lundbymads@gmail.com>
Date:   Mon Aug 10 11:57:03 2009 +0200

    Updated Danish translation

 po/da.po | 2676 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 1428 insertions(+), 1248 deletions(-)

commit a2b5cfe0cda3c0c927ab61302dd32572ee3a44e8
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sun Aug 9 14:51:37 2009 +0200

    Some more API documentation

 .../libbrasero-burn/libbrasero-burn-sections.txt   |    1 -
 libbrasero-burn/brasero-burn-options.c             |   17 ++++
 libbrasero-burn/brasero-session-cfg.c              |   95 +++++++++++++++++-
 libbrasero-burn/brasero-session-cfg.h              |    8 +-
 libbrasero-burn/brasero-tool-dialog.c              |   29 +++++-
 libbrasero-burn/brasero-tool-dialog.h              |    2 +-
 libbrasero-burn/brasero-track-image-cfg.c          |   41 ++++++++
 libbrasero-burn/brasero-track-image.c              |   63 ++++++++++++
 libbrasero-burn/brasero-track-stream-cfg.c         |    8 ++
 libbrasero-burn/brasero-track-stream.c             |  100 ++++++++++++++++++++
 10 files changed, 349 insertions(+), 15 deletions(-)

commit 00ab6935844a9da3e8db95be617e73100035352a
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sun Aug 9 11:18:48 2009 +0200

    Remove a declared function which doesn't exist anymore

 libbrasero-burn/brasero-burn-options.h |    5 +----
 1 files changed, 1 insertions(+), 4 deletions(-)

commit 14c3542ed1509e968f82d8be626c5d650f15f45e
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sat Aug 8 20:36:04 2009 +0200

    Add AM_SILENT_RULES to get a nicer build

 configure.in |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 95204176e009d197ba1f603313642891319c395c
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:   Sun Aug 9 11:10:06 2009 +0200

    Added Catalan (Valencian) translation

 po/LINGUAS        |    1 +
 po/ca@valencia.po | 5215 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 5216 insertions(+), 0 deletions(-)

commit 6bb85dc1e3a41000f7e8eb75c6fc2e5eae653191
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sat Aug 8 20:16:36 2009 +0200

    Some more API documentation

 .../libbrasero-burn/libbrasero-burn-sections.txt   |   11 +--
 libbrasero-burn/brasero-burn.c                     |   96 +++++++++++++++++++-
 libbrasero-burn/brasero-burn.h                     |    2 +-
 libbrasero-burn/brasero-session-span.c             |   61 +++++++++++++
 libbrasero-burn/brasero-track.h                    |    8 --
 5 files changed, 158 insertions(+), 20 deletions(-)

commit 35aa59001ba3b0e8ebe5a4027165a41e2df28821
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sat Aug 8 15:23:48 2009 +0200

    Remove several function declarations that were public whereas they should be private

 libbrasero-burn/brasero-session-helper.h |   41 ++++++++++++++++++++++++++++++
 libbrasero-burn/brasero-session-span.c   |    1 +
 libbrasero-burn/brasero-session.h        |   41 ------------------------------
 libbrasero-burn/burn-task-ctx.c          |    1 +
 4 files changed, 43 insertions(+), 41 deletions(-)

commit 282346c08718f510646ef0d33410f4c4777cc7eb
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sat Aug 8 15:15:43 2009 +0200

    More API documentation for BraseroBurnSession

 libbrasero-burn/brasero-caps-session.c |  120 ++++++++++++++++++++++++++++++--
 libbrasero-burn/brasero-session.c      |   92 ++++++++++++++++++++++--
 libbrasero-burn/brasero-session.h      |   55 +++++++--------
 libbrasero-burn/brasero-track.c        |    3 +-
 4 files changed, 226 insertions(+), 44 deletions(-)

commit 340c794ab3f1eebdbca5a4fc3d15800666f176b2
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sat Aug 8 09:14:35 2009 +0200

    API documentation for BraseroBurnSession

 libbrasero-burn/brasero-session.c |  302 ++++++++++++++++++++++++++++++++++++-
 libbrasero-burn/brasero-session.h |   10 +-
 2 files changed, 300 insertions(+), 12 deletions(-)

commit 7ea4e94c923d2f9d3528f0c1ff61c17b3f7762c4
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Fri Aug 7 15:49:12 2009 +0200

    Make the button reflects that a medium is loaded after a multisession burn when no ejection was performed.

 src/brasero-data-disc.c |   17 +++++++++++++----
 1 files changed, 13 insertions(+), 4 deletions(-)

commit 2e1e2df2ef33782135d5363c711c6afe55b50f69
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Fri Aug 7 15:48:28 2009 +0200

    API documentation for BraseroTrackDataCfg

 libbrasero-burn/brasero-track-data-cfg.c |  226 +++++++++++++++++++++++++++++-
 libbrasero-burn/brasero-track-data-cfg.h |    2 +-
 2 files changed, 226 insertions(+), 2 deletions(-)

commit f543fbb1f75c9d4e0bb5fad786f475e245d4c70d
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Fri Aug 7 14:32:38 2009 +0200

    Improve size display for Video projects
    Fix a bug in brasero-dest-selection.c where the available size was not correctly picked

 libbrasero-burn/brasero-dest-selection.c |   15 +++++++++++++-
 libbrasero-burn/brasero-status-dialog.c  |   16 +++++++++++++-
 libbrasero-burn/brasero-track-stream.c   |   31 +++++++++++++++++++++++------
 src/brasero-project-manager.c            |    6 +++-
 src/brasero-project.c                    |   15 +++++++++----
 5 files changed, 66 insertions(+), 17 deletions(-)

commit dbe27697aa7dcd98bb212afc652b8c50024c2887
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Thu Aug 6 13:19:40 2009 +0200

    Try to reduce stacking problems

 libbrasero-utils/brasero-tool-color-picker.c |    1 +
 src/brasero-app.c                            |    4 +++-
 2 files changed, 4 insertions(+), 1 deletions(-)

commit f2efd611c8ffb5971075578d4a892a3e558892eb
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Thu Aug 6 09:48:27 2009 +0200

    Allow a project is (auto) saved even if there was an error

 src/brasero-project.c |   27 +++++++++++++++++----------
 1 files changed, 17 insertions(+), 10 deletions(-)

commit 631785b1126be3c11d1f77001c1d779eaa3b9623
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Sat Aug 8 21:00:42 2009 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

 po/zh_HK.po | 2460 +++++++++++++++++++++++++++++++++------------------------
 po/zh_TW.po | 2546 ++++++++++++++++++++++++++++++++++-------------------------
 2 files changed, 2881 insertions(+), 2125 deletions(-)

commit a4c2d8dbb08e89a1af51021f289ce1846f59e079
Author: Seán de Búrca <leftmostcat@gmail.com>
Date:   Fri Aug 7 18:37:36 2009 -0600

    Updated Irish translation

 po/ga.po |   18 +++++++++---------
 1 files changed, 9 insertions(+), 9 deletions(-)

commit e49aa8161a08ada07c3fe41019335363bd358ca9
Author: Seán de Búrca <leftmostcat@gmail.com>
Date:   Fri Aug 7 00:19:27 2009 -0600

    Updated Irish translation

 po/ga.po |  243 ++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 127 insertions(+), 116 deletions(-)

commit 174071e2614c2a433368b001306ee41ae0638177
Author: Seán de Búrca <leftmostcat@gmail.com>
Date:   Thu Aug 6 20:43:38 2009 -0600

    Added Irish translation

 po/LINGUAS |    1 +
 po/ga.po   | 4854 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 4855 insertions(+), 0 deletions(-)

commit 03af00233c8fe6c2e336ca1ff17f89e8c6b9398e
Author: Antón Méixome <meixome@mancomun.org>
Date:   Thu Aug 6 19:23:05 2009 +0200

    Updated Galician Translation

 po/gl.po | 1097 +++++++++++++++++++++++++++++---------------------------------
 1 files changed, 518 insertions(+), 579 deletions(-)

commit 46e0d666165b21e582e6f4f500b0436b8527a1e1
Author: Tomasz Dominikowski <dominikowski@gmail.com>
Date:   Wed Aug 5 23:08:25 2009 +0200

    Updated Polish translation

 po/pl.po | 2629 ++++++++++++++++++++++++++++----------------------------------
 1 files changed, 1178 insertions(+), 1451 deletions(-)

commit fddd7e8898ac7f49bec45e316600f0025d893e51
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Tue Aug 4 19:06:53 2009 +0200

    Updated Spanish translation

 po/es.po |  954 ++++++++++++++++++++++++++++++--------------------------------
 1 files changed, 466 insertions(+), 488 deletions(-)

commit 87472c94d8984ace4928f4cd6b698ae7ee9bb131
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Tue Aug 4 15:54:35 2009 +0200

    Rework the way bus/target/lun is handled to remove some ifdef from the code.

 libbrasero-media/brasero-drive.c |   30 ++++++++----------------------
 libbrasero-media/scsi-cam.c      |   20 ++++++++++++++++++++
 libbrasero-media/scsi-device.h   |    3 +++
 libbrasero-media/scsi-netbsd.c   |    5 +++++
 libbrasero-media/scsi-sg.c       |    5 +++++
 libbrasero-media/scsi-uscsi.c    |    5 +++++
 plugins/cdrdao/burn-cdrdao.c     |   26 ++++++++++++--------------
 plugins/cdrtools/burn-cdrecord.c |   12 +++++-------
 plugins/cdrtools/burn-mkisofs.c  |   10 ++++------
 plugins/cdrtools/burn-readcd.c   |    8 ++++----
 10 files changed, 71 insertions(+), 53 deletions(-)

commit 2f751c27ec33f0c2375b78708ea3138691c1a9c5
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Tue Aug 4 15:31:43 2009 +0200

    Fix FreeBSD support
    Patches by Joe Marcus Clarke <marcus@FreeBSD.org>

 libbrasero-burn/burn-job.c       |   20 ++++++++++++++++++++
 libbrasero-burn/burn-job.h       |    3 +++
 libbrasero-media/brasero-drive.c |   28 ++++++++++++++++++++++++++++
 plugins/cdrdao/burn-cdrdao.c     |    8 ++++++++
 plugins/cdrtools/burn-readcd.c   |    4 ++++
 5 files changed, 63 insertions(+), 0 deletions(-)

commit 596a91a817bb8d186a6a49a0fb2cb63f1c1d99d6
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Tue Aug 4 15:11:41 2009 +0200

    Cleared up the use of brasero_drive_get_block_device && brasero_drive_get_device

 libbrasero-burn/brasero-data-session.c |    2 +-
 libbrasero-media/brasero-drive.c       |   62 +++++++++++++++++---------------
 libbrasero-media/brasero-medium.c      |   13 +++----
 libbrasero-utils/brasero-io.h          |    8 ----
 plugins/checksum/burn-checksum-files.c |   12 ++++--
 5 files changed, 48 insertions(+), 49 deletions(-)

commit 39c48cdb6df0223f3d75546245139a4329853451
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Tue Aug 4 12:40:32 2009 +0200

    Huge speed improvement when creating the cover editor
    The GtkTreeView was created, the GtkTreeModel (sortable) added and then only we filled it which added a huge speed penalty probably due to the sorting needed for every new row
    Also fixed a crash when there is no font.

 libbrasero-utils/brasero-jacket-font.c |   36 +++++++++++++++++--------------
 1 files changed, 20 insertions(+), 16 deletions(-)

commit 309fa7e14af675a517927c47da22472e3e45fa40
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Tue Aug 4 12:13:11 2009 +0200

    Fix a crash on error with audio/video project
    On error with an audio or a video track remove it right away before displaying the error message otherwise a new message box will be displayed on every session change

 src/brasero-audio-disc.c |    8 ++++++--
 src/brasero-video-disc.c |    8 ++++++--
 2 files changed, 12 insertions(+), 4 deletions(-)

commit c86008eb205cfb421317303b7a4055fd563ae419
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Tue Aug 4 11:16:35 2009 +0200

    Prevent adding the same track to a session several times.

 libbrasero-burn/brasero-session.c |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

commit 13027ee6bbfc3593fe9ec3fcf4f885b2510d4b66
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Tue Aug 4 11:14:18 2009 +0200

    Fix audio/video project loading
    The same track was added to the session multiple times that was causing an endless loop

 src/brasero-project-parse.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 96e890ddcc177384f0c67f6d9d828cce7511d777
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Mon Aug 3 14:50:57 2009 +0200

    Improved time display for tracks in cover editor

 libbrasero-burn/brasero-cover.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 65071548b2069c4fb9e07912ab9b26c8b1394e7e
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Mon Aug 3 14:46:54 2009 +0200

    Fix #579508 – Cover editor: Prepend 0 to track numbers

 libbrasero-burn/brasero-cover.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 86e4d0b582ab1eebeeed3b8a7c6031f326825128
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Mon Aug 3 14:30:49 2009 +0200

    Improve error reporting when the mimetype of a URI (passed on the command line) can't be properly detected

 src/brasero-project-manager.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit cdf71fe1f1be747bec01ba84a1ce649addab0b33
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Mon Aug 3 14:22:51 2009 +0200

    Do not crash when the mime type of an URI can't be identified.

 src/brasero-project-manager.c |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit dd87d3c2fe005f14780e6a809e665efd3b918f52
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Mon Aug 3 14:09:58 2009 +0200

    Fix a problem with burn-uri plugin when it tried to deal with the .toc file for a .bin image (which doesn't exist of course)

 plugins/local-track/burn-uri.c |   14 ++++++++++----
 1 files changed, 10 insertions(+), 4 deletions(-)

commit 44a2dda57f71d9c0463f225f5730787e06f16e97
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Mon Aug 3 13:54:40 2009 +0200

    Fix #589870 – nautilus crashed with SIGSEGV in g_hash_table_lookup()
    While returning our results after an asynchronous search, make sure that we ref the object to keep it around as long as we need it.
    Also don't assume that BraseroTrackDataCfg and its "child" object BraseroDataProject life span are the same so disconnect all signals.

 libbrasero-burn/brasero-track-data-cfg.c |  105 +++++++++++++++++++++++-------
 libbrasero-utils/brasero-io.c            |    9 ++-
 2 files changed, 90 insertions(+), 24 deletions(-)

commit d1f39652859bdf86cd4f1250520dc1d2e3300be0
Author: Daniel Nylander <po@danielnylander.se>
Date:   Mon Aug 3 11:48:07 2009 +0200

    Updated Swedish translation

 po/sv.po |  932 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 467 insertions(+), 465 deletions(-)

commit 72584b86ce9fb6b78503b664bae3c7111353b1be
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Mon Aug 3 10:49:44 2009 +0200

    Fix #588902 – Port to SessionManager service
    Updated brasero to use the gnome-session dbus service for inhibiting suspend/hibernation
    Patch by stephane.demurget@free.fr

 libbrasero-burn/burn-dbus.c |   30 ++++++++++++++++--------------
 1 files changed, 16 insertions(+), 14 deletions(-)

commit 8c80a0b63c317dd4cd82108ecddf30ab3ee874eb
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Mon Aug 3 10:26:17 2009 +0200

    Thought better and revert one of the changes I made. Remove FullName entry as it would not be used anyway.

 data/brasero-copy-medium.desktop.in.in |    1 -
 data/brasero.desktop.in.in             |    1 -
 2 files changed, 0 insertions(+), 2 deletions(-)

commit 085edde015d1185193459bf1a33d3387374013ac
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Mon Aug 3 10:20:07 2009 +0200

    Fix #590181 – Use Brasero as desktop file Name
    Added FullName entry and changed Name to comply with the new proposal

 data/brasero-copy-medium.desktop.in.in |    3 ++-
 data/brasero.desktop.in.in             |    3 ++-
 2 files changed, 4 insertions(+), 2 deletions(-)

commit 352aadf97cc30040e7b51f4c2fc17039592d2b09
Author: Claude Paroz <claude@2xlibre.net>
Date:   Sun Aug 2 21:12:57 2009 +0200

    Updated French translation

 po/fr.po | 2422 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 1212 insertions(+), 1210 deletions(-)

commit bcc4f9252b6cf79eb482b2ef0a8fb41c51413741
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sun Aug 2 21:02:02 2009 +0200

    Rework BraseroVideoTreeModel to be better suited for characters like &, '

 src/brasero-audio-disc.c       |   10 +++++-----
 src/brasero-video-tree-model.c |   31 ++++++++++++++++++++++++++-----
 src/brasero-video-tree-model.h |    4 +++-
 3 files changed, 34 insertions(+), 11 deletions(-)

commit c0b6739b42979ee260fe66c4c5003de3be85adff
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sun Aug 2 20:44:02 2009 +0200

    Code cleanup

 src/brasero-project-manager.c |    4 ++--
 src/brasero-project.c         |    3 +--
 src/brasero-project.h         |    3 +--
 3 files changed, 4 insertions(+), 6 deletions(-)

commit b0f0cd6bbe13119993075ecb50e317953a6342b6
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sun Aug 2 20:33:32 2009 +0200

    Fix #587690 – brasero crashed with SIGSEGV in brasero_jacket_edit_freeze()

 libbrasero-burn/brasero-cover.c |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit 8057da2dca6b74871e9983e4ae3cd24942b2b134
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sun Aug 2 20:23:23 2009 +0200

    Fix wrong pointer passed to brasero_session_edit_cover

 src/brasero-project-manager.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 7ef48a4baa1551bc24f7e67fae3ab6b4cf1822e0
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sun Aug 2 17:47:12 2009 +0200

    API documentation for BraseroTrackDisc

 libbrasero-burn/brasero-track-disc.c |   64 ++++++++++++++++++++++++++++++++++
 1 files changed, 64 insertions(+), 0 deletions(-)

commit 6457459c56bb059c669309db7f9c8af5da232177
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sun Aug 2 16:10:13 2009 +0200

    API documentation
    Create two different directories instead of only one
    Document BraseroTrack and BraseroTrackData API

 configure.in                                       |    5 +-
 docs/reference/Makefile.am                         |  168 +-----
 docs/reference/brasero-docs.sgml                   |   66 --
 docs/reference/brasero-sections.txt                |  703 --------------------
 docs/reference/libbrasero-burn/Makefile.am         |  136 ++++
 .../libbrasero-burn/libbrasero-burn-docs.sgml      |   53 ++
 .../libbrasero-burn/libbrasero-burn-sections.txt   |  495 ++++++++++++++
 docs/reference/libbrasero-burn/version.xml.in      |    1 +
 docs/reference/libbrasero-media/Makefile.am        |  133 ++++
 .../libbrasero-media/libbrasero-media-docs.sgml    |   37 +
 .../libbrasero-media/libbrasero-media-sections.txt |  209 ++++++
 docs/reference/libbrasero-media/version.xml.in     |    1 +
 docs/reference/version.xml.in                      |    1 -
 libbrasero-burn/brasero-track-data.c               |  166 +++++-
 libbrasero-burn/brasero-track-data.h               |    2 +-
 libbrasero-burn/brasero-track.c                    |  171 +++++-
 libbrasero-media/brasero-drive.c                   |    3 +-
 17 files changed, 1406 insertions(+), 944 deletions(-)

commit e6996cb2d32f0e185459e3617438f2a4264c04a1
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sun Aug 2 13:13:52 2009 +0200

    Fix #590385 – Fails to recognize blank disk media
    Workaround for a strange behavior of GIO's which does not create GDrive when a blank disc is inserted
    As brasero relied on GDrive to create its own BraseroDrive, this caused failure to see blank media

 libbrasero-media/brasero-drive.c          |  132 +++++++++++++----
 libbrasero-media/brasero-medium-monitor.c |  228 ++++++++++++++++++++++-------
 2 files changed, 277 insertions(+), 83 deletions(-)

commit e64022817d0dad302025ef25b389215b1a045229
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sun Aug 2 13:06:19 2009 +0200

    Fix a couple of reference leaks that leads to BraseroMedium objects not being finalized

 libbrasero-media/brasero-medium-selection.c |   31 +++++++++++++++++++-------
 1 files changed, 22 insertions(+), 9 deletions(-)

commit 9afe1758467ccb8f20cff1bd493253110caa253e
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sun Aug 2 11:00:03 2009 +0200

    Small improvement in medium choosing

 libbrasero-burn/brasero-dest-selection.c |   25 +++++++++++++------------
 libbrasero-media/scsi-inquiry.h          |    8 ++++----
 2 files changed, 17 insertions(+), 16 deletions(-)

commit 02fecb8e40c5620c0009cc5ba323e646cc0dffc1
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sat Aug 1 20:32:24 2009 +0200

    Don't create unnecessary track after medium copy

 libbrasero-burn/brasero-burn.c |   12 +++---------
 1 files changed, 3 insertions(+), 9 deletions(-)

commit 8a7c8372d92512dc42381135d9a0f85fd5d74383
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sat Aug 1 19:48:51 2009 +0200

    Set the size of the image when creating a new one with brasero_track_image_new()
    Fix some progress reporting problems

 libbrasero-burn/burn-process.c    |    4 ++++
 plugins/cdrdao/burn-toc2cue.c     |    4 ++++
 plugins/dvdcss/burn-dvdcss.c      |    4 ++++
 plugins/libburnia/burn-libisofs.c |    4 ++++
 4 files changed, 16 insertions(+), 0 deletions(-)

commit b435971a20d8acca317c839ccb967c09385735a6
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sat Aug 1 15:22:49 2009 +0200

    Fix header and add function declaration

 libbrasero-media/scsi-inquiry.h |    4 ++--
 libbrasero-media/scsi-spc1.h    |    6 ++++++
 2 files changed, 8 insertions(+), 2 deletions(-)

commit b6a97c677af43d9ddcaf89de19afe226f7dfbb7d
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sat Aug 1 14:30:35 2009 +0200

    Added a header for INQUIRY command

 libbrasero-media/Makefile.am        |    3 +-
 libbrasero-media/scsi-inquiry.c     |   32 +++++++--
 libbrasero-media/scsi-inquiry.h     |  136 +++++++++++++++++++++++++++++++++++
 libbrasero-media/scsi-mech-status.h |    2 +-
 4 files changed, 166 insertions(+), 7 deletions(-)

commit 40261584dec29556f9e3f0c2a44d6807008a3065
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sat Aug 1 11:03:50 2009 +0200

    Small change to possibly (??) improve drive reprobing

 libbrasero-burn/brasero-burn.c   |   11 +----------
 libbrasero-media/brasero-drive.c |    6 ++++++
 2 files changed, 7 insertions(+), 10 deletions(-)

commit ed67bac731b79027d3f92a2ee10f6a8a75d374cd
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Sat Aug 1 12:59:28 2009 +0300

    Updated Arabic translation

 po/ar.po | 3298 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 1767 insertions(+), 1531 deletions(-)

commit bb0aeafaaac3c7512e9a820d41977f264872a2eb
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sat Aug 1 10:21:29 2009 +0200

    Fix #586540 – crash in Open Folder: nautilus crashes after I...
    While finalizing BraseroTrackDataCfg we were not disconnecting signals from BraseroMediumMonitor

 libbrasero-burn/brasero-data-session.c |   11 +++++++++++
 1 files changed, 11 insertions(+), 0 deletions(-)

commit d81d75545b79f19fe46143dddee222cbf1b2b516
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Fri Jul 31 20:11:20 2009 +0200

    Fix for GIO strange behavior when a medium is ejected
    When a medium is ejected, GIO sends a "drive-disconnected" signal as well soon followed by a "drive-connected". The same happens when a medium is inserted.
    The workaround for this is to wait two seconds after "drive-disconnected" and simply update the GDrive object associated with the BraseroDrive object if the "drive-connected" signal is emitted.

 libbrasero-media/brasero-medium-monitor.c |  149 ++++++++++++++++++++++-------
 1 files changed, 115 insertions(+), 34 deletions(-)

commit 94987e28397110f26bd133a7f8b9bbaa3da8aebb
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Fri Jul 31 20:08:58 2009 +0200

    Fix a build warning and add a debug statement

 libbrasero-media/brasero-medium.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 07c805b19090f2f655f9e8a3eb4bff3800317233
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Fri Jul 31 19:50:31 2009 +0200

    Just a change to satisfy valgrind

 libbrasero-burn/brasero-burn.c |    7 +++++--
 1 files changed, 5 insertions(+), 2 deletions(-)

commit 63ba92e25e3f601f88625d072867b373e22a60a4
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Fri Jul 31 16:00:55 2009 +0200

    Reset GCancellable object before any GIO operation to make sure it wasn't cancelled earlier.

 libbrasero-media/brasero-volume.c |   16 +++++++++++++++-
 1 files changed, 15 insertions(+), 1 deletions(-)

commit 888f7965b8fd029ae91f44fac63ab78516e4b5d8
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Fri Jul 31 16:00:02 2009 +0200

    Use the internal new function brasero_drive_can_write_media ()

 libbrasero-media/brasero-medium.c |   55 ++++++-------------------------------
 1 files changed, 9 insertions(+), 46 deletions(-)

commit ae6a9948a60b56ef4f046311c2c3d7b3a0152d56
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Fri Jul 31 15:59:19 2009 +0200

    Code formatting fix

 libbrasero-burn/brasero-session.c |    5 ++---
 1 files changed, 2 insertions(+), 3 deletions(-)

commit 501943af64f8f4629d2ab15194d0eba8eb4a8bb7
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Fri Jul 31 15:58:36 2009 +0200

    Make sure a disc is supported by the drive when copying with the same drive and trying to determine if a temporary image type is supported

 libbrasero-burn/brasero-caps-session.c |   13 +++++++++++++
 1 files changed, 13 insertions(+), 0 deletions(-)

commit 58e7e572cca5a84774d482f02ec124dce193e169
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Fri Jul 31 15:56:12 2009 +0200

    Make BraseroBurn object use the internal function to retrieve a proper temporary image type when copying media in the same drive

 libbrasero-burn/brasero-burn.c |   46 ++++++++++++++++++---------------------
 1 files changed, 21 insertions(+), 25 deletions(-)

commit 00cb615c21f47066d20849dd2e64c09719947b12
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Fri Jul 31 15:55:03 2009 +0200

    Add an internal function to check if the Drive supports a particular type of media
    Change the property "GDrive" so it can be set after construction time
    Before doing any GIO operation, make sure the GCancellable object is reset in case a previous operation was cancelled

 libbrasero-media/brasero-drive.c |  130 +++++++++++++++++++++++++++++++++----
 1 files changed, 116 insertions(+), 14 deletions(-)

commit 6913c1ff0f428c49577e5c0e701d565de86fd622
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Fri Jul 31 15:34:08 2009 +0200

    Added a new private function to get the temporary file type when copying a medium from the same drive

 libbrasero-burn/brasero-caps-session.c   |   27 +++++++++++++++++++++++++--
 libbrasero-burn/brasero-session-helper.h |    4 ++++
 2 files changed, 29 insertions(+), 2 deletions(-)

commit 59b544a4d1f7d68b44dadac14601e7d6d1cedaca
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Fri Jul 31 15:20:38 2009 +0200

    Fix wrong use of virtual function member

 libbrasero-burn/brasero-session-cfg.c |    8 +++++---
 1 files changed, 5 insertions(+), 3 deletions(-)

commit 4e55392d9f890c021b0fd9a70be0363b4657b55f
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Fri Jul 31 14:11:31 2009 +0200

    Respect the use_flags argument when checking if the temporary image type can be burnt

 libbrasero-burn/brasero-caps-session.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 5355431e342a327a8840a57da3cb85416f36a6eb
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Fri Jul 31 14:09:58 2009 +0200

    Fix a problem when checking if an image format is supported when copying a medium using the same drive
    It was using the session input instead of the temporary image type to test whether it could be burnt

 libbrasero-burn/brasero-caps-session.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit cf62e04485e9e226ad7aadee687168a536237e79
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Fri Jul 31 14:08:17 2009 +0200

    Add API documentation for one function

 libbrasero-burn/brasero-caps-session.c |   10 ++++++++++
 1 files changed, 10 insertions(+), 0 deletions(-)

commit 961d51e7ef580f12b4386df554b8ecd85bd44f0d
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Fri Jul 31 13:41:31 2009 +0200

    Remove unneeded line

 libbrasero-burn/brasero-caps-session.c |    5 ++---
 1 files changed, 2 insertions(+), 3 deletions(-)

commit 6578a9c07b11aaebafadec9219cd3111e00405e6
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Thu Jul 30 18:11:20 2009 +0200

    Avoid having the GError overwritten at every attempt when there is an error with ejection

 libbrasero-burn/brasero-burn.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 95124d6731f8673d3d8d5dbcc5c7db5532880523
Author: Priit Laes <plaes plaes org>
Date:   Fri Jul 31 11:47:09 2009 +0300

    Updating Estonian translation

 po/et.po |   22 ++++++++++++----------
 1 files changed, 12 insertions(+), 10 deletions(-)

commit 9f2dda7f115576f02eb953591987da11d3d9be32
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Thu Jul 30 13:14:01 2009 +0200

    Fix #411568 – Blanking vs Erasing in user visible messages
    One occurence of "erase" had escaped scrutinity

 plugins/growisofs/burn-dvd-rw-format.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 4769c2619e076232ff2c836f016d8f4e7b5f8951
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Thu Jul 30 12:44:54 2009 +0200

    Fix a mispelt word
    Fix #589123 – Brasero typo: should say finalizing instead of finalising.
    Patch by Oskar Wallgren

 libbrasero-burn/burn-basics.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit f4d48aae92111897098803dfd08557adb7368750
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Tue Jul 28 15:38:36 2009 +0200

    Use return values for Always Replace (file from project) answer

 src/brasero-data-disc.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit f757166c7d3380fd5fb4b4314ad36811bfae50d2
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Tue Jul 28 15:24:48 2009 +0200

    Fix wrong value of a member after unref

 libbrasero-burn/brasero-dest-selection.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 2f31cdd14010bbce3e7a8f52ebc745ba33771a3f
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Tue Jul 28 14:49:55 2009 +0200

    Fix memleak

 libbrasero-burn/brasero-drive-properties.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 96b5524b4fe176432582890b38156cdafdce0a8f
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Tue Jul 28 14:37:53 2009 +0200

    Fix memory leak introduced by recent changes

 src/brasero-data-disc.c |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

commit a8ee4f61bd06c6ce0d2b2061f0cd781de1b73ccf
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Tue Jul 28 14:33:01 2009 +0200

    Disconnect signals from a BraseroDrive just before we signal its removal

 libbrasero-media/brasero-medium-monitor.c |    9 +++++++++
 1 files changed, 9 insertions(+), 0 deletions(-)

commit af1f4e623a67d4cc9f4abb7a3d512916acfed577
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Tue Jul 28 14:32:11 2009 +0200

    Disconnect signal at object destruction

 libbrasero-burn/brasero-medium-properties.c |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 7bca6ea0d82b0d2ef18a2773fbbeee0537c806e1
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Tue Jul 28 14:31:54 2009 +0200

    Remove debug statement

 libbrasero-burn/brasero-session.c |    2 --
 1 files changed, 0 insertions(+), 2 deletions(-)

commit fed9be7cdc36172237e72a882546c7600dfd8d0e
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Tue Jul 28 14:30:35 2009 +0200

    Emit "medium-removed" when a BraseroDrive is finalized

 libbrasero-media/brasero-drive.c |   20 ++++++++++++--------
 1 files changed, 12 insertions(+), 8 deletions(-)

commit 173e5acf0fbc10653df98b6222e3b7782c2e4595
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Tue Jul 28 14:29:40 2009 +0200

    Disconnect a signal at object destruction

 libbrasero-burn/brasero-session.c |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)

commit f0b51fff452a71fc8cfa178692e93f350ff5d753
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Tue Jul 28 09:45:31 2009 +0200

    Properly ref the GDrive object at construct time

 libbrasero-media/brasero-drive.c |   11 +++++++----
 1 files changed, 7 insertions(+), 4 deletions(-)

commit 8fa65b2a3fad866b9707cc83e5fa4886dff9d374
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Tue Jul 28 09:22:20 2009 +0200

    Fix a memory leak (object was not properly unreffed)

 src/brasero-data-disc.c |    8 ++++++++
 1 files changed, 8 insertions(+), 0 deletions(-)

commit b0b3e2b8fb0c4299be774b3abf9f6acff008eb0a
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Tue Jul 28 09:21:33 2009 +0200

    Fix an object that was not reffed properly

 src/brasero-file-filtered.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 3969a87b199c5eafded9efaf2daf9ab0fdbd21e6
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Mon Jul 27 14:50:50 2009 +0200

    Re-enable the autoconfiguration for BraseroSessionCfg after a burning occured

 libbrasero-burn/brasero-burn-dialog.c |    4 ++++
 libbrasero-burn/brasero-session-cfg.c |    9 +++++++++
 libbrasero-burn/brasero-session-cfg.h |    3 +++
 3 files changed, 16 insertions(+), 0 deletions(-)

commit 99cbd8833324fbf9879d88e8272060b536851f39
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Mon Jul 27 14:08:52 2009 +0200

    Fix a potential crash when a node is loaded but removed by the user because it is too big, ...

 libbrasero-burn/brasero-data-project.c |   10 ++++++----
 libbrasero-burn/brasero-data-project.h |    2 +-
 libbrasero-burn/brasero-data-vfs.c     |   12 ++++++++----
 3 files changed, 15 insertions(+), 9 deletions(-)

commit 31ae04397b79d0729e66009922ef934acdc07f50
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sun Jul 26 15:59:46 2009 +0200

    Clean up inclusion of header files and fixed build warnings

 src/brasero-audio-disc.c       |   11 ++++++-----
 src/brasero-data-disc.c        |    2 --
 src/brasero-disc.h             |    1 -
 src/brasero-player-bacon.c     |    7 +++----
 src/brasero-player.c           |    7 +++++--
 src/brasero-playlist.c         |    2 ++
 src/brasero-project-manager.c  |    7 +++++--
 src/brasero-project.c          |   15 +++++++++------
 src/brasero-song-properties.c  |    2 ++
 src/brasero-song-properties.h  |    2 --
 src/brasero-split-dialog.c     |   10 ++++++----
 src/brasero-utils.h            |    2 --
 src/brasero-video-tree-model.c |    2 ++
 13 files changed, 40 insertions(+), 30 deletions(-)

commit 94ff080a7c9e0b7dd1873e8ce096f267b9d23510
Author: Ivaylo Valkov <ivaylo@e-valkov.org>
Date:   Thu Jul 30 07:46:45 2009 +0300

    Updated Bulgarian translation

 po/bg.po | 3260 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 1700 insertions(+), 1560 deletions(-)

commit 1fae0e4aae9d8c447e475a47e8985f4a98f0d47c
Author: Jamil Ahmed <itsjamil@gmail.com>
Date:   Tue Jul 28 19:27:43 2009 +0700

    Added Bengali translation

 po/LINGUAS |    1 +
 po/bn.po   | 5019 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 5020 insertions(+), 0 deletions(-)

commit 608d98c2dedd2a92b06f05d68c517926d5d9897f
Author: Denis Arnaud <darnaud@src.gnome.org>
Date:   Tue Jul 28 13:27:37 2009 +0200

    Updated breton translation

 0 files changed, 0 insertions(+), 0 deletions(-)

commit a74733e8755cbc9b24d7697d1031dc5e180e31b1
Author: Denis Arnaud <darnaud@src.gnome.org>
Date:   Tue Jul 28 13:26:31 2009 +0200

    Updated breton translation

 po/br.po | 5395 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 2843 insertions(+), 2552 deletions(-)

commit 3a542cf82779b584006e7dc8bfd926eeeebc2140
Author: Denis Arnaud <darnaud@src.gnome.org>
Date:   Tue Jul 28 06:39:55 2009 +0200

    Added breton

 po/LINGUAS |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 74e79f150b97f62f4e258106a616301d8bc13e8b
Author: Alan Monfort <alan.monfort@free.fr>
Date:   Tue Jul 28 06:39:33 2009 +0200

    Added breton translation

 po/br.po | 4694 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 4694 insertions(+), 0 deletions(-)

commit d76dbbd6b609823b8e30bebe545ba5fac70c08bf
Author: Luis Medinas <lmedinas@gnome.org>
Date:   Mon Jul 27 15:13:28 2009 +0100

    Update NEWS for 2.27.5 release

 NEWS |   25 +++++++++++++++++++++++++
 1 files changed, 25 insertions(+), 0 deletions(-)

commit e68c93584cdf2a158a9d4688c768331697ec563e
Author: Luis Medinas <lmedinas@gnome.org>
Date:   Mon Jul 27 01:25:26 2009 +0100

    Bump to 2.27.5

 configure.in |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit bbe5c84795fe9fc810b7e30ad8b8f7be4d33be06
Author: Petr Kovar <pknbe@volny.cz>
Date:   Sun Jul 26 20:08:54 2009 +0200

    Added Czech help translation by Adrian Gunis

 help/Makefile.am |    2 +-
 help/cs/cs.po    | 1775 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 1776 insertions(+), 1 deletions(-)

commit f0c583c3759b0eafde988bb76a5e99e73782c98b
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sat Jul 25 15:03:33 2009 +0200

    Make sure the tool dialog appear in the taskbar when started from the icon on the desktop

 nautilus/nautilus-burn-extension.c |    8 ++------
 1 files changed, 2 insertions(+), 6 deletions(-)

commit 488ca7b93fd5b5e0ea62d8e6fe25828cb2f3914d
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sat Jul 25 14:33:35 2009 +0200

    Make sure that the size of a data project is not displayed in hh:mm:ss format after burning it

 src/brasero-project.c |   12 ++++++++----
 1 files changed, 8 insertions(+), 4 deletions(-)

commit 31512c1e0893141edfb2070b8ac4197f9d3f364c
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Fri Jul 24 15:35:47 2009 +0200

    Fix the toolbar/menus state after a data project burn happened

 src/brasero-data-disc.c |   41 +++++++++++++++++++++++++++++++----------
 1 files changed, 31 insertions(+), 10 deletions(-)

commit 597e6afee8744ba77c3bbaebc345de00285b89f4
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Fri Jul 24 14:58:56 2009 +0200

    Make sure all BraseroToolDialog derived windows have a brasero icon

 libbrasero-burn/brasero-tool-dialog.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit bab8ddbbc603b79f45c995513178ca418242d400
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Fri Jul 24 14:42:56 2009 +0200

    Make sure that in BraseroTrackDataCfg the files that are excluded (because > 2GiB, or because they are too deep, ...) while exploring automatically a parent directory are really excluded from the tree by adding an empty graft point

 libbrasero-burn/brasero-data-project.c |   15 ++++++++++++---
 1 files changed, 12 insertions(+), 3 deletions(-)

commit 0ef604b598a9cc340d4eb65b7e2ac1c7783f9b42
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Fri Jul 24 13:26:07 2009 +0200

    Make sure empty imported directories are not displayed as "loading" after they are loaded

 libbrasero-burn/brasero-data-project.c |   35 +++++++++++++++++++++----------
 libbrasero-burn/brasero-data-session.c |    2 +-
 libbrasero-burn/brasero-data-vfs.c     |    1 -
 3 files changed, 25 insertions(+), 13 deletions(-)

commit b7e3604bf49d1683c728ac1d4248aeb6f80f7c72
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Thu Jul 23 14:44:39 2009 +0200

    Make sure the directory is empty row is of the same color as its parent when the latter is imported

 libbrasero-burn/brasero-track-data-cfg.c |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)

commit 0f48ab7068370e9cf52cbad280fcfa320317fd4a
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Thu Jul 23 14:41:25 2009 +0200

    Add the possibility to override the icon already set for previous session when merging
    Also fix brasero_track_data_cfg_find_icon_name () that was entering an endless loop

 libbrasero-burn/brasero-track-data-cfg.c |   12 +++++++++---
 1 files changed, 9 insertions(+), 3 deletions(-)

commit e1f8325203eda195f268784ae15558cf0dd9493e
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Thu Jul 23 14:18:50 2009 +0200

    Reduce the padding size between the icon and the text in the medium selection
    That should match the padding size in the GtkEntry widget better and allow to have texts aligned when these 2 widgets are vertically aligned

 libbrasero-media/brasero-medium-selection.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 45edc9f9f927c971545d200cea140d515236a92e
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Wed Jul 22 16:56:54 2009 +0200

    Start to document libbrasero-burn API

 libbrasero-burn/brasero-blank-dialog.c      |    7 +++++++
 libbrasero-burn/brasero-burn-dialog.c       |   26 ++++++++++++++++++++++++++
 libbrasero-burn/brasero-sum-dialog.c        |    7 +++++++
 libbrasero-media/brasero-drive-selection.c  |   10 +++++++++-
 libbrasero-media/brasero-medium-selection.c |    7 +++++++
 5 files changed, 56 insertions(+), 1 deletions(-)

commit 254ddc399ad6162ff3e18c57eef5382fed810276
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Wed Jul 22 16:40:00 2009 +0200

    Improved debugging to catch a fishy thing happening with KVM

 libbrasero-media/brasero-drive.c   |    2 ++
 libbrasero-media/scsi-mode-sense.c |   14 ++++++++++----
 2 files changed, 12 insertions(+), 4 deletions(-)

commit da4dc8c6f64b03abc6c7f059328e704981ea35fa
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Wed Jul 22 16:04:21 2009 +0200

    Make sure that a medium identified as file is indeed one and not a medium that failed to initialize

 libbrasero-media/brasero-medium-monitor.c |   10 +++++++++-
 1 files changed, 9 insertions(+), 1 deletions(-)

commit b6d5658921c7f3028588556ec18702ae1233f555
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Wed Jul 22 15:17:37 2009 +0200

    Fix a memory leak due to recent changes

 libbrasero-burn/brasero-track-data-cfg.c |    8 +++++++-
 1 files changed, 7 insertions(+), 1 deletions(-)

commit 7f9256025a4ff952feb83ff652ec79701c674f54
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Wed Jul 22 14:56:57 2009 +0200

    Make sure the project is not automatically saved on quitting when it's empty

 src/brasero-project.c |   18 +++++++++---------
 1 files changed, 9 insertions(+), 9 deletions(-)

commit 3999b81d38834737a0f6dcc4c8b882ab4338b820
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Wed Jul 22 14:49:59 2009 +0200

    New function that lets BraseroTrackDataCfg return its GIcon
    This allows:
    - to fix a problem with GtkEntry when setting an icon
    - display the icon for when an imported session has an icon already set in an autorun.inf

 libbrasero-burn/brasero-track-data-cfg.c |   40 ++++++++++++++++----
 libbrasero-burn/brasero-track-data-cfg.h |    5 ++-
 src/brasero-project-name.c               |   59 +++++++-----------------------
 src/brasero-project-parse.c              |    7 +++-
 4 files changed, 55 insertions(+), 56 deletions(-)

commit 967a86a81977ccc82dc369f6baf0bcdaa8238a63
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Wed Jul 22 11:30:32 2009 +0200

    API change remove brasero_track_data_cfg_get_contents () as it is possible to do have the same result with brasero_track_data_get_grafts (), ...
    Fix a crash when in the multisession there is an autorun.inf

 libbrasero-burn/brasero-track-data-cfg.c |   32 +++++++++--------------------
 libbrasero-burn/brasero-track-data-cfg.h |    5 ----
 2 files changed, 10 insertions(+), 27 deletions(-)

commit 4a98196f0d0116f653c92c1230478c12f21b1503
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Wed Jul 22 11:06:03 2009 +0200

    Fix a problem with multisession in GUI
    A button is added for every drive with a session that can be imported. These buttons were uniquely identified with a UDI which is now deprecated. So we use the device path instead now.

 src/brasero-data-disc.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 8fb191d2594c700d0c30d9442bc62e932d0af1ef
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Tue Jul 21 15:21:47 2009 +0200

    Refactored API documentation
    Include now the declarations for libbrasero-burn library symbols (which remains to be documented)
    Include brasero-sections.txt as it allows to fix a problem with BraseroDrive and BraseroMedium which are declared in the same header file

 docs/reference/Makefile.am          |   88 +++---
 docs/reference/brasero-docs.sgml    |   64 +++-
 docs/reference/brasero-sections.txt |  703 +++++++++++++++++++++++++++++++++++
 3 files changed, 798 insertions(+), 57 deletions(-)

commit d447897f6b7523e648e0cb423c6d80b3f72c82d4
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Tue Jul 21 14:13:06 2009 +0200

    Remove unnecessary symbolic links

 libbrasero-burn/eggtreemultidnd.c |    1 -
 libbrasero-burn/eggtreemultidnd.h |    1 -
 2 files changed, 0 insertions(+), 2 deletions(-)

commit 73eb878131ebb46a5d4cbe0123d2927e677999c2
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Tue Jul 21 14:12:42 2009 +0200

    Update documentation for libbrasero-media

 libbrasero-media/brasero-medium.c |   56 +++++++++++++++++++++++++++++--------
 libbrasero-media/brasero-volume.c |    2 +-
 libbrasero-media/brasero-volume.h |    2 +-
 3 files changed, 46 insertions(+), 14 deletions(-)

commit ef72949bd702538996399cdaba400d1899434caf
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Mon Jul 20 15:26:02 2009 +0200

    Fix memleak on BraseroTrackData finalization

 libbrasero-burn/brasero-track-data.c |   15 +++++++++++++++
 1 files changed, 15 insertions(+), 0 deletions(-)

commit fde087f11fa09fe380ee1d15bae7fbad7577237a
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Mon Jul 20 15:15:19 2009 +0200

    Fix memleak on error

 libbrasero-media/scsi-get-configuration.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 213f85fce7954e69680e07109df6e072417a0ca3
Author: Mark Krapivner <mark125@gmail.com>
Date:   Sun Jul 26 02:10:52 2009 +0300

    Updated Hebrew translation

 po/he.po | 2484 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 1286 insertions(+), 1198 deletions(-)

commit e74c66830c85213647dd717cb8c2f202e0b4b093
Author: Ilkka Tuohela <hile@iki.fi>
Date:   Sat Jul 25 11:47:12 2009 +0300

    Updated Finnish translation

 po/fi.po | 5964 ++++++++++++++++++++++++++++----------------------------------
 1 files changed, 2698 insertions(+), 3266 deletions(-)

commit 8b9ba3a3f8c70bb77b43343f9c49ec85557cc812
Author: Mario Blättermann <mariobl@gnome.org>
Date:   Fri Jul 24 17:56:58 2009 +0200

    Updated German translation

 po/de.po | 2254 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 1217 insertions(+), 1037 deletions(-)

commit a997c7b019ec25a717119f54c414290261bff56d
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Wed Jul 22 21:17:22 2009 +0200

    Updated Norwegian bokmål translation.

 po/nb.po | 2821 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 1543 insertions(+), 1278 deletions(-)

commit 604aa592460cd49f00263628f58f8c3979e7a474
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Sat May 2 18:48:01 2009 +0200

    What?

 src/brasero-search-beagle.c |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit f4d9a7f3f34c79df6c3b713e3ab633edfda48c65
Author: Mattias Põldaru <mahfiaz gmail com>
Date:   Wed Jul 22 16:38:05 2009 +0300

    Updating Estonian translation

 po/et.po |  316 +++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 171 insertions(+), 145 deletions(-)

commit 28223af62f98b05674f42a16e0d0f6364578cd70
Author: Daniel Nylander <po@danielnylander.se>
Date:   Wed Jul 22 14:11:20 2009 +0200

    Updated Swedish translation

 po/sv.po | 1413 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 725 insertions(+), 688 deletions(-)

commit 4c324c5608a3ea7cfd69d8a3f6f2131b62690265
Author: Antón Méixome <meixome@mancomun.org>
Date:   Tue Jul 21 19:21:39 2009 +0200

    Updated Galician Translation.

 po/gl.po | 6952 +++++++++++++++++++++++++-------------------------------------
 1 files changed, 2798 insertions(+), 4154 deletions(-)

commit aa60f14ab40ea8c31e5980570d087cd9d98ecb62
Author: drtvasudevan <agnihot3@gmail.com>
Date:   Tue Jul 21 20:18:07 2009 +0530

    Updated Tamil translation

 po/ta.po | 1434 +++++++++++++++++++++++++++++++------------------------------
 1 files changed, 729 insertions(+), 705 deletions(-)

commit 6c9dd373a212dcba392ada2d5eb15da208b17e17
Author: drtvasudevan <agnihot3@gmail.com>
Date:   Tue Jul 21 19:55:57 2009 +0530

    Updated Tamil translation

 po/ta.po |   83 ++++++++++++++++++++++++++++++++++++++++---------------------
 1 files changed, 54 insertions(+), 29 deletions(-)

commit 77503127e198ae53c1f35d6c76b643848d98d1ed
Author: André Gondim <andregondim@ubuntu.com>
Date:   Sun Jul 19 19:24:35 2009 -0300

    Updated Brazilian Portuguese translation.
    
    Translation by André Gondim and reviewing by Henrique P. Machado.

 po/pt_BR.po | 3043 ++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 1677 insertions(+), 1366 deletions(-)

commit ba10016066995870aaaee69015b72c4bf93e8e4a
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sat Jul 18 21:07:43 2009 +0200

    Make the ChecksumImage plugin work again
    We were checking the GObject type of the original track not the input type of the plugin

 plugins/checksum/burn-checksum-image.c |    9 ++++++++-
 1 files changed, 8 insertions(+), 1 deletions(-)

commit 287eb1506ef76bbd332211357f8d153f0c727fc7
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sat Jul 18 20:42:14 2009 +0200

    Fix a previous change that messed up with flags

 libbrasero-burn/brasero-session-cfg.c |   10 ++++++----
 1 files changed, 6 insertions(+), 4 deletions(-)

commit 9adfd7c8a8a490910caa64db8a8f520f7dd4b5cc
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sat Jul 18 14:52:52 2009 +0200

    Fix a crash when trying to burn an image after having tried to add it to a data project

 src/brasero-data-disc.c |   20 +++++++++++++++-----
 1 files changed, 15 insertions(+), 5 deletions(-)

commit d4a79047fed8d5dcbecebb14467ee3916c02d9a6
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Sat Jul 18 13:43:57 2009 +0200

    Updated Spanish translation

 po/es.po | 1116 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 566 insertions(+), 550 deletions(-)

commit 5252653d688c87e209674f6b680343c26231f126
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Fri Jul 17 15:36:50 2009 +0200

    Reworked the eject dialog so it will offer a choice between drives not media
    That way we can open a drive even if it is empty
    Fixed also some memory leaks
    Add a dialog to let the user know what prevented the drive ejection

 src/brasero-app.c          |    8 ++-
 src/brasero-eject-dialog.c |  167 ++++++++++++++++++++++++++++---------------
 src/brasero-eject-dialog.h |   10 ++--
 3 files changed, 120 insertions(+), 65 deletions(-)

commit a0921c099204059e70e7843f76d713117725fc2e
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Fri Jul 17 15:33:44 2009 +0200

    Add a way to cancel some BraseroDrive operations

 libbrasero-media/brasero-drive.c |   19 +++++++++++++++++++
 libbrasero-media/brasero-drive.h |    3 +++
 2 files changed, 22 insertions(+), 0 deletions(-)

commit 5a1e128f4e7494e52c63034d430ee909ca499622
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Fri Jul 17 15:32:16 2009 +0200

    Add a little border around help text (the one in the center) area in project

 src/brasero-project.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit ef560faa2d65be49e062d45fc2e6722c5f62bbb8
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Thu Jul 16 11:44:46 2009 +0200

    Fix #588604 – pkgconfig file libbrasero-media.pc still references hal
    There were some remains of HAL use after all. sigh!
    Patch by Götz Waschk

 libbrasero-media.pc.in |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 3fcf5b1257a8753e09c0c2b9bf0f512cad9d78b8
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Wed Jul 15 21:14:15 2009 +0200

    Make the remove button work again in the audio project (it was always greyed out)

 src/brasero-project.c |    3 +--
 1 files changed, 1 insertions(+), 2 deletions(-)

commit 0f0e1e9f3f0a029235a234ed44638d3231e52f07
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Wed Jul 15 21:09:23 2009 +0200

    Fix a problem in BraseroVideoTreeModel because of which gtk_tree_model_iter_n_children (model, NULL) always returned 0

 src/brasero-video-tree-model.c |   24 ++++++++++++++++++++++++
 1 files changed, 24 insertions(+), 0 deletions(-)

commit 085c960045889e20a82edf23f1b8579e7d3eb5ee
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Wed Jul 15 20:57:05 2009 +0200

    Don't show "make another disc" button if we merged a session to a disc as this disc was unique

 libbrasero-burn/brasero-burn-dialog.c |    6 +++++-
 1 files changed, 5 insertions(+), 1 deletions(-)

commit 406946e781857370ae292eed4f10d799ca576279
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Wed Jul 15 20:47:39 2009 +0200

    Fix GtkTrackDataCfg (when used as a GtkTreeModel) when nodes are removed and there are hidden files in it

 libbrasero-burn/brasero-track-data-cfg.c |   24 +++++++++++++++++++++++-
 1 files changed, 23 insertions(+), 1 deletions(-)

commit 75aaa4595c3d6535fa6600da79d024cc7a600b82
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Wed Jul 15 20:12:00 2009 +0200

    Fixes for BraseroTrackDataCfg when it's used as a GtkTreeModel

 libbrasero-burn/brasero-track-data-cfg.c |   32 +++++++++++++++++++++--------
 1 files changed, 23 insertions(+), 9 deletions(-)

commit 85a56e3060634b1a155b3cf4eca353b39b865855
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Wed Jul 15 15:17:25 2009 +0200

    Improve button states management and display of help in the project interface

 libbrasero-burn/brasero-track-data-cfg.c |    3 +--
 src/brasero-audio-disc.c                 |   11 +++++++++++
 src/brasero-data-disc.c                  |   15 +++++++++++++++
 src/brasero-disc.c                       |   18 ++++++++++++++++++
 src/brasero-disc.h                       |    4 ++++
 src/brasero-project-name.c               |    5 ++---
 src/brasero-project.c                    |   10 ++++++----
 src/brasero-video-disc.c                 |   12 ++++++++++++
 8 files changed, 69 insertions(+), 9 deletions(-)

commit ab452ff17c9f68d7eb61bc7225ee04b31c7af64c
Author: Runa Bhattacharjee <runab@redhat.com>
Date:   Wed Jul 15 19:15:48 2009 +0530

    Merged Bengali India Translation

 po/bn_IN.po | 1215 ++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 654 insertions(+), 561 deletions(-)

commit 912d4e54b54bc8bba77b8f3dc10c3a754bc40427
Author: Runa Bhattacharjee <runab@redhat.com>
Date:   Wed Jul 15 18:47:15 2009 +0530

    Correct the msgfmt errors

 po/bn_IN.po |   89 ++++++++++++++++++-----------------------------------------
 1 files changed, 27 insertions(+), 62 deletions(-)

commit dd350b7b2b93fba80f3fa5152333662d2ed860cf
Author: Simurg56 <simurg56@gmail.com>
Date:   Wed Jul 15 02:12:35 2009 +0200

    Added initial Kurdish translations

 po/ku.po | 1944 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 1023 insertions(+), 921 deletions(-)

commit 85be2882d91c2f3f12ab7f2891e319d17f2ba533
Author: Simurg56 <simurg56@gmail.com>
Date:   Wed Jul 15 02:12:01 2009 +0200

    Added initial Kurdish translations

 po/ku.po |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 1e3cfb20fddeb7cf45e5d87355583753aaadf7d0
Author: Simurg56 <simurg56@gmail.com>
Date:   Wed Jul 15 01:59:23 2009 +0200

    Added initial Kurdish translations

 po/ku.po | 4811 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 4811 insertions(+), 0 deletions(-)

commit a998a500fba6faecfb8c4a0024c86a63a04e4b9a
Author: simurg56 <simurg56 at gmail dot com>
Date:   Wed Jul 15 01:47:54 2009 +0200

    Added Kurdish translation

 po/LINGUAS |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit c7643af6288e3bb3f2f94a52b68ec1e5cdfc8fdb
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Tue Jul 14 20:17:12 2009 +0200

    Fix broken multisession with data projects
    The BraseroDataDisc object wrongly unloaded the selected medium just before burning

 src/brasero-data-disc.c |   55 ++++++++++++++++++++++++++++------------------
 1 files changed, 33 insertions(+), 22 deletions(-)

commit 8219227292bb17156feced3199f795f8da8e8647
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Tue Jul 14 16:51:11 2009 +0200

    Fix a memleak

 libbrasero-burn/brasero-caps-session.c |    2 +-
 libbrasero-media/brasero-drive.c       |   13 ++++++++++++-
 2 files changed, 13 insertions(+), 2 deletions(-)

commit 8188972a94e814e97ca19d57750224dd10226e78
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Tue Jul 14 16:49:06 2009 +0200

    Use of uninitialized value

 libbrasero-burn/brasero-caps-session.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit d1de01c8d81f1db341094d03f448cfb10ed2b8e3
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Tue Jul 14 16:48:53 2009 +0200

    Fix memleak
    on each lock () and unlock () we were not closing the handle for the drive

 libbrasero-media/brasero-drive.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 19b07c694aa59b94631c20e03a1950e81a7b302d
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Tue Jul 14 15:59:54 2009 +0200

    Add more debug statement

 libbrasero-media/brasero-drive.c          |    1 +
 libbrasero-media/brasero-medium-monitor.c |    2 ++
 2 files changed, 3 insertions(+), 0 deletions(-)

commit 2381e20fb349536ec404cf3db7629dc4b6b730fd
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Tue Jul 14 14:12:09 2009 +0200

    Removed useless code and added a debug statement for probing entry point

 libbrasero-media/brasero-medium-monitor.c |   45 +---------------------------
 1 files changed, 2 insertions(+), 43 deletions(-)

commit 9da7543006aa306e3fbd00ca74b1f37291ec773c
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Tue Jul 14 13:39:55 2009 +0200

    Fix a crash with File Filtered widget which did not get disconnected properly

 src/brasero-file-filtered.c |   27 ++++++++++++++++++++-------
 1 files changed, 20 insertions(+), 7 deletions(-)

commit 53a2ac5f070d4e5db6fb1b68d7bf064f54881cf2
Author: Runa Bhattacharjee <runab@redhat.com>
Date:   Tue Jul 14 19:20:46 2009 +0530

    Merged Bengali India Translations

 po/bn_IN.po |  594 ++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 322 insertions(+), 272 deletions(-)

commit 717883e543dff920ee4c764222917339c7876fd3
Author: Luis Medinas <lmedinas@gnome.org>
Date:   Tue Jul 14 02:35:10 2009 +0100

    Add mention to libbrasero-media bump for packagers

 NEWS |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit be01df1e6a0a9959221555c1ccf5aeea15300671
Author: Luis Medinas <lmedinas@gnome.org>
Date:   Tue Jul 14 02:32:46 2009 +0100

    Update NEWS for 2.27.4 release

 NEWS |   34 +++++++++++++++++++++++++++++++---
 1 files changed, 31 insertions(+), 3 deletions(-)

commit 8f0c95b23c43dd78bd1a1652aa3ba53655131b03
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Mon Jul 13 20:29:09 2009 +0200

    Remove plural to make strings more coherent

 libbrasero-burn/brasero-image-type-chooser.c |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit 5384e0612fde180d47f67d7f6340f19a27f0b986
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Mon Jul 13 18:00:12 2009 +0200

    Updated NEWS

 NEWS |   21 +++++++++++++++++++++
 1 files changed, 21 insertions(+), 0 deletions(-)

commit f0d6616665f3da8c525853f1501977e46a06daac
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Mon Jul 13 17:40:16 2009 +0200

    Update forgotten version number

 configure.in |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit e071c8bf5eacafefcbfe53ce65ee538881a9cf75
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Mon Jul 13 16:33:28 2009 +0200

    Update library version to reflect changes in libbrasero-media

 configure.in |   14 +++++++++++---
 1 files changed, 11 insertions(+), 3 deletions(-)

commit ce2965286f1249f20654c068190c6dfb392330ed
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Mon Jul 13 16:29:32 2009 +0200

    Updated version number for release

 configure.in |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit ebc1967ff92ff0c7254ece1b8fd8e305ad5f935d
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Mon Jul 13 16:27:09 2009 +0200

    Make extra sure the image type selection widget is not shown

 libbrasero-burn/brasero-image-properties.c |   13 +++++++------
 1 files changed, 7 insertions(+), 6 deletions(-)

commit d7f7211e391e4e6cba7873c093579fd989fe5ef3
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Mon Jul 13 15:41:32 2009 +0200

    Remove the labels in front of the name widget and the medium selector

 src/brasero-project.c |   29 ++---------------------------
 1 files changed, 2 insertions(+), 27 deletions(-)

commit 6b6616f2eed91eb2bdb082d7c9c165d07416dd0f
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Mon Jul 13 14:22:39 2009 +0200

    Fix #586040 – duplicated command listed in open-with dialog
    Obsoletes #587186 – change Name= for different .desktop files
    Remove three desktop files and let brasero detects (which it can do automatically) what type of file it is and what it should do with it

 configure.in                             |    3 ---
 data/Makefile.am                         |    3 ---
 data/brasero-open-image.desktop.in.in    |   16 ----------------
 data/brasero-open-playlist.desktop.in.in |   16 ----------------
 data/brasero-open-project.desktop.in.in  |   16 ----------------
 data/brasero.desktop.in.in               |    1 +
 po/POTFILES.in                           |    3 ---
 7 files changed, 1 insertions(+), 57 deletions(-)

commit 984424be7c0e7669295f8e78662dbcb68d953ad0
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sun Jul 12 14:44:42 2009 +0200

    Fix #582979 – brasero should not include Categories in mime handler .desktop files

 data/brasero-copy-medium.desktop.in.in   |    1 -
 data/brasero-open-image.desktop.in.in    |    2 +-
 data/brasero-open-playlist.desktop.in.in |    1 -
 data/brasero-open-project.desktop.in.in  |    1 -
 4 files changed, 1 insertions(+), 4 deletions(-)

commit 20cbb56bb8b18920b545a9d76b1aa54ecc81a1da
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sun Jul 12 14:17:15 2009 +0200

    Fix #587554 – Unclear meaning of text

 src/brasero-data-disc.c |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

commit 9fcd67195a5072f22f48bbbbe87172a4a5b8b9cc
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sun Jul 12 13:51:31 2009 +0200

    Fix #587399 – License clarification
    Remove GPL v3 headers and go back to v2 for files included in brasero

 src/brasero-app.c              |   21 ++++++++++++---------
 src/brasero-app.h              |   21 ++++++++++++---------
 src/brasero-data-disc.c        |    4 ++--
 src/brasero-multi-song-props.c |   23 +++++++++++++----------
 src/brasero-multi-song-props.h |   25 ++++++++++++++-----------
 src/brasero-project-name.c     |   23 +++++++++++++----------
 src/brasero-project-name.h     |   23 +++++++++++++----------
 src/brasero-rename.c           |   23 +++++++++++++----------
 src/brasero-rename.h           |   23 +++++++++++++----------
 src/brasero-video-disc.c       |   23 +++++++++++++----------
 src/brasero-video-disc.h       |   23 +++++++++++++----------
 11 files changed, 131 insertions(+), 101 deletions(-)

commit de997e24a136fd1fa010d8b87e3f6e6c55fe8012
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sun Jul 12 13:07:27 2009 +0200

    Fix license headers for all files that could be linked to an application (that is all files included in a brasero library)

 libbrasero-burn/brasero-video-options.h   |   37 ++++++++++++++++---------
 libbrasero-burn/brasero-xfer.c            |   31 ++++++++++++---------
 libbrasero-burn/brasero-xfer.h            |   31 ++++++++++++---------
 libbrasero-media/scsi-mode-pages.h        |   13 ++++-----
 plugins/cdrdao/burn-cdrdao-common.h       |   31 ++++++++++++---------
 plugins/cdrdao/burn-cdrdao.c              |   40 +++++++++++++++------------
 plugins/cdrdao/burn-cdrdao.h              |   40 +++++++++++++++------------
 plugins/cdrdao/burn-toc2cue.c             |   40 +++++++++++++++------------
 plugins/cdrdao/burn-toc2cue.h             |   40 +++++++++++++++------------
 plugins/cdrkit/burn-cdrkit.h              |   31 ++++++++++++---------
 plugins/cdrkit/burn-genisoimage.c         |   40 +++++++++++++++------------
 plugins/cdrkit/burn-genisoimage.h         |   40 +++++++++++++++------------
 plugins/cdrkit/burn-readom.c              |   40 +++++++++++++++------------
 plugins/cdrkit/burn-readom.h              |   40 +++++++++++++++------------
 plugins/cdrkit/burn-wodim.c               |   40 +++++++++++++++------------
 plugins/cdrkit/burn-wodim.h               |   40 +++++++++++++++------------
 plugins/cdrtools/burn-cdrecord.c          |   40 +++++++++++++++------------
 plugins/cdrtools/burn-cdrecord.h          |   40 +++++++++++++++------------
 plugins/cdrtools/burn-cdrtools.h          |   33 +++++++++++++---------
 plugins/cdrtools/burn-mkisofs.c           |   40 +++++++++++++++------------
 plugins/cdrtools/burn-mkisofs.h           |   40 +++++++++++++++------------
 plugins/cdrtools/burn-readcd.c            |   40 +++++++++++++++------------
 plugins/cdrtools/burn-readcd.h            |   40 +++++++++++++++------------
 plugins/checksum/burn-checksum-files.c    |   40 +++++++++++++++------------
 plugins/checksum/burn-checksum-files.h    |   40 +++++++++++++++------------
 plugins/checksum/burn-checksum-image.c    |   40 +++++++++++++++------------
 plugins/checksum/burn-checksum-image.h    |   40 +++++++++++++++------------
 plugins/checksum/burn-volume-read.c       |   31 ++++++++++++---------
 plugins/checksum/burn-volume-read.h       |   31 ++++++++++++---------
 plugins/dvdauthor/burn-dvdauthor.c        |   32 +++++++++++++---------
 plugins/dvdauthor/burn-dvdauthor.h        |   32 +++++++++++++---------
 plugins/dvdcss/burn-dvdcss-private.h      |   32 ++++++++++++---------
 plugins/dvdcss/burn-dvdcss.c              |   42 +++++++++++++++-------------
 plugins/dvdcss/burn-dvdcss.h              |   40 +++++++++++++++------------
 plugins/growisofs/burn-dvd-rw-format.c    |   40 +++++++++++++++------------
 plugins/growisofs/burn-dvd-rw-format.h    |   40 +++++++++++++++------------
 plugins/growisofs/burn-growisofs-common.h |   31 ++++++++++++---------
 plugins/growisofs/burn-growisofs.c        |   43 +++++++++++++++-------------
 plugins/growisofs/burn-growisofs.h        |   40 +++++++++++++++------------
 plugins/libburnia/burn-libburn-common.c   |   40 +++++++++++++++------------
 plugins/libburnia/burn-libburn-common.h   |   40 +++++++++++++++------------
 plugins/libburnia/burn-libburn.c          |   41 +++++++++++++++-------------
 plugins/libburnia/burn-libburn.h          |   40 +++++++++++++++------------
 plugins/libburnia/burn-libburnia.h        |   30 ++++++++++++--------
 plugins/libburnia/burn-libisofs.c         |   40 ++++++++++++++-------------
 plugins/libburnia/burn-libisofs.h         |   40 +++++++++++++++------------
 plugins/local-track/burn-local-image.c    |   40 +++++++++++++++------------
 plugins/local-track/burn-local-image.h    |   40 +++++++++++++++------------
 plugins/local-track/burn-uri.c            |   40 +++++++++++++++------------
 plugins/local-track/burn-uri.h            |   40 +++++++++++++++------------
 plugins/transcode/burn-normalize.c        |   32 +++++++++++++---------
 plugins/transcode/burn-normalize.h        |   32 +++++++++++++---------
 plugins/transcode/burn-transcode.c        |   40 +++++++++++++++------------
 plugins/transcode/burn-transcode.h        |   40 +++++++++++++++------------
 plugins/transcode/burn-vob.c              |   32 +++++++++++++---------
 plugins/transcode/burn-vob.h              |   32 +++++++++++++---------
 plugins/vcdimager/burn-vcdimager.c        |   35 +++++++++++++++--------
 plugins/vcdimager/burn-vcdimager.h        |   35 +++++++++++++++--------
 58 files changed, 1208 insertions(+), 942 deletions(-)

commit 3531ad1a2f62246f83b8f0c1b1a4c3820e4ee2d2
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sun Jul 12 12:43:08 2009 +0200

    Fix #573486 – Various i18n and string issues for good
    String like "Audio and data %s" became "Audio and data disc (%s)" where %s is the disc type to allow translation in some languages

 libbrasero-media/brasero-volume.c |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit bf60590b68cf23ec331ad28196b8bd7a4db359ea
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sun Jul 12 12:39:12 2009 +0200

    Patch to address some of the string issues raised in #573486 – Various i18n and string issues

 data/brasero.schemas.in                    |    8 ++++----
 libbrasero-burn/brasero-burn-dialog.c      |    5 +++--
 libbrasero-burn/brasero-burn-options.c     |    8 ++++----
 libbrasero-burn/brasero-image-properties.c |    2 +-
 libbrasero-burn/brasero-src-image.c        |    8 ++++----
 libbrasero-burn/brasero-track-data-cfg.c   |    2 +-
 libbrasero-burn/burn-process.c             |    2 +-
 libbrasero-media/brasero-volume.c          |    2 +-
 src/brasero-filter-option.c                |    4 ++--
 9 files changed, 21 insertions(+), 20 deletions(-)

commit 327bcf77346e045fbc6c3a630a55aac4ec97afed
Author: Runa Bhattacharjee <runab@redhat.com>
Date:   Mon Jul 13 18:27:20 2009 +0530

    Merged the Bengali India Translations

 po/bn_IN.po | 5358 ++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 2906 insertions(+), 2452 deletions(-)

commit bb83cabf364597fcf70f304ea43106d17a6e54ea
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Sun Jul 12 13:08:38 2009 +0200

    Updated Spanish translation

 po/es.po | 7451 +++++++++++++++++++++++++++++++++++++++++++++++++-------------
 1 files changed, 5926 insertions(+), 1525 deletions(-)

commit 36be76b7bed10c0c09b29cb53ead8099d64f956e
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Sun Jul 12 13:06:22 2009 +0200

    Updated Spanish translation

 po/es.po | 7359 +++++++++++++-------------------------------------------------
 1 files changed, 1512 insertions(+), 5847 deletions(-)

commit b69f7e9374bb850175e28624e8c99d13f53da13b
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Sun Jul 12 15:06:33 2009 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

 po/zh_HK.po | 5728 +++++++++++++++++++++++++++++-----------------------------
 po/zh_TW.po | 5804 +++++++++++++++++++++++++++++------------------------------
 2 files changed, 5725 insertions(+), 5807 deletions(-)

commit a86eacb6c9281f03961fdd3e36639094e4060e3d
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sat Jul 11 19:02:37 2009 +0200

    Fix #573801 – Bad error message when burning empty burn:///
    Changed all strings that could appear and be used outside of brasero itself so they won't contain the word project

 libbrasero-burn/brasero-burn-options.c   |   37 ++++++++++++++---------------
 libbrasero-burn/brasero-status-dialog.c  |    8 +++---
 libbrasero-burn/brasero-track-data-cfg.c |    4 +-
 libbrasero-burn/brasero-track-data.c     |    2 +-
 libbrasero-burn/brasero-track-stream.c   |    2 +-
 nautilus/nautilus-burn-extension.c       |    2 +-
 src/brasero-data-disc.c                  |   22 +++++++++---------
 src/brasero-project.c                    |    4 +-
 8 files changed, 40 insertions(+), 41 deletions(-)

commit 4c84fc1145937a68094f68974f88bb351d4616e6
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sat Jul 11 18:07:33 2009 +0200

    Fix previous session loading and unloading in data project
    Prevent multiple useless calls to brasero_drive_lock () and brasero_drive_unlock ()

 libbrasero-burn/brasero-enums.h       |    4 +-
 libbrasero-burn/brasero-session-cfg.c |   67 +++++++++++++++++++++++----------
 2 files changed, 49 insertions(+), 22 deletions(-)

commit c34bbaee5a3ec82772904a2afb279ba294646c9e
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Fri Jul 10 19:07:57 2009 +0200

    Have BraseroTrackDataCfg tell that something has changed when the contents of a previous session is being merged

 libbrasero-burn/brasero-track-data-cfg.c |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)

commit 11503ad89da2ea3ce84904e964332f6f213cc03d
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Fri Jul 10 15:41:33 2009 +0200

    Remove unneeded files

 libbrasero-media/burn-hal-watch.c |  256 -------------------------------------
 libbrasero-media/burn-hal-watch.h |   73 -----------
 2 files changed, 0 insertions(+), 329 deletions(-)

commit 003d8235ea890a612c2109c93522c01625344864
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Mon Jul 6 21:41:57 2009 +0200

    Remove brasero_drive_new () as we don't need it
    Make UDI property writable at construction time again

 libbrasero-media/brasero-drive.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit e26a19462b75a05f10c2138811741eddbbaea309
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Mon Jul 6 13:13:27 2009 +0200

    Don't use udi anymore when creating or scanning for drives but a GDrive instead

 libbrasero-media/brasero-drive.c          |    3 +-
 libbrasero-media/brasero-medium-monitor.c |   43 +++++++++++++++++++++++++++++
 2 files changed, 45 insertions(+), 1 deletions(-)

commit 02d31a74b6d92d1fa8548775e8792a4f23efd9e2
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Fri Jul 10 15:34:10 2009 +0200

    Fix #581742 – port from HAL to DeviceKit-disks
    Remove last bits and pieces for HAL support and only relies on GIO from now on

 configure.in                              |    8 --
 docs/reference/Makefile.am                |    5 +-
 libbrasero-burn/burn-job.c                |   20 ------
 libbrasero-burn/burn-job.h                |    3 -
 libbrasero-media/Makefile.am              |    8 +--
 libbrasero-media/brasero-drive.c          |  101 ++---------------------------
 libbrasero-media/brasero-medium-monitor.c |    6 --
 nautilus/Makefile.am                      |    3 +-
 plugins/cdrdao/burn-cdrdao.c              |   12 ----
 plugins/cdrtools/burn-readcd.c            |    5 --
 10 files changed, 9 insertions(+), 162 deletions(-)

commit fb0f2298e99b79320894b450fe97b4b67802bbb6
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Fri Jul 10 14:31:50 2009 +0200

    lock/unlock drive tray through MMC commands and not HAL

 libbrasero-media/Makefile.am                       |    3 +-
 libbrasero-media/brasero-drive.c                   |   64 +++++---------
 libbrasero-media/brasero-medium-monitor.c          |    2 +-
 libbrasero-media/brasero-volume.c                  |    1 -
 libbrasero-media/scsi-opcodes.h                    |    6 ++
 .../scsi-prevent-allow-medium-removal.c            |   93 ++++++++++++++++++++
 libbrasero-media/scsi-sbc.h                        |    5 +
 7 files changed, 131 insertions(+), 43 deletions(-)

commit 995880a3fac606eb14e829c8b6fc2471a2de507c
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Thu Jul 9 21:13:02 2009 +0200

    Remove use of HAL from the medium monitor
    Implement INQUIRY (MMC command) to retrieve the drive category

 libbrasero-media/Makefile.am              |    3 +-
 libbrasero-media/brasero-drive.c          |    3 +-
 libbrasero-media/brasero-medium-monitor.c |  212 +++++++++++------------------
 libbrasero-media/scsi-inquiry.c           |  109 +++++++++++++++
 libbrasero-media/scsi-spc1.h              |    4 +
 5 files changed, 198 insertions(+), 133 deletions(-)

commit 77f5d05e497e1b308430224ac132597b37899f33
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Wed Jul 8 20:22:24 2009 +0200

    Remove useless private API

 libbrasero-media/brasero-drive.c  |    6 ------
 libbrasero-media/brasero-volume.c |   19 -------------------
 2 files changed, 0 insertions(+), 25 deletions(-)

commit 14f88a647b494b2580b5717d9587cb05014e61c7
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Wed Jul 8 20:16:26 2009 +0200

    Use MMC command to get the drive capabilities instead of HAL

 libbrasero-media/brasero-drive.c          |  262 +++++++++++++++++++++++++----
 libbrasero-media/brasero-drive.h          |    2 +-
 libbrasero-media/scsi-get-configuration.h |    4 +-
 libbrasero-media/scsi-sg.c                |    3 +
 4 files changed, 237 insertions(+), 34 deletions(-)

commit 876f73a11e0f7dd67ebb946f038a09e1e56a929c
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Mon Jul 6 21:41:57 2009 +0200

    Remove brasero_drive_new () as we don't need it
    Make UDI property writable at construction time again

 libbrasero-media/brasero-drive.c          |   17 ++++-------------
 libbrasero-media/brasero-medium-monitor.c |   15 +++++++++------
 2 files changed, 13 insertions(+), 19 deletions(-)

commit f10d36777865be9d890a31f4e547e5e76a565971
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Mon Jul 6 14:43:42 2009 +0200

    Add a way to check whether a medium can be blanked through MMC commands

 libbrasero-media/brasero-drive.c  |   17 ++++------
 libbrasero-media/brasero-medium.c |   57 +++++++++++++++++++++---------------
 2 files changed, 40 insertions(+), 34 deletions(-)

commit 65bbb22d1e3965a23a5c58d0a344f134fde123ef
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Mon Jul 6 13:13:27 2009 +0200

    Don't use udi anymore when creating or scanning for drives but a GDrive instead

 libbrasero-media/brasero-drive.c          |  116 ++++++++---------------------
 libbrasero-media/brasero-medium-monitor.c |   70 +++++++++++++++++-
 2 files changed, 98 insertions(+), 88 deletions(-)

commit f752e564e6675330df492bbd7e0fd516c17ccef4
Author: drtvasudevan <agnihot3@gmail.com>
Date:   Thu Jul 9 17:30:43 2009 +0530

    Updated Tamil translation

 po/ta.po |  324 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 172 insertions(+), 152 deletions(-)

commit ca8f56123e6aa93a35b0742f8172a5f44957946c
Author: Maxim V. Dziumanenko <dziumanenko@gmail.com>
Date:   Thu Jul 9 13:46:31 2009 +0300

    Updated Ukrainian translation

 po/uk.po | 2837 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 1521 insertions(+), 1316 deletions(-)

commit c54dd9f60a335e316497c2c7d99f7fb7d0a94183
Author: Daniel Nylander <po@danielnylander.se>
Date:   Tue Jul 7 02:09:18 2009 +0200

    Updated Swedish translation

 help/sv/sv.po |    7 +++----
 1 files changed, 3 insertions(+), 4 deletions(-)

commit d72cee77a754960a00feeab5cf8d0e4f63230ec9
Author: Daniel Nylander <po@danielnylander.se>
Date:   Tue Jul 7 02:07:30 2009 +0200

    Updated Swedish translation

 po/sv.po | 1574 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 812 insertions(+), 762 deletions(-)

commit 3776321677ef7f089e3131698edceb5bdc5f05e8
Author: Jorge Gonzalez <jorgegonz@svn.gnome.org>
Date:   Sun Jul 5 11:34:04 2009 +0200

    Updated Spanish translation

 po/es.po |  420 +++++++++++++++++++++++++++++++------------------------------
 1 files changed, 213 insertions(+), 207 deletions(-)

commit 6a640ce518362e605bf34b7fcf9986136aaf7f9d
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Fri Jul 3 15:04:09 2009 +0200

    Make the Image option dialog behave like the Drive option dialog (read hide main window)

 src/brasero-project.c |    7 +++----
 1 files changed, 3 insertions(+), 4 deletions(-)

commit b4d5a57ccd4e90f7aab7ad74816bf053529be22a
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Fri Jul 3 14:48:40 2009 +0200

    Make sure the BraseroImageProperties respect the video image type that is set in the session

 libbrasero-burn/brasero-image-properties.c   |   19 ++++++++++--
 libbrasero-burn/brasero-image-type-chooser.c |   40 +++++++++++++++++++++++++-
 libbrasero-burn/brasero-image-type-chooser.h |    6 +++-
 3 files changed, 60 insertions(+), 5 deletions(-)

commit db0a91bcb79b4c7744d3273045b15413e4f032b4
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Fri Jul 3 13:56:15 2009 +0200

    Properly load video project
    Since when we load a project a BraseroTrackStream has no format yet, set a fake video one that will be overriden after the proper sniffing of the format

 src/brasero-project-parse.c |   14 +++++++++++---
 1 files changed, 11 insertions(+), 3 deletions(-)

commit 3dfcc08e2e3b4b79d2d301301a506ef3854a947b
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Fri Jul 3 13:37:23 2009 +0200

    Killed some warnings

 src/brasero-project.c |   13 +++++++++----
 1 files changed, 9 insertions(+), 4 deletions(-)

commit 5a0afdb71767cf19ceaf13c46975333d8c080c61
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Fri Jul 3 10:44:36 2009 +0200

    Improve alignment of image type widget with all other widget from GtkFileChooser

 libbrasero-burn/brasero-image-properties.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 6e1bbff325721fa94466933b6c32dd9767afd31f
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Fri Jul 3 10:41:29 2009 +0200

    Set focus on the disc name entry by default

 src/brasero-project.c |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

commit 2dba461af55237fda2c082c184328f7fa6ed9385
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Fri Jul 3 10:23:53 2009 +0200

    When burning a video image don't let the user choose between cue, iso image but between SVCD, VCD or DVD video image which is probably clearer

 libbrasero-burn/brasero-image-properties.c   |   36 +++++++++++++++-
 libbrasero-burn/brasero-image-type-chooser.c |   57 ++++++++++++++++++++++----
 libbrasero-burn/brasero-image-type-chooser.h |    5 ++-
 libbrasero-burn/brasero-src-image.c          |    2 +-
 4 files changed, 88 insertions(+), 12 deletions(-)

commit affa81cc39a95435e1c237e66f7287a5cb45516b
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Fri Jul 3 09:37:19 2009 +0200

    Don't show autodetect in image type chooser when it's representing the output of the image the user wants to create

 libbrasero-burn/brasero-image-properties.c   |    8 +++-----
 libbrasero-burn/brasero-image-type-chooser.c |   15 +++++++++------
 libbrasero-burn/brasero-image-type-chooser.h |    3 ++-
 libbrasero-burn/brasero-session-cfg.c        |   11 -----------
 libbrasero-burn/brasero-session-cfg.h        |    3 ---
 libbrasero-burn/brasero-src-image.c          |    2 +-
 6 files changed, 15 insertions(+), 27 deletions(-)

commit 87fcab263b7b0cbf27007de83c046a966e92b0af
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Thu Jul 2 16:08:22 2009 +0200

    Add video options back to the options dialog when we burn to a disc

 libbrasero-burn/brasero-video-options.c |   47 +++++++++++++++++++++---------
 libbrasero-burn/brasero-video-options.h |    4 ++
 libbrasero-media/brasero-drive.c        |    1 -
 src/brasero-project.c                   |   28 ++++++++++++++++--
 4 files changed, 62 insertions(+), 18 deletions(-)

commit 98eec2a4a93fe38200ae04a9a219a8268ed38396
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Thu Jul 2 15:59:30 2009 +0200

    Fix #574093 – Caret visible in instructions for project creation
    Us a GtkTreeView instead of a GtkLabel
    One potential problems: we can't ellipsize, and orca seems to only read the last part of the message

 src/brasero-project.c |  196 ++++++++++++++++++++++++++-----------------------
 1 files changed, 103 insertions(+), 93 deletions(-)

commit f609343d3a5478b0511176a44382ebfa76644dcf
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Thu Jul 2 11:24:47 2009 +0200

    Try to fix a couple of problems between libisofs and symlinks
    when 2 symlinks in a directory point to the same target there is an error since mkisofs uses the target name and not the symlink name to check whether the name already exists

 plugins/libburnia/burn-libisofs.c |   24 +++++++++++-------------
 src/brasero-video-disc.c          |    3 ++-
 2 files changed, 13 insertions(+), 14 deletions(-)

commit acc48ba8448d6812242aa2be7a97417745608bfb
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Wed Jul 1 20:43:39 2009 +0200

    Display data project contents when a new empty directory is created while help is being shown

 libbrasero-burn/brasero-track-data-cfg.c |    7 ++++++-
 1 files changed, 6 insertions(+), 1 deletions(-)

commit 3e63184f42c35d5648098a64a28188e8af848e91
Author: drtvasudevan <agnihot3@gmail.com>
Date:   Fri Jul 3 14:52:19 2009 +0530

    Updated Tamil translation

 po/ta.po | 1445 ++++++++++++++++++++++++++++++--------------------------------
 1 files changed, 704 insertions(+), 741 deletions(-)

commit b6ea2a3da6931941b6750d0d775f17ccfb0944ae
Author: Mattias Põldaru <mahfiaz gmail com>
Date:   Thu Jul 2 05:27:02 2009 +0300

    Updating Estonian translation

 po/et.po |   12 ++++++------
 1 files changed, 6 insertions(+), 6 deletions(-)

commit 9a0efd0254ad871080d065fadd425c3b711c82b7
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Wed Jul 1 11:07:53 2009 +0200

    Fix #587284 – nautilus hangs every time
    Make sure libbrasero-burn initializes itself the libraries it depends on so that anything linking to it doesn't have to do it itself.

 libbrasero-burn/Makefile.am           |    5 +++--
 libbrasero-burn/brasero-burn-lib.h.in |    3 ++-
 libbrasero-burn/burn-basics.c         |   23 ++++++++++++++++++++---
 nautilus/nautilus-burn-extension.c    |    2 +-
 src/main.c                            |   16 ++++------------
 5 files changed, 30 insertions(+), 19 deletions(-)

commit 2fd0f5a60e2d754224d8b674f6dc59c3d0b81bea
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Wed Jul 1 10:23:52 2009 +0200

    Fix for a possible crash with an unitialized variable

 libbrasero-burn/burn-mkisofs-base.c |    3 +--
 1 files changed, 1 insertions(+), 2 deletions(-)

commit 4bc7836e85b3c9661f7e5d59489838a4aaf57ff4
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Mon Jun 29 21:10:57 2009 +0200

    Fix #582461 – Brasero hangs at normalizing tracks

 plugins/transcode/burn-normalize.c |  413 ++++++++++++++++++------------------
 1 files changed, 206 insertions(+), 207 deletions(-)

commit fc1d7e2ff27ae5b1aa17cc9ab24764b6d7a72778
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sun Jun 28 19:57:01 2009 +0200

    Fix a warning

 libbrasero-media/brasero-drive.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit ca5358d3163b740ffbc2fb3f8859667d5fe2660d
Author: Jorge Gonzalez <jorgegonz@svn.gnome.org>
Date:   Sun Jun 28 16:21:17 2009 +0200

    Updated Spanish translation

 po/es.po |  254 +++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 137 insertions(+), 117 deletions(-)

commit d0942e281bcdf515dfd26ce6632ff694ace37576
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sun Jun 28 15:30:16 2009 +0200

    Fix #554070 – The need of a "replace all" and "replace non" button

 src/brasero-data-disc.c |   39 +++++++++++++++++++++++++++++++++------
 1 files changed, 33 insertions(+), 6 deletions(-)

commit 51c1a7d169a88218492220d67620bc008053e66b
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sun Jun 28 15:10:58 2009 +0200

    Fix #585481 – Deep hierarchy warning

 src/brasero-data-disc.c |   39 ++++++++++++++++++++++++++++++++++++++-
 1 files changed, 38 insertions(+), 1 deletions(-)

commit e32f7c237b4424a4813109616bd5fec9bce26444
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sun Jun 28 09:47:50 2009 +0200

    Change height of GtkEntry to match the ones of the selector and button below it

 src/brasero-project.c |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

commit 1476443345fb6ba77989670606f13cb6d4af4266
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sun Jun 28 09:47:07 2009 +0200

    Fix memleak
    For BraseroTrackDataCfg allow some sort of caching for grafts nodes and excluded URIs

 libbrasero-burn/brasero-track-data-cfg.c |   50 +++++++++++++++++++++++++-----
 1 files changed, 42 insertions(+), 8 deletions(-)

commit f67a68710f4ce85fab04f4b77a87c1a7a5156153
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sun Jun 28 09:43:55 2009 +0200

    Fix memleak with growisofs

 plugins/growisofs/burn-growisofs.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 7c1c7c3000033b00a5f785d21dbdf94c7e9efcc1
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sun Jun 28 09:42:19 2009 +0200

    Fix memleak

 libbrasero-burn/brasero-drive-properties.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 762b2925187806129bac48bcd89b02d883c31e80
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sat Jun 27 20:50:10 2009 +0200

    Fix memleak

 libbrasero-burn/brasero-track-data-cfg.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit a7668161fac73605bcf68787c8c18b769fe41953
Author: Mattias Põldaru <mahfiaz gmail com>
Date:   Sat Jun 27 21:22:11 2009 +0300

    Updating Estonian translation

 po/et.po |   99 +++++++++++++++++++++++++++++--------------------------------
 1 files changed, 47 insertions(+), 52 deletions(-)

commit 8d208ee6f6a9b5b6fba0b0f16429c3eaa51214e8
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sat Jun 27 20:02:46 2009 +0200

    Fix a problem with displaying the amount of free space on DVD+R (and probably all kinds of blank media)

 libbrasero-burn/brasero-dest-selection.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 7cd8b7ba4adefd6a619576ef39e6b2c37c0ebea6
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sat Jun 27 20:02:10 2009 +0200

    Remove dead code

 src/brasero-project.c |    8 +-------
 1 files changed, 1 insertions(+), 7 deletions(-)

commit 3a99bb1076a97cc39504290c3d040e964ebb5689
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sat Jun 27 14:02:57 2009 +0200

    Try to use Gdrive as much as possible as a first step to move away from HAL

 libbrasero-media/brasero-drive.c |  366 +++++++++++++++++---------------------
 1 files changed, 159 insertions(+), 207 deletions(-)

commit 8106f933a5363a7c0f5e491684b31628db355372
Author: Jorge Gonzalez <jorgegonz@svn.gnome.org>
Date:   Sat Jun 27 15:09:09 2009 +0200

    Updated Spanish translation

 po/es.po | 1294 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 655 insertions(+), 639 deletions(-)

commit c721eb5502ba49d7d62cd2242805857f19280671
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Fri Jun 26 12:00:05 2009 +0200

    Fix #485719 – Burn dialog CD icon

 libbrasero-burn/brasero-burn-dialog.c |    9 +--------
 1 files changed, 1 insertions(+), 8 deletions(-)

commit cbf6bf4693000db3485d6dc494733c348082718f
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Fri Jun 26 11:42:33 2009 +0200

    Fix #563501 – Brasero burning window shouldn't try to show drive speed while is converting audio files
    Hide the speed information completely when it's not needed

 libbrasero-burn/brasero-progress.c |   24 ++++++++++++++++++------
 1 files changed, 18 insertions(+), 6 deletions(-)

commit be99b77512189d9bc32229e7fc0bc2773fe1b0c4
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Fri Jun 26 10:51:53 2009 +0200

    Fix #580617 – Brasero floods .xsession-errors log with "Unknown (or already deleted) monitored directory" warnings

 libbrasero-burn/brasero-file-monitor.c |   10 +++++++---
 1 files changed, 7 insertions(+), 3 deletions(-)

commit 544b209f24cc0fe7fc085d0cb7605ac01c0fa3b7
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Fri Jun 26 10:31:09 2009 +0200

    Fix #584793 – Poor language in warning dialog when attempting to burn an audio CD onto a CDRW

 libbrasero-burn/brasero-burn-dialog.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit e7d2efd27e65dcb64e1a04d17cfc37aaf256d355
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Fri Jun 26 10:07:11 2009 +0200

    Fix build that had been broken by a former patch

 nautilus/nautilus-burn-extension.c |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 1e6ebcbbed05064d1ad74854ebdcd0b0b4026659
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Fri Jun 26 10:03:56 2009 +0200

    Fix #586744 – Use AS_HELP_STRING for configure switches
    Patch by Mikel Olasagasti

 configure.in |   20 ++++++++++----------
 1 files changed, 10 insertions(+), 10 deletions(-)

commit 3bf199cf57c4bd1d9a46fc3f5c7751f34e92a922
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Fri Jun 26 09:58:33 2009 +0200

    Fix #585190 – remove 0 from 03 % status

 libbrasero-burn/brasero-tray.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit b9a6d456b7594a833f2970262677f947a74cb528
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Fri Jun 26 09:40:55 2009 +0200

    Fix #573805 – "Increase compatibility with Windows systems"?
    Remove the checkbox from burn options dialog that dealt with Windows compatibility and replace it with a dialog that pops up when a non compliant name is detected

 libbrasero-burn/Makefile.am             |    2 -
 libbrasero-burn/brasero-burn-options.c  |    3 +-
 libbrasero-burn/brasero-data-options.c  |  391 -------------------------------
 libbrasero-burn/brasero-data-options.h  |   69 ------
 libbrasero-burn/brasero-status-dialog.c |  142 +++++++++++
 nautilus/nautilus-burn-extension.c      |   14 +-
 po/POTFILES.in                          |    1 -
 7 files changed, 144 insertions(+), 478 deletions(-)

commit 754059a0891cbfdd6228c957f704f7d434df57ac
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Wed Jun 24 20:36:35 2009 +0200

    Fix 582513 – Bogus VIDEO_TS directory error if AUDIO_TS directory present
    Now video DVD should work from burn:// URI

 libbrasero-burn/brasero-session.c   |    2 +-
 libbrasero-burn/burn-mkisofs-base.c |   80 +++++++++++++++++++++++++++++++----
 2 files changed, 72 insertions(+), 10 deletions(-)

commit 4b6843c82b02f78db2fb6cb44319e88922c338ff
Author: Mattias Põldaru <mahfiaz gmail com>
Date:   Fri Jun 26 10:36:39 2009 +0300

    Updating Estonian translation

 po/et.po |  283 +++++++++++++++++++++++++++++--------------------------------
 1 files changed, 135 insertions(+), 148 deletions(-)

commit 4469af3e0a6a0fa45845a313ca0f9278980f51f0
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Wed Jun 24 11:22:52 2009 +0200

    Make the icon selection appear in the GtkEntry with nautilus extension

 nautilus/nautilus-burn-extension.c |    5 ++++-
 src/brasero-project-name.c         |    3 ++-
 2 files changed, 6 insertions(+), 2 deletions(-)

commit e12e8efb130cf390177a547ade9c45fcc46ab2da
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Wed Jun 24 11:11:46 2009 +0200

    Fix double unref in nautilus extension

 libbrasero-burn/brasero-burn-options.c |    4 ++--
 nautilus/nautilus-burn-extension.c     |    6 +++---
 2 files changed, 5 insertions(+), 5 deletions(-)

commit 84e382aebb2a1a9273a3ea8a6074798725b5d76f
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Tue Jun 23 21:28:19 2009 +0200

    Fix a few strings

 src/brasero-app.c           |    1 -
 src/brasero-project-parse.c |   10 +++++-----
 2 files changed, 5 insertions(+), 6 deletions(-)

commit e1b48fdfc2f77666f8a9f00e2a1f87770b6a700e
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Tue Jun 23 21:21:13 2009 +0200

    Fix use of functions that were only in brasero not in nautilus extension

 src/brasero-project-name.c |   27 +++++++++++----------------
 1 files changed, 11 insertions(+), 16 deletions(-)

commit 5fe480c4ff801354fc32f5d61c877f86f3e5ffa9
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Tue Jun 23 20:57:49 2009 +0200

    Make the widget to select discs the same size as the button on the right

 libbrasero-burn/brasero-burn-options.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 383b92e77755a2337720d6656e6cdefc872025d6
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Tue Jun 23 18:20:50 2009 +0200

    Add checks for disc flags
    Sometimes when things fails (with wodim) it can happen that the disc is flagged as APPENDABLE UNFORMATTED: don't allow it

 libbrasero-media/brasero-medium.c |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

commit 00af68e556bc8d2dfbab093e629f60ce9aaef66d
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Tue Jun 23 18:03:43 2009 +0200

    Don't set DAO for DVDs
    DAO doesn't help for anything and leads to have wodim chosen instead of growisofs which we don't want
    Also remove a debug statement

 libbrasero-burn/brasero-session-cfg.c |    7 +++++--
 libbrasero-burn/burn-job.c            |    1 -
 2 files changed, 5 insertions(+), 3 deletions(-)

commit c3e2857f8a4ba8a0b1ab1a5e0dd15b7368f2ab5d
Author: Tomasz Dominikowski <tdominikowski@aviary.pl>
Date:   Mon Jun 22 22:33:29 2009 +0200

    Updated Polish translation

 po/pl.po | 5630 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 2796 insertions(+), 2834 deletions(-)

commit 7ecbd235841e7176853f209af79baf93f4704bfb
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Mon Jun 22 22:03:22 2009 +0200

    Fix #582261 – brasero shows 0% done, while continues burning disc
    Fixed an overflow in variable that stopped wodim/cdrecord to work properly for a size over 2GiB

 libbrasero-burn/burn-job.c       |   10 ++++----
 libbrasero-burn/burn-job.h       |    8 +++---
 libbrasero-burn/burn-task-ctx.c  |    8 +++---
 plugins/cdrkit/burn-wodim.c      |   49 +++++++++++++++++++++++--------------
 plugins/cdrtools/burn-cdrecord.c |   49 +++++++++++++++++++++++--------------
 5 files changed, 73 insertions(+), 51 deletions(-)

commit 347be2213c940e3f3200a3d01f8b3622ffeb3f00
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Mon Jun 22 21:00:08 2009 +0200

    Don't add a file to the first folder if nothing is selected

 src/brasero-data-disc.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 986ea1cb408fe8fe585c1b695210ade14c9c1597
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Mon Jun 22 20:40:50 2009 +0200

    Fix project loading/saving

 src/brasero-project.c |   19 +++++++++++++------
 1 files changed, 13 insertions(+), 6 deletions(-)

commit 09b5e6ba5664515dde62080e96e86c65c13b8233
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Mon Jun 22 20:31:38 2009 +0200

    Unref session in name display widget

 src/brasero-project-name.c |   13 ++-----------
 1 files changed, 2 insertions(+), 11 deletions(-)

commit d5895801382e955563ae1303f34d2dbcdc778a67
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Mon Jun 22 20:26:30 2009 +0200

    Unref the session object when project type changes
    Make two widgets accept having a session set not only at construct time so we now unref the project session every time the project type changes

 libbrasero-burn/brasero-dest-selection.c |    2 -
 src/brasero-project-name.c               |   80 ++++++++++++++++-----
 src/brasero-project-name.h               |    4 +
 src/brasero-project.c                    |  114 ++++++++++++++----------------
 4 files changed, 119 insertions(+), 81 deletions(-)

commit c131ef3380957b2cc377594019f8559ac1c0f495
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Mon Jun 22 20:00:40 2009 +0200

    Update POTFILES.in
    Patch by  Tomasz Dominikowski

 po/POTFILES.in |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit caa5ae87c3f7fff994016f8c0a944cbaa6d1e54f
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Mon Jun 22 18:37:19 2009 +0200

    Remove some dead code and make sure the help widget is shown when emptying a data project

 libbrasero-burn/brasero-session-cfg.c    |    1 +
 libbrasero-burn/brasero-track-data-cfg.c |    2 +
 src/brasero-data-disc.c                  |   14 -
 src/brasero-disc.c                       |  456 ------------------------------
 src/brasero-disc.h                       |   20 --
 5 files changed, 3 insertions(+), 490 deletions(-)

commit 4aa88c9fcbcfdce18946168d6257c39f224ae03e
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Mon Jun 22 18:22:16 2009 +0200

    Try to improve progress reporting when transcoding

 plugins/transcode/burn-vob.c |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

commit b384863aed5d750107559ba86be3ff1fc53969e6
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Mon Jun 22 18:13:08 2009 +0200

    Don't show expanders for loading nodes in data project

 libbrasero-burn/brasero-track-data-cfg.c |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit bdefbcf81a7262fd1bd65869ef9900d066d0d68d
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Mon Jun 22 18:05:51 2009 +0200

    Fix a warning and don't ask the user about saving the project if it was the last saved project

 src/brasero-project.c |   12 ++++++++----
 1 files changed, 8 insertions(+), 4 deletions(-)

commit 0b20c634cc574f3a8b6a26557aab40a27998a2f9
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sun Jun 21 23:04:42 2009 +0200

    Last fix for building

 libbrasero-burn/Makefile.am              |    3 +--
 libbrasero-burn/brasero-track-data-cfg.c |   19 +++++++++++++++++++
 libbrasero-utils/Makefile.am             |    3 +--
 3 files changed, 21 insertions(+), 4 deletions(-)

commit f7a93314b7ff2f2b46c14c3580684c7382652351
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sun Jun 21 22:55:55 2009 +0200

    Fix for building brasero after last merge

 src/brasero-data-disc.c |   67 +++++++++++++---------------------------------
 1 files changed, 19 insertions(+), 48 deletions(-)

commit 99cf7e2109907c02f774a58f45ef3706dc7dd897
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sun Jun 21 22:55:22 2009 +0200

    Fix for building nautilus extension

 nautilus/nautilus-burn-extension.c |    9 ++++-----
 1 files changed, 4 insertions(+), 5 deletions(-)

commit 668cc4fcbb66b50f2f01e30a0969aad8e9c05c4a
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sun Jun 21 20:47:13 2009 +0200

    Remove unnecessary function and set image filter active when choosing an icon for the image

 libbrasero-burn/brasero-track-data-cfg.c |   20 --------------------
 libbrasero-burn/brasero-track-data-cfg.h |    2 --
 src/brasero-project-name.c               |   10 +++++-----
 3 files changed, 5 insertions(+), 27 deletions(-)

commit 9d9f4cb0d5d037cccd31600153ce42c0a13c2af8
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sun Jun 21 18:00:43 2009 +0200

    Avoid having error after reprobing which was caused by the disc selection widget

 libbrasero-burn/brasero-burn.c           |    4 +-
 libbrasero-burn/brasero-dest-selection.c |  118 +++++++++++++++++-------------
 libbrasero-burn/brasero-dest-selection.h |    4 +
 libbrasero-burn/brasero-session-cfg.c    |    3 +-
 libbrasero-burn/burn-job.c               |    1 +
 plugins/growisofs/burn-dvd-rw-format.c   |    3 +-
 src/brasero-project.c                    |    6 ++
 7 files changed, 85 insertions(+), 54 deletions(-)

commit de70b9d6e1efb069f8216c6d412f8351e92f5db0
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sun Jun 21 16:01:51 2009 +0200

    Make image type selection actually work when writing an image

 libbrasero-burn/brasero-image-properties.c |   28 ++++++++++++++++------------
 1 files changed, 16 insertions(+), 12 deletions(-)

commit 10fe27e78dd8a0390dea66de6811c3a8cc1cf316
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sun Jun 21 15:51:36 2009 +0200

    Make burn button appear for images

 src/brasero-project.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit ca6b287813f7a522870414bf52720ca3fa5bc452
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sun Jun 21 15:14:26 2009 +0200

    Fix several warnings

 libbrasero-burn/brasero-session.c |   13 ++++++-------
 libbrasero-burn/brasero-session.h |    2 +-
 src/brasero-project.c             |    6 ++++--
 3 files changed, 11 insertions(+), 10 deletions(-)

commit bfd4e1e8eadde373ad55f6ef437a0996a6fb9a0c
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sun Jun 21 14:38:58 2009 +0200

    Fix the default name for a video project (that appeared with the default AUDIO project name)

 src/brasero-project-name.c |   21 +++++++++++++++++----
 src/brasero-project.c      |    9 +++++++++
 2 files changed, 26 insertions(+), 4 deletions(-)

commit bd8004f3e078894c1d674ba8f7685cca04917201
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sun Jun 21 14:32:34 2009 +0200

    Quiet some warnings with video project

 src/brasero-video-disc.c       |    2 --
 src/brasero-video-tree-model.c |   39 +++++++++++++++++++++++++++++----------
 2 files changed, 29 insertions(+), 12 deletions(-)

commit 8f5a484a23058d037fb11c3c8d14a5634f65327d
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sun Jun 21 14:25:40 2009 +0200

    Disconnect signal handlers from session when audio project is not the current one

 src/brasero-audio-disc.c |    9 +++++++++
 1 files changed, 9 insertions(+), 0 deletions(-)

commit 0d50da75d2d6b0a137a9c9e4eac8c3455623b049
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sun Jun 21 14:16:51 2009 +0200

    Detach Video project from session (disconnect the signals handlers) when it's not the active project in use

 src/brasero-video-disc.c |    9 +++++++++
 1 files changed, 9 insertions(+), 0 deletions(-)

commit 58f3bd24e4e6a963d680e5f1591be6efb424495c
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sun Jun 21 13:52:25 2009 +0200

    Fix progress bar when it is not possible to determine the position in the stream while transcoding a video

 plugins/transcode/burn-vob.c |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit eafca4dd17113b30f36f37bac7791b06d13e56f2
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sun Jun 21 13:35:24 2009 +0200

    make the Clear project button work again

 src/brasero-project.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 52c41cbbc6ae05a54ffaa0328a3abd33dfe320d8
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sun Jun 21 13:32:16 2009 +0200

    Fix build for nautilus extension
    Rework brasero-project-name.c to make it rely entirely on the BraseroBurnSession object

 nautilus/nautilus-burn-extension.c |   15 ++++--
 src/brasero-project-name.c         |   82 ++++++++++++++++++++++++-----------
 src/brasero-project-name.h         |    7 ---
 src/brasero-project.c              |   20 ---------
 4 files changed, 66 insertions(+), 58 deletions(-)

commit 64701840527d4f7c8ae71f4480f24370acae8e68
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sun Jun 21 13:09:02 2009 +0200

    New layout for the UI:
    the medium selector is still inside the main window and on clicking burn a dialog appears to set the session burning options
    More graphical objects now relies on a BraseroBurnSession object
    API changes for BraseroBurnSession

 libbrasero-burn/brasero-burn-dialog.c       |    3 +-
 libbrasero-burn/brasero-burn-options.c      |    2 +-
 libbrasero-burn/brasero-burn.c              |    3 +-
 libbrasero-burn/brasero-caps-session.c      |   33 +
 libbrasero-burn/brasero-dest-selection.c    |   16 +-
 libbrasero-burn/brasero-image-properties.c  |  316 ++++--
 libbrasero-burn/brasero-image-properties.h  |   21 +-
 libbrasero-burn/brasero-medium-properties.c |  423 +-------
 libbrasero-burn/brasero-medium-properties.h |    4 +-
 libbrasero-burn/brasero-session-cfg.c       |  200 ++++-
 libbrasero-burn/brasero-session-cfg.h       |    8 +-
 libbrasero-burn/brasero-session.c           |   74 +-
 libbrasero-burn/brasero-session.h           |   17 +-
 libbrasero-burn/brasero-track-data-cfg.c    |   25 +-
 libbrasero-burn/brasero-track-stream-cfg.c  |    2 +-
 libbrasero-burn/burn-image-format.c         |    2 +-
 libbrasero-burn/burn-image-format.h         |    2 +-
 libbrasero-burn/burn-job.c                  |    3 +-
 src/brasero-audio-disc.c                    |  175 +---
 src/brasero-data-disc.c                     |  631 ++++-------
 src/brasero-data-disc.h                     |    7 -
 src/brasero-disc.c                          |   37 +-
 src/brasero-disc.h                          |   16 -
 src/brasero-project-manager.c               |   39 +-
 src/brasero-project-manager.h               |    2 +-
 src/brasero-project-name.c                  |  302 +++++-
 src/brasero-project-name.h                  |    4 +-
 src/brasero-project-parse.c                 |  916 ++++++++++++----
 src/brasero-project-parse.h                 |   76 +-
 src/brasero-project.c                       | 1589 ++++++++++-----------------
 src/brasero-project.h                       |    4 +-
 src/brasero-video-disc.c                    |  110 +--
 src/brasero-video-tree-model.c              |   27 +-
 src/main.c                                  |   19 +-
 34 files changed, 2496 insertions(+), 2612 deletions(-)

commit e1e0d03b35bd8ebb5834e0613c7fc47e5d879a75
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sun Jun 14 21:19:12 2009 +0200

    Ported audio project to use the same GtkTreeModel backend as video project

 libbrasero-burn/brasero-error.h            |    1 +
 libbrasero-burn/brasero-tags.h             |    1 +
 libbrasero-burn/brasero-track-stream-cfg.c |  121 ++
 libbrasero-burn/brasero-track-stream.c     |   13 +-
 libbrasero-burn/brasero-track-stream.h     |   12 +-
 src/brasero-audio-disc.c                   | 2937 ++++------------------------
 src/brasero-data-disc.c                    |    3 +
 src/brasero-disc.c                         |   12 +-
 src/brasero-disc.h                         |    5 +-
 src/brasero-project.c                      |   26 +-
 src/brasero-song-properties.h              |    1 +
 src/brasero-video-disc.c                   |   36 +-
 src/brasero-video-tree-model.c             |  522 +++++-
 src/brasero-video-tree-model.h             |   12 +-
 14 files changed, 1061 insertions(+), 2641 deletions(-)

commit e335c6be70251081367d480d453b5f7f502b43d4
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sat Jun 13 16:15:48 2009 +0200

    Fix a memory leak

 libbrasero-media/burn-volume-source.c |    6 +++++-
 1 files changed, 5 insertions(+), 1 deletions(-)

commit 8fca3b78e78a39b8fea20b6174c535493506316c
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Mon Jun 8 21:00:53 2009 +0200

    Fix project type switching

 src/brasero-data-disc.c        |   37 ++++++++++++++++++++++++++++++++++++-
 src/brasero-project.c          |    7 ++-----
 src/brasero-video-disc.c       |    3 +++
 src/brasero-video-tree-model.c |   19 ++++++++++++++++---
 4 files changed, 57 insertions(+), 9 deletions(-)

commit 866231aa267bb22166a6a11f5bed7f86b0a34255
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Mon Jun 8 18:19:15 2009 +0200

    Allow to add the video files from a directory

 src/brasero-project.c    |   20 ++--
 src/brasero-video-disc.c |  260 +++++++++++++++++++++++++++++-----------------
 2 files changed, 174 insertions(+), 106 deletions(-)

commit 6d6c27a863e26fee715d18c43d950a25da7cbabc
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Mon Jun 8 18:18:31 2009 +0200

    Fix a wrong signal use

 libbrasero-burn/brasero-burn-options.c |  118 +++++++++++++++++---------------
 1 files changed, 63 insertions(+), 55 deletions(-)

commit 590d9082d566a753fa64d78cc69cd1dfb5301285
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Sun Jun 7 20:51:00 2009 +0200

    Moved video project to use a BraseroSessionCfg instead of its own treemodel

 libbrasero-burn/brasero-burn-options.c     |    3 +-
 libbrasero-burn/brasero-burn.c             |    4 +-
 libbrasero-burn/brasero-error.h            |    1 +
 libbrasero-burn/brasero-session-cfg.c      |   24 +-
 libbrasero-burn/brasero-session-span.c     |    9 +-
 libbrasero-burn/brasero-session.c          |   98 ++-
 libbrasero-burn/brasero-session.h          |   19 +-
 libbrasero-burn/brasero-src-image.c        |    8 +-
 libbrasero-burn/brasero-src-selection.c    |    4 +-
 libbrasero-burn/brasero-sum-dialog.c       |    4 +-
 libbrasero-burn/brasero-tags.h             |    1 +
 libbrasero-burn/brasero-track-stream-cfg.c |   45 +-
 libbrasero-burn/brasero-track-stream-cfg.h |    3 +
 libbrasero-burn/burn-task-ctx.c            |    2 +-
 libbrasero-burn/libbrasero-marshal.list    |    1 +
 src/Makefile.am                            |    2 -
 src/brasero-app.c                          |    8 +-
 src/brasero-audio-disc.c                   |    2 +-
 src/brasero-data-disc.c                    |    2 +-
 src/brasero-project.c                      |  371 ++++-----
 src/brasero-video-disc.c                   |  541 ++++++-------
 src/brasero-video-project.c                | 1221 ----------------------------
 src/brasero-video-project.h                |  187 -----
 src/brasero-video-tree-model.c             |  323 +++++----
 src/brasero-video-tree-model.h             |   25 +-
 25 files changed, 810 insertions(+), 2098 deletions(-)

commit c8411ca883b937adfc5c6068fe7e7c6d128aea0e
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Fri Jun 5 08:57:49 2009 +0200

    Make the selection combo lock automatically if MERGE/APPEND flags are set

 libbrasero-burn/brasero-burn-options.c   |   15 ---
 libbrasero-burn/brasero-dest-selection.c |   48 ++++++++-
 libbrasero-burn/brasero-dest-selection.h |    4 -
 libbrasero-burn/brasero-session-cfg.c    |  121 +++++++++++++++++++++--
 libbrasero-burn/brasero-session.c        |  156 ++++++++++++++++++++----------
 libbrasero-burn/brasero-session.h        |   10 ++-
 src/brasero-data-disc.c                  |   21 ++--
 src/brasero-project.c                    |    4 +-
 src/brasero-video-project.c              |    1 +
 src/brasero-video-project.h              |    1 +
 10 files changed, 279 insertions(+), 102 deletions(-)

commit 7c5400c80206832404255112ac4036f0cfce3591
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Wed Jun 3 18:39:27 2009 +0200

    Removed BraseroBurnOptions use

 src/brasero-project.c |   43 +++----------------------------------------
 1 files changed, 3 insertions(+), 40 deletions(-)

commit eaf391ee21fddf8f357f7101b83731000349bdb4
Author: Philippe Rouquier <bonfire-app@wanadoo.fr>
Date:   Wed Jun 3 14:56:49 2009 +0200

    Remove the oversize signal from BraseroDataSession and others as it's now handled by BraseroSessionCfg
    Added to BraseroProject the necessary message to match BraseroSessionCfg

 libbrasero-burn/brasero-data-session.c   |  101 ----------------------
 libbrasero-burn/brasero-track-data-cfg.c |   29 -------
 src/brasero-data-disc.c                  |   78 -----------------
 src/brasero-project.c                    |  135 +++++++++++++++++++++++++++++-
